import { ElementId, Position } from './types';
import { HandleType } from './handle';
export declare enum ConnectionLineType {
    Bezier = "default",
    Straight = "straight",
    Step = "step",
    SmoothStep = "smoothstep"
}
export interface Connection {
    source: ElementId | null;
    target: ElementId | null;
    sourceHandle: ElementId | null;
    targetHandle: ElementId | null;
}
export declare type ConnectionLineComponentProps = {
    sourceX: number;
    sourceY: number;
    sourcePosition?: Position;
    targetX: number;
    targetY: number;
    targetPosition?: Position;
    connectionLineStyle?: any;
    connectionLineType: ConnectionLineType;
};
export declare type OnConnectFunc = (connection: Connection) => void;
export declare type OnConnectStartParams = {
    nodeId: ElementId | undefined;
    handleId: ElementId | undefined;
    handleType: HandleType | undefined;
};
export declare type OnConnectStartFunc = (event: MouseEvent, params: OnConnectStartParams) => void;
export declare type OnConnectStopFunc = (event: MouseEvent) => void;
export declare type OnConnectEndFunc = (event: MouseEvent) => void;
export declare enum ConnectionMode {
    Strict = "strict",
    Loose = "loose"
}
export declare type SetConnectionId = {
    connectionNodeId: ElementId | undefined;
    connectionHandleId: ElementId | undefined;
    connectionHandleType: HandleType | undefined;
};
