var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { isRef, customRef, unref, watch, getCurrentScope, onScopeDispose, getCurrentInstance, onMounted as onMounted$1, onUpdated as onUpdated$1, shallowRef, ref, computed, defineComponent, inject, openBlock, createElementBlock, normalizeClass, renderSlot, mergeProps, Fragment, createVNode, normalizeProps, guardReactiveProps, createBlock, resolveDynamicComponent, normalizeStyle, createCommentVNode, createElementVNode, createTextVNode, toDisplayString, withCtx, effectScope, markRaw, reactive, isReactive, onUnmounted, toRefs, provide, Suspense, nextTick, h, renderList, withDirectives, vShow, onBeforeUnmount, createSlots, useAttrs } from "vue";
var isVue2 = false;
function extendRef(ref2, extend2, { enumerable = false, unwrap = true } = {}) {
  for (const [key, value] of Object.entries(extend2)) {
    if (key === "value")
      continue;
    if (isRef(value) && unwrap) {
      Object.defineProperty(ref2, key, {
        get() {
          return value.value;
        },
        set(v) {
          value.value = v;
        },
        enumerable
      });
    } else {
      Object.defineProperty(ref2, key, { value, enumerable });
    }
  }
  return ref2;
}
function controlledRef(initial, options = {}) {
  let source = initial;
  let track;
  let trigger;
  const ref2 = customRef((_track, _trigger) => {
    track = _track;
    trigger = _trigger;
    return {
      get() {
        return get2();
      },
      set(v) {
        set2(v);
      }
    };
  });
  function get2(tracking = true) {
    if (tracking)
      track();
    return source;
  }
  function set2(value, triggering = true) {
    var _a2, _b;
    if (value === source)
      return;
    const old = source;
    if (((_a2 = options.onBeforeChange) == null ? void 0 : _a2.call(options, value, old)) === false)
      return;
    source = value;
    (_b = options.onChanged) == null ? void 0 : _b.call(options, value, old);
    if (triggering)
      trigger();
  }
  const untrackedGet = () => get2(false);
  const silentSet = (v) => set2(v, false);
  const peek = () => get2(false);
  const lay = (v) => set2(v, false);
  return extendRef(ref2, {
    get: get2,
    set: set2,
    untrackedGet,
    silentSet,
    peek,
    lay
  }, { enumerable: true });
}
function createEventHook$1() {
  const fns = [];
  const off = (fn) => {
    const index = fns.indexOf(fn);
    if (index !== -1)
      fns.splice(index, 1);
  };
  const on = (fn) => {
    fns.push(fn);
    return {
      off: () => off(fn)
    };
  };
  const trigger = (param) => {
    fns.forEach((fn) => fn(param));
  };
  return {
    on,
    off,
    trigger
  };
}
function tryOnScopeDispose(fn) {
  if (getCurrentScope()) {
    onScopeDispose(fn);
    return true;
  }
  return false;
}
const isClient$1 = typeof window !== "undefined";
const isString$1 = (val) => typeof val === "string";
const noop$3 = () => {
};
function createFilterWrapper(filter2, fn) {
  function wrapper(...args) {
    filter2(() => fn.apply(this, args), { fn, thisArg: this, args });
  }
  return wrapper;
}
const bypassFilter = (invoke2) => {
  return invoke2();
};
function promiseTimeout(ms, throwOnTimeout = false, reason = "Timeout") {
  return new Promise((resolve, reject) => {
    if (throwOnTimeout)
      setTimeout(() => reject(reason), ms);
    else
      setTimeout(resolve, ms);
  });
}
function invoke(fn) {
  return fn();
}
var __getOwnPropSymbols$9$1 = Object.getOwnPropertySymbols;
var __hasOwnProp$9$1 = Object.prototype.hasOwnProperty;
var __propIsEnum$9$1 = Object.prototype.propertyIsEnumerable;
var __objRest$5 = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp$9$1.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols$9$1)
    for (var prop of __getOwnPropSymbols$9$1(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum$9$1.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
function watchWithFilter(source, cb, options = {}) {
  const _a2 = options, {
    eventFilter = bypassFilter
  } = _a2, watchOptions = __objRest$5(_a2, [
    "eventFilter"
  ]);
  return watch(source, createFilterWrapper(eventFilter, cb), watchOptions);
}
function get$3(obj, key) {
  if (key == null)
    return unref(obj);
  return unref(obj)[key];
}
function until(r) {
  let isNot = false;
  function toMatch(condition, { flush = "sync", deep = false, timeout: timeout2, throwOnTimeout } = {}) {
    let stop = null;
    const watcher = new Promise((resolve) => {
      stop = watch(r, (v) => {
        if (condition(v) === !isNot) {
          stop == null ? void 0 : stop();
          resolve();
        }
      }, {
        flush,
        deep,
        immediate: true
      });
    });
    const promises = [watcher];
    if (timeout2) {
      promises.push(promiseTimeout(timeout2, throwOnTimeout).finally(() => {
        stop == null ? void 0 : stop();
      }));
    }
    return Promise.race(promises);
  }
  function toBe(value, options) {
    return toMatch((v) => v === unref(value), options);
  }
  function toBeTruthy(options) {
    return toMatch((v) => Boolean(v), options);
  }
  function toBeNull(options) {
    return toBe(null, options);
  }
  function toBeUndefined(options) {
    return toBe(void 0, options);
  }
  function toBeNaN(options) {
    return toMatch(Number.isNaN, options);
  }
  function toContains(value, options) {
    return toMatch((v) => {
      const array2 = Array.from(v);
      return array2.includes(value) || array2.includes(unref(value));
    }, options);
  }
  function changed(options) {
    return changedTimes(1, options);
  }
  function changedTimes(n = 1, options) {
    let count = -1;
    return toMatch(() => {
      count += 1;
      return count >= n;
    }, options);
  }
  if (Array.isArray(unref(r))) {
    const instance = {
      toMatch,
      toContains,
      changed,
      changedTimes,
      get not() {
        isNot = !isNot;
        return this;
      }
    };
    return instance;
  } else {
    const instance = {
      toMatch,
      toBe,
      toBeTruthy,
      toBeNull,
      toBeNaN,
      toBeUndefined,
      changed,
      changedTimes,
      get not() {
        isNot = !isNot;
        return this;
      }
    };
    return instance;
  }
}
function unrefElement$1(elRef) {
  var _a2;
  const plain = unref(elRef);
  return (_a2 = plain == null ? void 0 : plain.$el) != null ? _a2 : plain;
}
const defaultWindow$1 = isClient$1 ? window : void 0;
function useEventListener$1(...args) {
  let target;
  let event;
  let listener;
  let options;
  if (isString$1(args[0])) {
    [event, listener, options] = args;
    target = defaultWindow$1;
  } else {
    [target, event, listener, options] = args;
  }
  if (!target)
    return noop$3;
  let cleanup = noop$3;
  const stopWatch = watch(() => unref(target), (el) => {
    cleanup();
    if (!el)
      return;
    el.addEventListener(event, listener, options);
    cleanup = () => {
      el.removeEventListener(event, listener, options);
      cleanup = noop$3;
    };
  }, { immediate: true, flush: "post" });
  const stop = () => {
    stopWatch();
    cleanup();
  };
  tryOnScopeDispose(stop);
  return stop;
}
var __defProp$c = Object.defineProperty;
var __defProps$6 = Object.defineProperties;
var __getOwnPropDescs$6 = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols$e = Object.getOwnPropertySymbols;
var __hasOwnProp$e = Object.prototype.hasOwnProperty;
var __propIsEnum$e = Object.prototype.propertyIsEnumerable;
var __defNormalProp$c = (obj, key, value) => key in obj ? __defProp$c(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues$c = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp$e.call(b, prop))
      __defNormalProp$c(a, prop, b[prop]);
  if (__getOwnPropSymbols$e)
    for (var prop of __getOwnPropSymbols$e(b)) {
      if (__propIsEnum$e.call(b, prop))
        __defNormalProp$c(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps$6 = (a, b) => __defProps$6(a, __getOwnPropDescs$6(b));
const createKeyPredicate = (keyFilter) => {
  if (typeof keyFilter === "function")
    return keyFilter;
  else if (typeof keyFilter === "string")
    return (event) => event.key === keyFilter;
  else if (Array.isArray(keyFilter))
    return (event) => keyFilter.includes(event.key);
  else if (keyFilter)
    return () => true;
  else
    return () => false;
};
function onKeyStroke(key, handler, options = {}) {
  const { target = defaultWindow$1, eventName = "keydown", passive = false } = options;
  const predicate = createKeyPredicate(key);
  const listener = (e) => {
    if (predicate(e))
      handler(e);
  };
  return useEventListener$1(target, eventName, listener, passive);
}
function onKeyDown(key, handler, options = {}) {
  return onKeyStroke(key, handler, __spreadProps$6(__spreadValues$c({}, options), { eventName: "keydown" }));
}
function onKeyPressed(key, handler, options = {}) {
  return onKeyStroke(key, handler, __spreadProps$6(__spreadValues$c({}, options), { eventName: "keypress" }));
}
function onKeyUp(key, handler, options = {}) {
  return onKeyStroke(key, handler, __spreadProps$6(__spreadValues$c({}, options), { eventName: "keyup" }));
}
function templateRef$1(key, initialValue = null) {
  const instance = getCurrentInstance();
  let _trigger = () => {
  };
  const element = customRef((track, trigger) => {
    _trigger = trigger;
    return {
      get() {
        var _a2, _b;
        track();
        return (_b = (_a2 = instance == null ? void 0 : instance.proxy) == null ? void 0 : _a2.$refs[key]) != null ? _b : initialValue;
      },
      set() {
      }
    };
  });
  onMounted$1(_trigger);
  onUpdated$1(_trigger);
  return element;
}
const StorageSerializers = {
  boolean: {
    read: (v) => v === "true",
    write: (v) => String(v)
  },
  object: {
    read: (v) => JSON.parse(v),
    write: (v) => JSON.stringify(v)
  },
  number: {
    read: (v) => Number.parseFloat(v),
    write: (v) => String(v)
  },
  any: {
    read: (v) => v,
    write: (v) => String(v)
  },
  string: {
    read: (v) => v,
    write: (v) => String(v)
  },
  map: {
    read: (v) => new Map(JSON.parse(v)),
    write: (v) => JSON.stringify(Array.from(v.entries()))
  },
  set: {
    read: (v) => new Set(JSON.parse(v)),
    write: (v) => JSON.stringify(Array.from(v.entries()))
  }
};
function useStorage(key, initialValue, storage = ((_a2) => (_a2 = defaultWindow$1) == null ? void 0 : _a2.localStorage)(), options = {}) {
  var _a2;
  const {
    flush = "pre",
    deep = true,
    listenToStorageChanges = true,
    writeDefaults = true,
    shallow,
    window: window2 = defaultWindow$1,
    eventFilter,
    onError = (e) => {
      console.error(e);
    }
  } = options;
  const rawInit = unref(initialValue);
  const type = rawInit == null ? "any" : rawInit instanceof Set ? "set" : rawInit instanceof Map ? "map" : typeof rawInit === "boolean" ? "boolean" : typeof rawInit === "string" ? "string" : typeof rawInit === "object" ? "object" : Array.isArray(rawInit) ? "object" : !Number.isNaN(rawInit) ? "number" : "any";
  const data = (shallow ? shallowRef : ref)(initialValue);
  const serializer = (_a2 = options.serializer) != null ? _a2 : StorageSerializers[type];
  function read(event) {
    if (!storage || event && event.key !== key)
      return;
    try {
      const rawValue = event ? event.newValue : storage.getItem(key);
      if (rawValue == null) {
        data.value = rawInit;
        if (writeDefaults && rawInit !== null)
          storage.setItem(key, serializer.write(rawInit));
      } else {
        data.value = serializer.read(rawValue);
      }
    } catch (e) {
      onError(e);
    }
  }
  read();
  if (window2 && listenToStorageChanges)
    useEventListener$1(window2, "storage", (e) => setTimeout(() => read(e), 0));
  if (storage) {
    watchWithFilter(data, () => {
      try {
        if (data.value == null)
          storage.removeItem(key);
        else
          storage.setItem(key, serializer.write(data.value));
      } catch (e) {
        onError(e);
      }
    }, {
      flush,
      deep,
      eventFilter
    });
  }
  return data;
}
var __getOwnPropSymbols$9 = Object.getOwnPropertySymbols;
var __hasOwnProp$9 = Object.prototype.hasOwnProperty;
var __propIsEnum$9 = Object.prototype.propertyIsEnumerable;
var __objRest$2 = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp$9.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols$9)
    for (var prop of __getOwnPropSymbols$9(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum$9.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
function useResizeObserver(target, callback, options = {}) {
  const _a2 = options, { window: window2 = defaultWindow$1 } = _a2, observerOptions = __objRest$2(_a2, ["window"]);
  let observer;
  const isSupported = window2 && "ResizeObserver" in window2;
  const cleanup = () => {
    if (observer) {
      observer.disconnect();
      observer = void 0;
    }
  };
  const stopWatch = watch(() => unrefElement$1(target), (el) => {
    cleanup();
    if (isSupported && window2 && el) {
      observer = new window2.ResizeObserver(callback);
      observer.observe(el, observerOptions);
    }
  }, { immediate: true, flush: "post" });
  const stop = () => {
    cleanup();
    stopWatch();
  };
  tryOnScopeDispose(stop);
  return {
    isSupported,
    stop
  };
}
function useElementBounding(target, options = {}) {
  const height = ref(0);
  const bottom = ref(0);
  const left = ref(0);
  const right = ref(0);
  const top = ref(0);
  const width = ref(0);
  const x = ref(0);
  const y = ref(0);
  useResizeObserver(target, ([entry]) => {
    height.value = entry.contentRect.height;
    bottom.value = entry.contentRect.bottom;
    left.value = entry.contentRect.left;
    right.value = entry.contentRect.right;
    top.value = entry.contentRect.top;
    width.value = entry.contentRect.width;
    x.value = entry.contentRect.x;
    y.value = entry.contentRect.y;
  }, options);
  return {
    x,
    y,
    top,
    right,
    bottom,
    left,
    width,
    height
  };
}
var SwipeDirection$1;
(function(SwipeDirection2) {
  SwipeDirection2["UP"] = "UP";
  SwipeDirection2["RIGHT"] = "RIGHT";
  SwipeDirection2["DOWN"] = "DOWN";
  SwipeDirection2["LEFT"] = "LEFT";
  SwipeDirection2["NONE"] = "NONE";
})(SwipeDirection$1 || (SwipeDirection$1 = {}));
function useVModel(props, key, emit, options = {}) {
  var _a2;
  const {
    passive = false,
    eventName,
    deep = false
  } = options;
  const vm = getCurrentInstance();
  const _emit = emit || (vm == null ? void 0 : vm.emit) || ((_a2 = vm == null ? void 0 : vm.$emit) == null ? void 0 : _a2.bind(vm));
  let event = eventName;
  if (!key) {
    {
      key = "modelValue";
    }
  }
  event = eventName || event || `update:${key}`;
  if (passive) {
    const proxy = ref(props[key]);
    watch(() => props[key], (v) => proxy.value = v);
    watch(proxy, (v) => {
      if (v !== props[key] || deep)
        _emit(event, v);
    }, {
      deep
    });
    return proxy;
  } else {
    return computed({
      get() {
        return props[key];
      },
      set(value) {
        _emit(event, value);
      }
    });
  }
}
const t = true;
const richTypes = { Date: t, RegExp: t, String: t, Number: t };
function diff(obj, newObj, options = { cyclesFix: true }, _stack = []) {
  let diffs = [];
  for (const key in obj) {
    const objKey = obj[key];
    const path = Array.isArray(obj) ? +key : key;
    if (!(key in newObj)) {
      diffs.push({
        type: "REMOVE",
        path: [path]
      });
      continue;
    }
    const newObjKey = newObj[key];
    const areObjects = typeof objKey === "object" && typeof newObjKey === "object";
    if (objKey && newObjKey && areObjects && !richTypes[Object.getPrototypeOf(objKey).constructor.name] && (options.cyclesFix ? !_stack.includes(objKey) : true)) {
      const nestedDiffs = diff(objKey, newObjKey, options, options.cyclesFix ? _stack.concat([objKey]) : []);
      diffs.push.apply(diffs, nestedDiffs.map((difference) => {
        difference.path.unshift(path);
        return difference;
      }));
    } else if (objKey !== newObjKey && !(areObjects && (isNaN(objKey) ? objKey + "" === newObjKey + "" : +objKey === +newObjKey))) {
      diffs.push({
        path: [path],
        type: "CHANGE",
        value: newObjKey
      });
    }
  }
  for (const key in newObj) {
    if (!(key in obj)) {
      diffs.push({
        type: "CREATE",
        path: [Array.isArray(newObj) ? +key : key],
        value: newObj[key]
      });
    }
  }
  return diffs;
}
var Position;
(function(Position2) {
  Position2["Left"] = "left";
  Position2["Top"] = "top";
  Position2["Right"] = "right";
  Position2["Bottom"] = "bottom";
})(Position || (Position = {}));
var ArrowHeadType;
(function(ArrowHeadType2) {
  ArrowHeadType2["Arrow"] = "arrow";
  ArrowHeadType2["ArrowClosed"] = "arrowclosed";
})(ArrowHeadType || (ArrowHeadType = {}));
var BackgroundVariant;
(function(BackgroundVariant2) {
  BackgroundVariant2["Lines"] = "lines";
  BackgroundVariant2["Dots"] = "dots";
})(BackgroundVariant || (BackgroundVariant = {}));
var ConnectionLineType;
(function(ConnectionLineType2) {
  ConnectionLineType2["Bezier"] = "default";
  ConnectionLineType2["Straight"] = "straight";
  ConnectionLineType2["Step"] = "step";
  ConnectionLineType2["SmoothStep"] = "smoothstep";
})(ConnectionLineType || (ConnectionLineType = {}));
var ConnectionMode;
(function(ConnectionMode2) {
  ConnectionMode2["Strict"] = "strict";
  ConnectionMode2["Loose"] = "loose";
})(ConnectionMode || (ConnectionMode = {}));
var PanOnScrollMode;
(function(PanOnScrollMode2) {
  PanOnScrollMode2["Free"] = "free";
  PanOnScrollMode2["Vertical"] = "vertical";
  PanOnScrollMode2["Horizontal"] = "horizontal";
})(PanOnScrollMode || (PanOnScrollMode = {}));
var noop$2 = { value: () => {
} };
function dispatch() {
  for (var i = 0, n = arguments.length, _ = {}, t2; i < n; ++i) {
    if (!(t2 = arguments[i] + "") || t2 in _ || /[\s.]/.test(t2))
      throw new Error("illegal type: " + t2);
    _[t2] = [];
  }
  return new Dispatch(_);
}
function Dispatch(_) {
  this._ = _;
}
function parseTypenames$1(typenames, types) {
  return typenames.trim().split(/^|\s+/).map(function(t2) {
    var name = "", i = t2.indexOf(".");
    if (i >= 0)
      name = t2.slice(i + 1), t2 = t2.slice(0, i);
    if (t2 && !types.hasOwnProperty(t2))
      throw new Error("unknown type: " + t2);
    return { type: t2, name };
  });
}
Dispatch.prototype = dispatch.prototype = {
  constructor: Dispatch,
  on: function(typename, callback) {
    var _ = this._, T = parseTypenames$1(typename + "", _), t2, i = -1, n = T.length;
    if (arguments.length < 2) {
      while (++i < n)
        if ((t2 = (typename = T[i]).type) && (t2 = get$2(_[t2], typename.name)))
          return t2;
      return;
    }
    if (callback != null && typeof callback !== "function")
      throw new Error("invalid callback: " + callback);
    while (++i < n) {
      if (t2 = (typename = T[i]).type)
        _[t2] = set$1(_[t2], typename.name, callback);
      else if (callback == null)
        for (t2 in _)
          _[t2] = set$1(_[t2], typename.name, null);
    }
    return this;
  },
  copy: function() {
    var copy = {}, _ = this._;
    for (var t2 in _)
      copy[t2] = _[t2].slice();
    return new Dispatch(copy);
  },
  call: function(type, that) {
    if ((n = arguments.length - 2) > 0)
      for (var args = new Array(n), i = 0, n, t2; i < n; ++i)
        args[i] = arguments[i + 2];
    if (!this._.hasOwnProperty(type))
      throw new Error("unknown type: " + type);
    for (t2 = this._[type], i = 0, n = t2.length; i < n; ++i)
      t2[i].value.apply(that, args);
  },
  apply: function(type, that, args) {
    if (!this._.hasOwnProperty(type))
      throw new Error("unknown type: " + type);
    for (var t2 = this._[type], i = 0, n = t2.length; i < n; ++i)
      t2[i].value.apply(that, args);
  }
};
function get$2(type, name) {
  for (var i = 0, n = type.length, c; i < n; ++i) {
    if ((c = type[i]).name === name) {
      return c.value;
    }
  }
}
function set$1(type, name, callback) {
  for (var i = 0, n = type.length; i < n; ++i) {
    if (type[i].name === name) {
      type[i] = noop$2, type = type.slice(0, i).concat(type.slice(i + 1));
      break;
    }
  }
  if (callback != null)
    type.push({ name, value: callback });
  return type;
}
var xhtml = "http://www.w3.org/1999/xhtml";
var namespaces = {
  svg: "http://www.w3.org/2000/svg",
  xhtml,
  xlink: "http://www.w3.org/1999/xlink",
  xml: "http://www.w3.org/XML/1998/namespace",
  xmlns: "http://www.w3.org/2000/xmlns/"
};
function namespace(name) {
  var prefix = name += "", i = prefix.indexOf(":");
  if (i >= 0 && (prefix = name.slice(0, i)) !== "xmlns")
    name = name.slice(i + 1);
  return namespaces.hasOwnProperty(prefix) ? { space: namespaces[prefix], local: name } : name;
}
function creatorInherit(name) {
  return function() {
    var document2 = this.ownerDocument, uri = this.namespaceURI;
    return uri === xhtml && document2.documentElement.namespaceURI === xhtml ? document2.createElement(name) : document2.createElementNS(uri, name);
  };
}
function creatorFixed(fullname) {
  return function() {
    return this.ownerDocument.createElementNS(fullname.space, fullname.local);
  };
}
function creator(name) {
  var fullname = namespace(name);
  return (fullname.local ? creatorFixed : creatorInherit)(fullname);
}
function none() {
}
function selector(selector2) {
  return selector2 == null ? none : function() {
    return this.querySelector(selector2);
  };
}
function selection_select(select2) {
  if (typeof select2 !== "function")
    select2 = selector(select2);
  for (var groups = this._groups, m = groups.length, subgroups = new Array(m), j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, subgroup = subgroups[j] = new Array(n), node, subnode, i = 0; i < n; ++i) {
      if ((node = group[i]) && (subnode = select2.call(node, node.__data__, i, group))) {
        if ("__data__" in node)
          subnode.__data__ = node.__data__;
        subgroup[i] = subnode;
      }
    }
  }
  return new Selection$1(subgroups, this._parents);
}
function array(x) {
  return x == null ? [] : Array.isArray(x) ? x : Array.from(x);
}
function empty() {
  return [];
}
function selectorAll(selector2) {
  return selector2 == null ? empty : function() {
    return this.querySelectorAll(selector2);
  };
}
function arrayAll(select2) {
  return function() {
    return array(select2.apply(this, arguments));
  };
}
function selection_selectAll(select2) {
  if (typeof select2 === "function")
    select2 = arrayAll(select2);
  else
    select2 = selectorAll(select2);
  for (var groups = this._groups, m = groups.length, subgroups = [], parents = [], j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, node, i = 0; i < n; ++i) {
      if (node = group[i]) {
        subgroups.push(select2.call(node, node.__data__, i, group));
        parents.push(node);
      }
    }
  }
  return new Selection$1(subgroups, parents);
}
function matcher(selector2) {
  return function() {
    return this.matches(selector2);
  };
}
function childMatcher(selector2) {
  return function(node) {
    return node.matches(selector2);
  };
}
var find = Array.prototype.find;
function childFind(match) {
  return function() {
    return find.call(this.children, match);
  };
}
function childFirst() {
  return this.firstElementChild;
}
function selection_selectChild(match) {
  return this.select(match == null ? childFirst : childFind(typeof match === "function" ? match : childMatcher(match)));
}
var filter = Array.prototype.filter;
function children() {
  return Array.from(this.children);
}
function childrenFilter(match) {
  return function() {
    return filter.call(this.children, match);
  };
}
function selection_selectChildren(match) {
  return this.selectAll(match == null ? children : childrenFilter(typeof match === "function" ? match : childMatcher(match)));
}
function selection_filter(match) {
  if (typeof match !== "function")
    match = matcher(match);
  for (var groups = this._groups, m = groups.length, subgroups = new Array(m), j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, subgroup = subgroups[j] = [], node, i = 0; i < n; ++i) {
      if ((node = group[i]) && match.call(node, node.__data__, i, group)) {
        subgroup.push(node);
      }
    }
  }
  return new Selection$1(subgroups, this._parents);
}
function sparse(update) {
  return new Array(update.length);
}
function selection_enter() {
  return new Selection$1(this._enter || this._groups.map(sparse), this._parents);
}
function EnterNode(parent, datum2) {
  this.ownerDocument = parent.ownerDocument;
  this.namespaceURI = parent.namespaceURI;
  this._next = null;
  this._parent = parent;
  this.__data__ = datum2;
}
EnterNode.prototype = {
  constructor: EnterNode,
  appendChild: function(child) {
    return this._parent.insertBefore(child, this._next);
  },
  insertBefore: function(child, next) {
    return this._parent.insertBefore(child, next);
  },
  querySelector: function(selector2) {
    return this._parent.querySelector(selector2);
  },
  querySelectorAll: function(selector2) {
    return this._parent.querySelectorAll(selector2);
  }
};
function constant$2(x) {
  return function() {
    return x;
  };
}
function bindIndex(parent, group, enter, update, exit, data) {
  var i = 0, node, groupLength = group.length, dataLength = data.length;
  for (; i < dataLength; ++i) {
    if (node = group[i]) {
      node.__data__ = data[i];
      update[i] = node;
    } else {
      enter[i] = new EnterNode(parent, data[i]);
    }
  }
  for (; i < groupLength; ++i) {
    if (node = group[i]) {
      exit[i] = node;
    }
  }
}
function bindKey(parent, group, enter, update, exit, data, key) {
  var i, node, nodeByKeyValue = new Map(), groupLength = group.length, dataLength = data.length, keyValues = new Array(groupLength), keyValue;
  for (i = 0; i < groupLength; ++i) {
    if (node = group[i]) {
      keyValues[i] = keyValue = key.call(node, node.__data__, i, group) + "";
      if (nodeByKeyValue.has(keyValue)) {
        exit[i] = node;
      } else {
        nodeByKeyValue.set(keyValue, node);
      }
    }
  }
  for (i = 0; i < dataLength; ++i) {
    keyValue = key.call(parent, data[i], i, data) + "";
    if (node = nodeByKeyValue.get(keyValue)) {
      update[i] = node;
      node.__data__ = data[i];
      nodeByKeyValue.delete(keyValue);
    } else {
      enter[i] = new EnterNode(parent, data[i]);
    }
  }
  for (i = 0; i < groupLength; ++i) {
    if ((node = group[i]) && nodeByKeyValue.get(keyValues[i]) === node) {
      exit[i] = node;
    }
  }
}
function datum(node) {
  return node.__data__;
}
function selection_data(value, key) {
  if (!arguments.length)
    return Array.from(this, datum);
  var bind2 = key ? bindKey : bindIndex, parents = this._parents, groups = this._groups;
  if (typeof value !== "function")
    value = constant$2(value);
  for (var m = groups.length, update = new Array(m), enter = new Array(m), exit = new Array(m), j = 0; j < m; ++j) {
    var parent = parents[j], group = groups[j], groupLength = group.length, data = arraylike(value.call(parent, parent && parent.__data__, j, parents)), dataLength = data.length, enterGroup = enter[j] = new Array(dataLength), updateGroup = update[j] = new Array(dataLength), exitGroup = exit[j] = new Array(groupLength);
    bind2(parent, group, enterGroup, updateGroup, exitGroup, data, key);
    for (var i0 = 0, i1 = 0, previous, next; i0 < dataLength; ++i0) {
      if (previous = enterGroup[i0]) {
        if (i0 >= i1)
          i1 = i0 + 1;
        while (!(next = updateGroup[i1]) && ++i1 < dataLength)
          ;
        previous._next = next || null;
      }
    }
  }
  update = new Selection$1(update, parents);
  update._enter = enter;
  update._exit = exit;
  return update;
}
function arraylike(data) {
  return typeof data === "object" && "length" in data ? data : Array.from(data);
}
function selection_exit() {
  return new Selection$1(this._exit || this._groups.map(sparse), this._parents);
}
function selection_join(onenter, onupdate, onexit) {
  var enter = this.enter(), update = this, exit = this.exit();
  if (typeof onenter === "function") {
    enter = onenter(enter);
    if (enter)
      enter = enter.selection();
  } else {
    enter = enter.append(onenter + "");
  }
  if (onupdate != null) {
    update = onupdate(update);
    if (update)
      update = update.selection();
  }
  if (onexit == null)
    exit.remove();
  else
    onexit(exit);
  return enter && update ? enter.merge(update).order() : update;
}
function selection_merge(context) {
  var selection2 = context.selection ? context.selection() : context;
  for (var groups0 = this._groups, groups1 = selection2._groups, m0 = groups0.length, m1 = groups1.length, m = Math.min(m0, m1), merges = new Array(m0), j = 0; j < m; ++j) {
    for (var group0 = groups0[j], group1 = groups1[j], n = group0.length, merge = merges[j] = new Array(n), node, i = 0; i < n; ++i) {
      if (node = group0[i] || group1[i]) {
        merge[i] = node;
      }
    }
  }
  for (; j < m0; ++j) {
    merges[j] = groups0[j];
  }
  return new Selection$1(merges, this._parents);
}
function selection_order() {
  for (var groups = this._groups, j = -1, m = groups.length; ++j < m; ) {
    for (var group = groups[j], i = group.length - 1, next = group[i], node; --i >= 0; ) {
      if (node = group[i]) {
        if (next && node.compareDocumentPosition(next) ^ 4)
          next.parentNode.insertBefore(node, next);
        next = node;
      }
    }
  }
  return this;
}
function selection_sort(compare) {
  if (!compare)
    compare = ascending;
  function compareNode(a, b) {
    return a && b ? compare(a.__data__, b.__data__) : !a - !b;
  }
  for (var groups = this._groups, m = groups.length, sortgroups = new Array(m), j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, sortgroup = sortgroups[j] = new Array(n), node, i = 0; i < n; ++i) {
      if (node = group[i]) {
        sortgroup[i] = node;
      }
    }
    sortgroup.sort(compareNode);
  }
  return new Selection$1(sortgroups, this._parents).order();
}
function ascending(a, b) {
  return a < b ? -1 : a > b ? 1 : a >= b ? 0 : NaN;
}
function selection_call() {
  var callback = arguments[0];
  arguments[0] = this;
  callback.apply(null, arguments);
  return this;
}
function selection_nodes() {
  return Array.from(this);
}
function selection_node() {
  for (var groups = this._groups, j = 0, m = groups.length; j < m; ++j) {
    for (var group = groups[j], i = 0, n = group.length; i < n; ++i) {
      var node = group[i];
      if (node)
        return node;
    }
  }
  return null;
}
function selection_size() {
  let size = 0;
  for (const node of this)
    ++size;
  return size;
}
function selection_empty() {
  return !this.node();
}
function selection_each(callback) {
  for (var groups = this._groups, j = 0, m = groups.length; j < m; ++j) {
    for (var group = groups[j], i = 0, n = group.length, node; i < n; ++i) {
      if (node = group[i])
        callback.call(node, node.__data__, i, group);
    }
  }
  return this;
}
function attrRemove$1(name) {
  return function() {
    this.removeAttribute(name);
  };
}
function attrRemoveNS$1(fullname) {
  return function() {
    this.removeAttributeNS(fullname.space, fullname.local);
  };
}
function attrConstant$1(name, value) {
  return function() {
    this.setAttribute(name, value);
  };
}
function attrConstantNS$1(fullname, value) {
  return function() {
    this.setAttributeNS(fullname.space, fullname.local, value);
  };
}
function attrFunction$1(name, value) {
  return function() {
    var v = value.apply(this, arguments);
    if (v == null)
      this.removeAttribute(name);
    else
      this.setAttribute(name, v);
  };
}
function attrFunctionNS$1(fullname, value) {
  return function() {
    var v = value.apply(this, arguments);
    if (v == null)
      this.removeAttributeNS(fullname.space, fullname.local);
    else
      this.setAttributeNS(fullname.space, fullname.local, v);
  };
}
function selection_attr(name, value) {
  var fullname = namespace(name);
  if (arguments.length < 2) {
    var node = this.node();
    return fullname.local ? node.getAttributeNS(fullname.space, fullname.local) : node.getAttribute(fullname);
  }
  return this.each((value == null ? fullname.local ? attrRemoveNS$1 : attrRemove$1 : typeof value === "function" ? fullname.local ? attrFunctionNS$1 : attrFunction$1 : fullname.local ? attrConstantNS$1 : attrConstant$1)(fullname, value));
}
function defaultView(node) {
  return node.ownerDocument && node.ownerDocument.defaultView || node.document && node || node.defaultView;
}
function styleRemove$1(name) {
  return function() {
    this.style.removeProperty(name);
  };
}
function styleConstant$1(name, value, priority) {
  return function() {
    this.style.setProperty(name, value, priority);
  };
}
function styleFunction$1(name, value, priority) {
  return function() {
    var v = value.apply(this, arguments);
    if (v == null)
      this.style.removeProperty(name);
    else
      this.style.setProperty(name, v, priority);
  };
}
function selection_style(name, value, priority) {
  return arguments.length > 1 ? this.each((value == null ? styleRemove$1 : typeof value === "function" ? styleFunction$1 : styleConstant$1)(name, value, priority == null ? "" : priority)) : styleValue(this.node(), name);
}
function styleValue(node, name) {
  return node.style.getPropertyValue(name) || defaultView(node).getComputedStyle(node, null).getPropertyValue(name);
}
function propertyRemove(name) {
  return function() {
    delete this[name];
  };
}
function propertyConstant(name, value) {
  return function() {
    this[name] = value;
  };
}
function propertyFunction(name, value) {
  return function() {
    var v = value.apply(this, arguments);
    if (v == null)
      delete this[name];
    else
      this[name] = v;
  };
}
function selection_property(name, value) {
  return arguments.length > 1 ? this.each((value == null ? propertyRemove : typeof value === "function" ? propertyFunction : propertyConstant)(name, value)) : this.node()[name];
}
function classArray(string) {
  return string.trim().split(/^|\s+/);
}
function classList(node) {
  return node.classList || new ClassList(node);
}
function ClassList(node) {
  this._node = node;
  this._names = classArray(node.getAttribute("class") || "");
}
ClassList.prototype = {
  add: function(name) {
    var i = this._names.indexOf(name);
    if (i < 0) {
      this._names.push(name);
      this._node.setAttribute("class", this._names.join(" "));
    }
  },
  remove: function(name) {
    var i = this._names.indexOf(name);
    if (i >= 0) {
      this._names.splice(i, 1);
      this._node.setAttribute("class", this._names.join(" "));
    }
  },
  contains: function(name) {
    return this._names.indexOf(name) >= 0;
  }
};
function classedAdd(node, names) {
  var list = classList(node), i = -1, n = names.length;
  while (++i < n)
    list.add(names[i]);
}
function classedRemove(node, names) {
  var list = classList(node), i = -1, n = names.length;
  while (++i < n)
    list.remove(names[i]);
}
function classedTrue(names) {
  return function() {
    classedAdd(this, names);
  };
}
function classedFalse(names) {
  return function() {
    classedRemove(this, names);
  };
}
function classedFunction(names, value) {
  return function() {
    (value.apply(this, arguments) ? classedAdd : classedRemove)(this, names);
  };
}
function selection_classed(name, value) {
  var names = classArray(name + "");
  if (arguments.length < 2) {
    var list = classList(this.node()), i = -1, n = names.length;
    while (++i < n)
      if (!list.contains(names[i]))
        return false;
    return true;
  }
  return this.each((typeof value === "function" ? classedFunction : value ? classedTrue : classedFalse)(names, value));
}
function textRemove() {
  this.textContent = "";
}
function textConstant$1(value) {
  return function() {
    this.textContent = value;
  };
}
function textFunction$1(value) {
  return function() {
    var v = value.apply(this, arguments);
    this.textContent = v == null ? "" : v;
  };
}
function selection_text(value) {
  return arguments.length ? this.each(value == null ? textRemove : (typeof value === "function" ? textFunction$1 : textConstant$1)(value)) : this.node().textContent;
}
function htmlRemove() {
  this.innerHTML = "";
}
function htmlConstant(value) {
  return function() {
    this.innerHTML = value;
  };
}
function htmlFunction(value) {
  return function() {
    var v = value.apply(this, arguments);
    this.innerHTML = v == null ? "" : v;
  };
}
function selection_html(value) {
  return arguments.length ? this.each(value == null ? htmlRemove : (typeof value === "function" ? htmlFunction : htmlConstant)(value)) : this.node().innerHTML;
}
function raise() {
  if (this.nextSibling)
    this.parentNode.appendChild(this);
}
function selection_raise() {
  return this.each(raise);
}
function lower() {
  if (this.previousSibling)
    this.parentNode.insertBefore(this, this.parentNode.firstChild);
}
function selection_lower() {
  return this.each(lower);
}
function selection_append(name) {
  var create2 = typeof name === "function" ? name : creator(name);
  return this.select(function() {
    return this.appendChild(create2.apply(this, arguments));
  });
}
function constantNull() {
  return null;
}
function selection_insert(name, before) {
  var create2 = typeof name === "function" ? name : creator(name), select2 = before == null ? constantNull : typeof before === "function" ? before : selector(before);
  return this.select(function() {
    return this.insertBefore(create2.apply(this, arguments), select2.apply(this, arguments) || null);
  });
}
function remove() {
  var parent = this.parentNode;
  if (parent)
    parent.removeChild(this);
}
function selection_remove() {
  return this.each(remove);
}
function selection_cloneShallow() {
  var clone = this.cloneNode(false), parent = this.parentNode;
  return parent ? parent.insertBefore(clone, this.nextSibling) : clone;
}
function selection_cloneDeep() {
  var clone = this.cloneNode(true), parent = this.parentNode;
  return parent ? parent.insertBefore(clone, this.nextSibling) : clone;
}
function selection_clone(deep) {
  return this.select(deep ? selection_cloneDeep : selection_cloneShallow);
}
function selection_datum(value) {
  return arguments.length ? this.property("__data__", value) : this.node().__data__;
}
function contextListener(listener) {
  return function(event) {
    listener.call(this, event, this.__data__);
  };
}
function parseTypenames(typenames) {
  return typenames.trim().split(/^|\s+/).map(function(t2) {
    var name = "", i = t2.indexOf(".");
    if (i >= 0)
      name = t2.slice(i + 1), t2 = t2.slice(0, i);
    return { type: t2, name };
  });
}
function onRemove(typename) {
  return function() {
    var on = this.__on;
    if (!on)
      return;
    for (var j = 0, i = -1, m = on.length, o; j < m; ++j) {
      if (o = on[j], (!typename.type || o.type === typename.type) && o.name === typename.name) {
        this.removeEventListener(o.type, o.listener, o.options);
      } else {
        on[++i] = o;
      }
    }
    if (++i)
      on.length = i;
    else
      delete this.__on;
  };
}
function onAdd(typename, value, options) {
  return function() {
    var on = this.__on, o, listener = contextListener(value);
    if (on)
      for (var j = 0, m = on.length; j < m; ++j) {
        if ((o = on[j]).type === typename.type && o.name === typename.name) {
          this.removeEventListener(o.type, o.listener, o.options);
          this.addEventListener(o.type, o.listener = listener, o.options = options);
          o.value = value;
          return;
        }
      }
    this.addEventListener(typename.type, listener, options);
    o = { type: typename.type, name: typename.name, value, listener, options };
    if (!on)
      this.__on = [o];
    else
      on.push(o);
  };
}
function selection_on(typename, value, options) {
  var typenames = parseTypenames(typename + ""), i, n = typenames.length, t2;
  if (arguments.length < 2) {
    var on = this.node().__on;
    if (on)
      for (var j = 0, m = on.length, o; j < m; ++j) {
        for (i = 0, o = on[j]; i < n; ++i) {
          if ((t2 = typenames[i]).type === o.type && t2.name === o.name) {
            return o.value;
          }
        }
      }
    return;
  }
  on = value ? onAdd : onRemove;
  for (i = 0; i < n; ++i)
    this.each(on(typenames[i], value, options));
  return this;
}
function dispatchEvent(node, type, params) {
  var window2 = defaultView(node), event = window2.CustomEvent;
  if (typeof event === "function") {
    event = new event(type, params);
  } else {
    event = window2.document.createEvent("Event");
    if (params)
      event.initEvent(type, params.bubbles, params.cancelable), event.detail = params.detail;
    else
      event.initEvent(type, false, false);
  }
  node.dispatchEvent(event);
}
function dispatchConstant(type, params) {
  return function() {
    return dispatchEvent(this, type, params);
  };
}
function dispatchFunction(type, params) {
  return function() {
    return dispatchEvent(this, type, params.apply(this, arguments));
  };
}
function selection_dispatch(type, params) {
  return this.each((typeof params === "function" ? dispatchFunction : dispatchConstant)(type, params));
}
function* selection_iterator() {
  for (var groups = this._groups, j = 0, m = groups.length; j < m; ++j) {
    for (var group = groups[j], i = 0, n = group.length, node; i < n; ++i) {
      if (node = group[i])
        yield node;
    }
  }
}
var root = [null];
function Selection$1(groups, parents) {
  this._groups = groups;
  this._parents = parents;
}
function selection() {
  return new Selection$1([[document.documentElement]], root);
}
function selection_selection() {
  return this;
}
Selection$1.prototype = selection.prototype = {
  constructor: Selection$1,
  select: selection_select,
  selectAll: selection_selectAll,
  selectChild: selection_selectChild,
  selectChildren: selection_selectChildren,
  filter: selection_filter,
  data: selection_data,
  enter: selection_enter,
  exit: selection_exit,
  join: selection_join,
  merge: selection_merge,
  selection: selection_selection,
  order: selection_order,
  sort: selection_sort,
  call: selection_call,
  nodes: selection_nodes,
  node: selection_node,
  size: selection_size,
  empty: selection_empty,
  each: selection_each,
  attr: selection_attr,
  style: selection_style,
  property: selection_property,
  classed: selection_classed,
  text: selection_text,
  html: selection_html,
  raise: selection_raise,
  lower: selection_lower,
  append: selection_append,
  insert: selection_insert,
  remove: selection_remove,
  clone: selection_clone,
  datum: selection_datum,
  on: selection_on,
  dispatch: selection_dispatch,
  [Symbol.iterator]: selection_iterator
};
function select(selector2) {
  return typeof selector2 === "string" ? new Selection$1([[document.querySelector(selector2)]], [document.documentElement]) : new Selection$1([[selector2]], root);
}
function sourceEvent(event) {
  let sourceEvent2;
  while (sourceEvent2 = event.sourceEvent)
    event = sourceEvent2;
  return event;
}
function pointer(event, node) {
  event = sourceEvent(event);
  if (node === void 0)
    node = event.currentTarget;
  if (node) {
    var svg = node.ownerSVGElement || node;
    if (svg.createSVGPoint) {
      var point = svg.createSVGPoint();
      point.x = event.clientX, point.y = event.clientY;
      point = point.matrixTransform(node.getScreenCTM().inverse());
      return [point.x, point.y];
    }
    if (node.getBoundingClientRect) {
      var rect = node.getBoundingClientRect();
      return [event.clientX - rect.left - node.clientLeft, event.clientY - rect.top - node.clientTop];
    }
  }
  return [event.pageX, event.pageY];
}
const nonpassivecapture = { capture: true, passive: false };
function noevent$1(event) {
  event.preventDefault();
  event.stopImmediatePropagation();
}
function dragDisable(view) {
  var root2 = view.document.documentElement, selection2 = select(view).on("dragstart.drag", noevent$1, nonpassivecapture);
  if ("onselectstart" in root2) {
    selection2.on("selectstart.drag", noevent$1, nonpassivecapture);
  } else {
    root2.__noselect = root2.style.MozUserSelect;
    root2.style.MozUserSelect = "none";
  }
}
function yesdrag(view, noclick) {
  var root2 = view.document.documentElement, selection2 = select(view).on("dragstart.drag", null);
  if (noclick) {
    selection2.on("click.drag", noevent$1, nonpassivecapture);
    setTimeout(function() {
      selection2.on("click.drag", null);
    }, 0);
  }
  if ("onselectstart" in root2) {
    selection2.on("selectstart.drag", null);
  } else {
    root2.style.MozUserSelect = root2.__noselect;
    delete root2.__noselect;
  }
}
function define(constructor, factory, prototype) {
  constructor.prototype = factory.prototype = prototype;
  prototype.constructor = constructor;
}
function extend(parent, definition) {
  var prototype = Object.create(parent.prototype);
  for (var key in definition)
    prototype[key] = definition[key];
  return prototype;
}
function Color() {
}
var darker = 0.7;
var brighter = 1 / darker;
var reI = "\\s*([+-]?\\d+)\\s*", reN = "\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)\\s*", reP = "\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)%\\s*", reHex = /^#([0-9a-f]{3,8})$/, reRgbInteger = new RegExp("^rgb\\(" + [reI, reI, reI] + "\\)$"), reRgbPercent = new RegExp("^rgb\\(" + [reP, reP, reP] + "\\)$"), reRgbaInteger = new RegExp("^rgba\\(" + [reI, reI, reI, reN] + "\\)$"), reRgbaPercent = new RegExp("^rgba\\(" + [reP, reP, reP, reN] + "\\)$"), reHslPercent = new RegExp("^hsl\\(" + [reN, reP, reP] + "\\)$"), reHslaPercent = new RegExp("^hsla\\(" + [reN, reP, reP, reN] + "\\)$");
var named = {
  aliceblue: 15792383,
  antiquewhite: 16444375,
  aqua: 65535,
  aquamarine: 8388564,
  azure: 15794175,
  beige: 16119260,
  bisque: 16770244,
  black: 0,
  blanchedalmond: 16772045,
  blue: 255,
  blueviolet: 9055202,
  brown: 10824234,
  burlywood: 14596231,
  cadetblue: 6266528,
  chartreuse: 8388352,
  chocolate: 13789470,
  coral: 16744272,
  cornflowerblue: 6591981,
  cornsilk: 16775388,
  crimson: 14423100,
  cyan: 65535,
  darkblue: 139,
  darkcyan: 35723,
  darkgoldenrod: 12092939,
  darkgray: 11119017,
  darkgreen: 25600,
  darkgrey: 11119017,
  darkkhaki: 12433259,
  darkmagenta: 9109643,
  darkolivegreen: 5597999,
  darkorange: 16747520,
  darkorchid: 10040012,
  darkred: 9109504,
  darksalmon: 15308410,
  darkseagreen: 9419919,
  darkslateblue: 4734347,
  darkslategray: 3100495,
  darkslategrey: 3100495,
  darkturquoise: 52945,
  darkviolet: 9699539,
  deeppink: 16716947,
  deepskyblue: 49151,
  dimgray: 6908265,
  dimgrey: 6908265,
  dodgerblue: 2003199,
  firebrick: 11674146,
  floralwhite: 16775920,
  forestgreen: 2263842,
  fuchsia: 16711935,
  gainsboro: 14474460,
  ghostwhite: 16316671,
  gold: 16766720,
  goldenrod: 14329120,
  gray: 8421504,
  green: 32768,
  greenyellow: 11403055,
  grey: 8421504,
  honeydew: 15794160,
  hotpink: 16738740,
  indianred: 13458524,
  indigo: 4915330,
  ivory: 16777200,
  khaki: 15787660,
  lavender: 15132410,
  lavenderblush: 16773365,
  lawngreen: 8190976,
  lemonchiffon: 16775885,
  lightblue: 11393254,
  lightcoral: 15761536,
  lightcyan: 14745599,
  lightgoldenrodyellow: 16448210,
  lightgray: 13882323,
  lightgreen: 9498256,
  lightgrey: 13882323,
  lightpink: 16758465,
  lightsalmon: 16752762,
  lightseagreen: 2142890,
  lightskyblue: 8900346,
  lightslategray: 7833753,
  lightslategrey: 7833753,
  lightsteelblue: 11584734,
  lightyellow: 16777184,
  lime: 65280,
  limegreen: 3329330,
  linen: 16445670,
  magenta: 16711935,
  maroon: 8388608,
  mediumaquamarine: 6737322,
  mediumblue: 205,
  mediumorchid: 12211667,
  mediumpurple: 9662683,
  mediumseagreen: 3978097,
  mediumslateblue: 8087790,
  mediumspringgreen: 64154,
  mediumturquoise: 4772300,
  mediumvioletred: 13047173,
  midnightblue: 1644912,
  mintcream: 16121850,
  mistyrose: 16770273,
  moccasin: 16770229,
  navajowhite: 16768685,
  navy: 128,
  oldlace: 16643558,
  olive: 8421376,
  olivedrab: 7048739,
  orange: 16753920,
  orangered: 16729344,
  orchid: 14315734,
  palegoldenrod: 15657130,
  palegreen: 10025880,
  paleturquoise: 11529966,
  palevioletred: 14381203,
  papayawhip: 16773077,
  peachpuff: 16767673,
  peru: 13468991,
  pink: 16761035,
  plum: 14524637,
  powderblue: 11591910,
  purple: 8388736,
  rebeccapurple: 6697881,
  red: 16711680,
  rosybrown: 12357519,
  royalblue: 4286945,
  saddlebrown: 9127187,
  salmon: 16416882,
  sandybrown: 16032864,
  seagreen: 3050327,
  seashell: 16774638,
  sienna: 10506797,
  silver: 12632256,
  skyblue: 8900331,
  slateblue: 6970061,
  slategray: 7372944,
  slategrey: 7372944,
  snow: 16775930,
  springgreen: 65407,
  steelblue: 4620980,
  tan: 13808780,
  teal: 32896,
  thistle: 14204888,
  tomato: 16737095,
  turquoise: 4251856,
  violet: 15631086,
  wheat: 16113331,
  white: 16777215,
  whitesmoke: 16119285,
  yellow: 16776960,
  yellowgreen: 10145074
};
define(Color, color, {
  copy: function(channels) {
    return Object.assign(new this.constructor(), this, channels);
  },
  displayable: function() {
    return this.rgb().displayable();
  },
  hex: color_formatHex,
  formatHex: color_formatHex,
  formatHsl: color_formatHsl,
  formatRgb: color_formatRgb,
  toString: color_formatRgb
});
function color_formatHex() {
  return this.rgb().formatHex();
}
function color_formatHsl() {
  return hslConvert(this).formatHsl();
}
function color_formatRgb() {
  return this.rgb().formatRgb();
}
function color(format) {
  var m, l;
  format = (format + "").trim().toLowerCase();
  return (m = reHex.exec(format)) ? (l = m[1].length, m = parseInt(m[1], 16), l === 6 ? rgbn(m) : l === 3 ? new Rgb(m >> 8 & 15 | m >> 4 & 240, m >> 4 & 15 | m & 240, (m & 15) << 4 | m & 15, 1) : l === 8 ? rgba(m >> 24 & 255, m >> 16 & 255, m >> 8 & 255, (m & 255) / 255) : l === 4 ? rgba(m >> 12 & 15 | m >> 8 & 240, m >> 8 & 15 | m >> 4 & 240, m >> 4 & 15 | m & 240, ((m & 15) << 4 | m & 15) / 255) : null) : (m = reRgbInteger.exec(format)) ? new Rgb(m[1], m[2], m[3], 1) : (m = reRgbPercent.exec(format)) ? new Rgb(m[1] * 255 / 100, m[2] * 255 / 100, m[3] * 255 / 100, 1) : (m = reRgbaInteger.exec(format)) ? rgba(m[1], m[2], m[3], m[4]) : (m = reRgbaPercent.exec(format)) ? rgba(m[1] * 255 / 100, m[2] * 255 / 100, m[3] * 255 / 100, m[4]) : (m = reHslPercent.exec(format)) ? hsla(m[1], m[2] / 100, m[3] / 100, 1) : (m = reHslaPercent.exec(format)) ? hsla(m[1], m[2] / 100, m[3] / 100, m[4]) : named.hasOwnProperty(format) ? rgbn(named[format]) : format === "transparent" ? new Rgb(NaN, NaN, NaN, 0) : null;
}
function rgbn(n) {
  return new Rgb(n >> 16 & 255, n >> 8 & 255, n & 255, 1);
}
function rgba(r, g, b, a) {
  if (a <= 0)
    r = g = b = NaN;
  return new Rgb(r, g, b, a);
}
function rgbConvert(o) {
  if (!(o instanceof Color))
    o = color(o);
  if (!o)
    return new Rgb();
  o = o.rgb();
  return new Rgb(o.r, o.g, o.b, o.opacity);
}
function rgb(r, g, b, opacity) {
  return arguments.length === 1 ? rgbConvert(r) : new Rgb(r, g, b, opacity == null ? 1 : opacity);
}
function Rgb(r, g, b, opacity) {
  this.r = +r;
  this.g = +g;
  this.b = +b;
  this.opacity = +opacity;
}
define(Rgb, rgb, extend(Color, {
  brighter: function(k) {
    k = k == null ? brighter : Math.pow(brighter, k);
    return new Rgb(this.r * k, this.g * k, this.b * k, this.opacity);
  },
  darker: function(k) {
    k = k == null ? darker : Math.pow(darker, k);
    return new Rgb(this.r * k, this.g * k, this.b * k, this.opacity);
  },
  rgb: function() {
    return this;
  },
  displayable: function() {
    return -0.5 <= this.r && this.r < 255.5 && (-0.5 <= this.g && this.g < 255.5) && (-0.5 <= this.b && this.b < 255.5) && (0 <= this.opacity && this.opacity <= 1);
  },
  hex: rgb_formatHex,
  formatHex: rgb_formatHex,
  formatRgb: rgb_formatRgb,
  toString: rgb_formatRgb
}));
function rgb_formatHex() {
  return "#" + hex(this.r) + hex(this.g) + hex(this.b);
}
function rgb_formatRgb() {
  var a = this.opacity;
  a = isNaN(a) ? 1 : Math.max(0, Math.min(1, a));
  return (a === 1 ? "rgb(" : "rgba(") + Math.max(0, Math.min(255, Math.round(this.r) || 0)) + ", " + Math.max(0, Math.min(255, Math.round(this.g) || 0)) + ", " + Math.max(0, Math.min(255, Math.round(this.b) || 0)) + (a === 1 ? ")" : ", " + a + ")");
}
function hex(value) {
  value = Math.max(0, Math.min(255, Math.round(value) || 0));
  return (value < 16 ? "0" : "") + value.toString(16);
}
function hsla(h2, s, l, a) {
  if (a <= 0)
    h2 = s = l = NaN;
  else if (l <= 0 || l >= 1)
    h2 = s = NaN;
  else if (s <= 0)
    h2 = NaN;
  return new Hsl(h2, s, l, a);
}
function hslConvert(o) {
  if (o instanceof Hsl)
    return new Hsl(o.h, o.s, o.l, o.opacity);
  if (!(o instanceof Color))
    o = color(o);
  if (!o)
    return new Hsl();
  if (o instanceof Hsl)
    return o;
  o = o.rgb();
  var r = o.r / 255, g = o.g / 255, b = o.b / 255, min = Math.min(r, g, b), max = Math.max(r, g, b), h2 = NaN, s = max - min, l = (max + min) / 2;
  if (s) {
    if (r === max)
      h2 = (g - b) / s + (g < b) * 6;
    else if (g === max)
      h2 = (b - r) / s + 2;
    else
      h2 = (r - g) / s + 4;
    s /= l < 0.5 ? max + min : 2 - max - min;
    h2 *= 60;
  } else {
    s = l > 0 && l < 1 ? 0 : h2;
  }
  return new Hsl(h2, s, l, o.opacity);
}
function hsl(h2, s, l, opacity) {
  return arguments.length === 1 ? hslConvert(h2) : new Hsl(h2, s, l, opacity == null ? 1 : opacity);
}
function Hsl(h2, s, l, opacity) {
  this.h = +h2;
  this.s = +s;
  this.l = +l;
  this.opacity = +opacity;
}
define(Hsl, hsl, extend(Color, {
  brighter: function(k) {
    k = k == null ? brighter : Math.pow(brighter, k);
    return new Hsl(this.h, this.s, this.l * k, this.opacity);
  },
  darker: function(k) {
    k = k == null ? darker : Math.pow(darker, k);
    return new Hsl(this.h, this.s, this.l * k, this.opacity);
  },
  rgb: function() {
    var h2 = this.h % 360 + (this.h < 0) * 360, s = isNaN(h2) || isNaN(this.s) ? 0 : this.s, l = this.l, m2 = l + (l < 0.5 ? l : 1 - l) * s, m1 = 2 * l - m2;
    return new Rgb(hsl2rgb(h2 >= 240 ? h2 - 240 : h2 + 120, m1, m2), hsl2rgb(h2, m1, m2), hsl2rgb(h2 < 120 ? h2 + 240 : h2 - 120, m1, m2), this.opacity);
  },
  displayable: function() {
    return (0 <= this.s && this.s <= 1 || isNaN(this.s)) && (0 <= this.l && this.l <= 1) && (0 <= this.opacity && this.opacity <= 1);
  },
  formatHsl: function() {
    var a = this.opacity;
    a = isNaN(a) ? 1 : Math.max(0, Math.min(1, a));
    return (a === 1 ? "hsl(" : "hsla(") + (this.h || 0) + ", " + (this.s || 0) * 100 + "%, " + (this.l || 0) * 100 + "%" + (a === 1 ? ")" : ", " + a + ")");
  }
}));
function hsl2rgb(h2, m1, m2) {
  return (h2 < 60 ? m1 + (m2 - m1) * h2 / 60 : h2 < 180 ? m2 : h2 < 240 ? m1 + (m2 - m1) * (240 - h2) / 60 : m1) * 255;
}
var constant$1 = (x) => () => x;
function linear(a, d) {
  return function(t2) {
    return a + t2 * d;
  };
}
function exponential(a, b, y) {
  return a = Math.pow(a, y), b = Math.pow(b, y) - a, y = 1 / y, function(t2) {
    return Math.pow(a + t2 * b, y);
  };
}
function gamma(y) {
  return (y = +y) === 1 ? nogamma : function(a, b) {
    return b - a ? exponential(a, b, y) : constant$1(isNaN(a) ? b : a);
  };
}
function nogamma(a, b) {
  var d = b - a;
  return d ? linear(a, d) : constant$1(isNaN(a) ? b : a);
}
var interpolateRgb = function rgbGamma(y) {
  var color2 = gamma(y);
  function rgb$1(start2, end) {
    var r = color2((start2 = rgb(start2)).r, (end = rgb(end)).r), g = color2(start2.g, end.g), b = color2(start2.b, end.b), opacity = nogamma(start2.opacity, end.opacity);
    return function(t2) {
      start2.r = r(t2);
      start2.g = g(t2);
      start2.b = b(t2);
      start2.opacity = opacity(t2);
      return start2 + "";
    };
  }
  rgb$1.gamma = rgbGamma;
  return rgb$1;
}(1);
function interpolateNumber(a, b) {
  return a = +a, b = +b, function(t2) {
    return a * (1 - t2) + b * t2;
  };
}
var reA = /[-+]?(?:\d+\.?\d*|\.?\d+)(?:[eE][-+]?\d+)?/g, reB = new RegExp(reA.source, "g");
function zero(b) {
  return function() {
    return b;
  };
}
function one(b) {
  return function(t2) {
    return b(t2) + "";
  };
}
function interpolateString(a, b) {
  var bi = reA.lastIndex = reB.lastIndex = 0, am, bm, bs, i = -1, s = [], q = [];
  a = a + "", b = b + "";
  while ((am = reA.exec(a)) && (bm = reB.exec(b))) {
    if ((bs = bm.index) > bi) {
      bs = b.slice(bi, bs);
      if (s[i])
        s[i] += bs;
      else
        s[++i] = bs;
    }
    if ((am = am[0]) === (bm = bm[0])) {
      if (s[i])
        s[i] += bm;
      else
        s[++i] = bm;
    } else {
      s[++i] = null;
      q.push({ i, x: interpolateNumber(am, bm) });
    }
    bi = reB.lastIndex;
  }
  if (bi < b.length) {
    bs = b.slice(bi);
    if (s[i])
      s[i] += bs;
    else
      s[++i] = bs;
  }
  return s.length < 2 ? q[0] ? one(q[0].x) : zero(b) : (b = q.length, function(t2) {
    for (var i2 = 0, o; i2 < b; ++i2)
      s[(o = q[i2]).i] = o.x(t2);
    return s.join("");
  });
}
var degrees = 180 / Math.PI;
var identity$1 = {
  translateX: 0,
  translateY: 0,
  rotate: 0,
  skewX: 0,
  scaleX: 1,
  scaleY: 1
};
function decompose(a, b, c, d, e, f) {
  var scaleX, scaleY, skewX;
  if (scaleX = Math.sqrt(a * a + b * b))
    a /= scaleX, b /= scaleX;
  if (skewX = a * c + b * d)
    c -= a * skewX, d -= b * skewX;
  if (scaleY = Math.sqrt(c * c + d * d))
    c /= scaleY, d /= scaleY, skewX /= scaleY;
  if (a * d < b * c)
    a = -a, b = -b, skewX = -skewX, scaleX = -scaleX;
  return {
    translateX: e,
    translateY: f,
    rotate: Math.atan2(b, a) * degrees,
    skewX: Math.atan(skewX) * degrees,
    scaleX,
    scaleY
  };
}
var svgNode;
function parseCss(value) {
  const m = new (typeof DOMMatrix === "function" ? DOMMatrix : WebKitCSSMatrix)(value + "");
  return m.isIdentity ? identity$1 : decompose(m.a, m.b, m.c, m.d, m.e, m.f);
}
function parseSvg(value) {
  if (value == null)
    return identity$1;
  if (!svgNode)
    svgNode = document.createElementNS("http://www.w3.org/2000/svg", "g");
  svgNode.setAttribute("transform", value);
  if (!(value = svgNode.transform.baseVal.consolidate()))
    return identity$1;
  value = value.matrix;
  return decompose(value.a, value.b, value.c, value.d, value.e, value.f);
}
function interpolateTransform(parse, pxComma, pxParen, degParen) {
  function pop(s) {
    return s.length ? s.pop() + " " : "";
  }
  function translate(xa, ya, xb, yb, s, q) {
    if (xa !== xb || ya !== yb) {
      var i = s.push("translate(", null, pxComma, null, pxParen);
      q.push({ i: i - 4, x: interpolateNumber(xa, xb) }, { i: i - 2, x: interpolateNumber(ya, yb) });
    } else if (xb || yb) {
      s.push("translate(" + xb + pxComma + yb + pxParen);
    }
  }
  function rotate(a, b, s, q) {
    if (a !== b) {
      if (a - b > 180)
        b += 360;
      else if (b - a > 180)
        a += 360;
      q.push({ i: s.push(pop(s) + "rotate(", null, degParen) - 2, x: interpolateNumber(a, b) });
    } else if (b) {
      s.push(pop(s) + "rotate(" + b + degParen);
    }
  }
  function skewX(a, b, s, q) {
    if (a !== b) {
      q.push({ i: s.push(pop(s) + "skewX(", null, degParen) - 2, x: interpolateNumber(a, b) });
    } else if (b) {
      s.push(pop(s) + "skewX(" + b + degParen);
    }
  }
  function scale(xa, ya, xb, yb, s, q) {
    if (xa !== xb || ya !== yb) {
      var i = s.push(pop(s) + "scale(", null, ",", null, ")");
      q.push({ i: i - 4, x: interpolateNumber(xa, xb) }, { i: i - 2, x: interpolateNumber(ya, yb) });
    } else if (xb !== 1 || yb !== 1) {
      s.push(pop(s) + "scale(" + xb + "," + yb + ")");
    }
  }
  return function(a, b) {
    var s = [], q = [];
    a = parse(a), b = parse(b);
    translate(a.translateX, a.translateY, b.translateX, b.translateY, s, q);
    rotate(a.rotate, b.rotate, s, q);
    skewX(a.skewX, b.skewX, s, q);
    scale(a.scaleX, a.scaleY, b.scaleX, b.scaleY, s, q);
    a = b = null;
    return function(t2) {
      var i = -1, n = q.length, o;
      while (++i < n)
        s[(o = q[i]).i] = o.x(t2);
      return s.join("");
    };
  };
}
var interpolateTransformCss = interpolateTransform(parseCss, "px, ", "px)", "deg)");
var interpolateTransformSvg = interpolateTransform(parseSvg, ", ", ")", ")");
var epsilon2 = 1e-12;
function cosh(x) {
  return ((x = Math.exp(x)) + 1 / x) / 2;
}
function sinh(x) {
  return ((x = Math.exp(x)) - 1 / x) / 2;
}
function tanh(x) {
  return ((x = Math.exp(2 * x)) - 1) / (x + 1);
}
var interpolateZoom = function zoomRho(rho, rho2, rho4) {
  function zoom2(p0, p1) {
    var ux0 = p0[0], uy0 = p0[1], w0 = p0[2], ux1 = p1[0], uy1 = p1[1], w1 = p1[2], dx = ux1 - ux0, dy = uy1 - uy0, d2 = dx * dx + dy * dy, i, S;
    if (d2 < epsilon2) {
      S = Math.log(w1 / w0) / rho;
      i = function(t2) {
        return [
          ux0 + t2 * dx,
          uy0 + t2 * dy,
          w0 * Math.exp(rho * t2 * S)
        ];
      };
    } else {
      var d1 = Math.sqrt(d2), b0 = (w1 * w1 - w0 * w0 + rho4 * d2) / (2 * w0 * rho2 * d1), b1 = (w1 * w1 - w0 * w0 - rho4 * d2) / (2 * w1 * rho2 * d1), r0 = Math.log(Math.sqrt(b0 * b0 + 1) - b0), r1 = Math.log(Math.sqrt(b1 * b1 + 1) - b1);
      S = (r1 - r0) / rho;
      i = function(t2) {
        var s = t2 * S, coshr0 = cosh(r0), u = w0 / (rho2 * d1) * (coshr0 * tanh(rho * s + r0) - sinh(r0));
        return [
          ux0 + u * dx,
          uy0 + u * dy,
          w0 * coshr0 / cosh(rho * s + r0)
        ];
      };
    }
    i.duration = S * 1e3 * rho / Math.SQRT2;
    return i;
  }
  zoom2.rho = function(_) {
    var _1 = Math.max(1e-3, +_), _2 = _1 * _1, _4 = _2 * _2;
    return zoomRho(_1, _2, _4);
  };
  return zoom2;
}(Math.SQRT2, 2, 4);
var frame = 0, timeout$1 = 0, interval = 0, pokeDelay = 1e3, taskHead, taskTail, clockLast = 0, clockNow = 0, clockSkew = 0, clock = typeof performance === "object" && performance.now ? performance : Date, setFrame = typeof window === "object" && window.requestAnimationFrame ? window.requestAnimationFrame.bind(window) : function(f) {
  setTimeout(f, 17);
};
function now() {
  return clockNow || (setFrame(clearNow), clockNow = clock.now() + clockSkew);
}
function clearNow() {
  clockNow = 0;
}
function Timer() {
  this._call = this._time = this._next = null;
}
Timer.prototype = timer.prototype = {
  constructor: Timer,
  restart: function(callback, delay, time) {
    if (typeof callback !== "function")
      throw new TypeError("callback is not a function");
    time = (time == null ? now() : +time) + (delay == null ? 0 : +delay);
    if (!this._next && taskTail !== this) {
      if (taskTail)
        taskTail._next = this;
      else
        taskHead = this;
      taskTail = this;
    }
    this._call = callback;
    this._time = time;
    sleep();
  },
  stop: function() {
    if (this._call) {
      this._call = null;
      this._time = Infinity;
      sleep();
    }
  }
};
function timer(callback, delay, time) {
  var t2 = new Timer();
  t2.restart(callback, delay, time);
  return t2;
}
function timerFlush() {
  now();
  ++frame;
  var t2 = taskHead, e;
  while (t2) {
    if ((e = clockNow - t2._time) >= 0)
      t2._call.call(void 0, e);
    t2 = t2._next;
  }
  --frame;
}
function wake() {
  clockNow = (clockLast = clock.now()) + clockSkew;
  frame = timeout$1 = 0;
  try {
    timerFlush();
  } finally {
    frame = 0;
    nap();
    clockNow = 0;
  }
}
function poke() {
  var now2 = clock.now(), delay = now2 - clockLast;
  if (delay > pokeDelay)
    clockSkew -= delay, clockLast = now2;
}
function nap() {
  var t0, t1 = taskHead, t2, time = Infinity;
  while (t1) {
    if (t1._call) {
      if (time > t1._time)
        time = t1._time;
      t0 = t1, t1 = t1._next;
    } else {
      t2 = t1._next, t1._next = null;
      t1 = t0 ? t0._next = t2 : taskHead = t2;
    }
  }
  taskTail = t0;
  sleep(time);
}
function sleep(time) {
  if (frame)
    return;
  if (timeout$1)
    timeout$1 = clearTimeout(timeout$1);
  var delay = time - clockNow;
  if (delay > 24) {
    if (time < Infinity)
      timeout$1 = setTimeout(wake, time - clock.now() - clockSkew);
    if (interval)
      interval = clearInterval(interval);
  } else {
    if (!interval)
      clockLast = clock.now(), interval = setInterval(poke, pokeDelay);
    frame = 1, setFrame(wake);
  }
}
function timeout(callback, delay, time) {
  var t2 = new Timer();
  delay = delay == null ? 0 : +delay;
  t2.restart((elapsed) => {
    t2.stop();
    callback(elapsed + delay);
  }, delay, time);
  return t2;
}
var emptyOn = dispatch("start", "end", "cancel", "interrupt");
var emptyTween = [];
var CREATED = 0;
var SCHEDULED = 1;
var STARTING = 2;
var STARTED = 3;
var RUNNING = 4;
var ENDING = 5;
var ENDED = 6;
function schedule(node, name, id2, index, group, timing) {
  var schedules = node.__transition;
  if (!schedules)
    node.__transition = {};
  else if (id2 in schedules)
    return;
  create(node, id2, {
    name,
    index,
    group,
    on: emptyOn,
    tween: emptyTween,
    time: timing.time,
    delay: timing.delay,
    duration: timing.duration,
    ease: timing.ease,
    timer: null,
    state: CREATED
  });
}
function init(node, id2) {
  var schedule2 = get$1(node, id2);
  if (schedule2.state > CREATED)
    throw new Error("too late; already scheduled");
  return schedule2;
}
function set(node, id2) {
  var schedule2 = get$1(node, id2);
  if (schedule2.state > STARTED)
    throw new Error("too late; already running");
  return schedule2;
}
function get$1(node, id2) {
  var schedule2 = node.__transition;
  if (!schedule2 || !(schedule2 = schedule2[id2]))
    throw new Error("transition not found");
  return schedule2;
}
function create(node, id2, self) {
  var schedules = node.__transition, tween;
  schedules[id2] = self;
  self.timer = timer(schedule2, 0, self.time);
  function schedule2(elapsed) {
    self.state = SCHEDULED;
    self.timer.restart(start2, self.delay, self.time);
    if (self.delay <= elapsed)
      start2(elapsed - self.delay);
  }
  function start2(elapsed) {
    var i, j, n, o;
    if (self.state !== SCHEDULED)
      return stop();
    for (i in schedules) {
      o = schedules[i];
      if (o.name !== self.name)
        continue;
      if (o.state === STARTED)
        return timeout(start2);
      if (o.state === RUNNING) {
        o.state = ENDED;
        o.timer.stop();
        o.on.call("interrupt", node, node.__data__, o.index, o.group);
        delete schedules[i];
      } else if (+i < id2) {
        o.state = ENDED;
        o.timer.stop();
        o.on.call("cancel", node, node.__data__, o.index, o.group);
        delete schedules[i];
      }
    }
    timeout(function() {
      if (self.state === STARTED) {
        self.state = RUNNING;
        self.timer.restart(tick, self.delay, self.time);
        tick(elapsed);
      }
    });
    self.state = STARTING;
    self.on.call("start", node, node.__data__, self.index, self.group);
    if (self.state !== STARTING)
      return;
    self.state = STARTED;
    tween = new Array(n = self.tween.length);
    for (i = 0, j = -1; i < n; ++i) {
      if (o = self.tween[i].value.call(node, node.__data__, self.index, self.group)) {
        tween[++j] = o;
      }
    }
    tween.length = j + 1;
  }
  function tick(elapsed) {
    var t2 = elapsed < self.duration ? self.ease.call(null, elapsed / self.duration) : (self.timer.restart(stop), self.state = ENDING, 1), i = -1, n = tween.length;
    while (++i < n) {
      tween[i].call(node, t2);
    }
    if (self.state === ENDING) {
      self.on.call("end", node, node.__data__, self.index, self.group);
      stop();
    }
  }
  function stop() {
    self.state = ENDED;
    self.timer.stop();
    delete schedules[id2];
    for (var i in schedules)
      return;
    delete node.__transition;
  }
}
function interrupt(node, name) {
  var schedules = node.__transition, schedule2, active, empty2 = true, i;
  if (!schedules)
    return;
  name = name == null ? null : name + "";
  for (i in schedules) {
    if ((schedule2 = schedules[i]).name !== name) {
      empty2 = false;
      continue;
    }
    active = schedule2.state > STARTING && schedule2.state < ENDING;
    schedule2.state = ENDED;
    schedule2.timer.stop();
    schedule2.on.call(active ? "interrupt" : "cancel", node, node.__data__, schedule2.index, schedule2.group);
    delete schedules[i];
  }
  if (empty2)
    delete node.__transition;
}
function selection_interrupt(name) {
  return this.each(function() {
    interrupt(this, name);
  });
}
function tweenRemove(id2, name) {
  var tween0, tween1;
  return function() {
    var schedule2 = set(this, id2), tween = schedule2.tween;
    if (tween !== tween0) {
      tween1 = tween0 = tween;
      for (var i = 0, n = tween1.length; i < n; ++i) {
        if (tween1[i].name === name) {
          tween1 = tween1.slice();
          tween1.splice(i, 1);
          break;
        }
      }
    }
    schedule2.tween = tween1;
  };
}
function tweenFunction(id2, name, value) {
  var tween0, tween1;
  if (typeof value !== "function")
    throw new Error();
  return function() {
    var schedule2 = set(this, id2), tween = schedule2.tween;
    if (tween !== tween0) {
      tween1 = (tween0 = tween).slice();
      for (var t2 = { name, value }, i = 0, n = tween1.length; i < n; ++i) {
        if (tween1[i].name === name) {
          tween1[i] = t2;
          break;
        }
      }
      if (i === n)
        tween1.push(t2);
    }
    schedule2.tween = tween1;
  };
}
function transition_tween(name, value) {
  var id2 = this._id;
  name += "";
  if (arguments.length < 2) {
    var tween = get$1(this.node(), id2).tween;
    for (var i = 0, n = tween.length, t2; i < n; ++i) {
      if ((t2 = tween[i]).name === name) {
        return t2.value;
      }
    }
    return null;
  }
  return this.each((value == null ? tweenRemove : tweenFunction)(id2, name, value));
}
function tweenValue(transition, name, value) {
  var id2 = transition._id;
  transition.each(function() {
    var schedule2 = set(this, id2);
    (schedule2.value || (schedule2.value = {}))[name] = value.apply(this, arguments);
  });
  return function(node) {
    return get$1(node, id2).value[name];
  };
}
function interpolate(a, b) {
  var c;
  return (typeof b === "number" ? interpolateNumber : b instanceof color ? interpolateRgb : (c = color(b)) ? (b = c, interpolateRgb) : interpolateString)(a, b);
}
function attrRemove(name) {
  return function() {
    this.removeAttribute(name);
  };
}
function attrRemoveNS(fullname) {
  return function() {
    this.removeAttributeNS(fullname.space, fullname.local);
  };
}
function attrConstant(name, interpolate2, value1) {
  var string00, string1 = value1 + "", interpolate0;
  return function() {
    var string0 = this.getAttribute(name);
    return string0 === string1 ? null : string0 === string00 ? interpolate0 : interpolate0 = interpolate2(string00 = string0, value1);
  };
}
function attrConstantNS(fullname, interpolate2, value1) {
  var string00, string1 = value1 + "", interpolate0;
  return function() {
    var string0 = this.getAttributeNS(fullname.space, fullname.local);
    return string0 === string1 ? null : string0 === string00 ? interpolate0 : interpolate0 = interpolate2(string00 = string0, value1);
  };
}
function attrFunction(name, interpolate2, value) {
  var string00, string10, interpolate0;
  return function() {
    var string0, value1 = value(this), string1;
    if (value1 == null)
      return void this.removeAttribute(name);
    string0 = this.getAttribute(name);
    string1 = value1 + "";
    return string0 === string1 ? null : string0 === string00 && string1 === string10 ? interpolate0 : (string10 = string1, interpolate0 = interpolate2(string00 = string0, value1));
  };
}
function attrFunctionNS(fullname, interpolate2, value) {
  var string00, string10, interpolate0;
  return function() {
    var string0, value1 = value(this), string1;
    if (value1 == null)
      return void this.removeAttributeNS(fullname.space, fullname.local);
    string0 = this.getAttributeNS(fullname.space, fullname.local);
    string1 = value1 + "";
    return string0 === string1 ? null : string0 === string00 && string1 === string10 ? interpolate0 : (string10 = string1, interpolate0 = interpolate2(string00 = string0, value1));
  };
}
function transition_attr(name, value) {
  var fullname = namespace(name), i = fullname === "transform" ? interpolateTransformSvg : interpolate;
  return this.attrTween(name, typeof value === "function" ? (fullname.local ? attrFunctionNS : attrFunction)(fullname, i, tweenValue(this, "attr." + name, value)) : value == null ? (fullname.local ? attrRemoveNS : attrRemove)(fullname) : (fullname.local ? attrConstantNS : attrConstant)(fullname, i, value));
}
function attrInterpolate(name, i) {
  return function(t2) {
    this.setAttribute(name, i.call(this, t2));
  };
}
function attrInterpolateNS(fullname, i) {
  return function(t2) {
    this.setAttributeNS(fullname.space, fullname.local, i.call(this, t2));
  };
}
function attrTweenNS(fullname, value) {
  var t0, i0;
  function tween() {
    var i = value.apply(this, arguments);
    if (i !== i0)
      t0 = (i0 = i) && attrInterpolateNS(fullname, i);
    return t0;
  }
  tween._value = value;
  return tween;
}
function attrTween(name, value) {
  var t0, i0;
  function tween() {
    var i = value.apply(this, arguments);
    if (i !== i0)
      t0 = (i0 = i) && attrInterpolate(name, i);
    return t0;
  }
  tween._value = value;
  return tween;
}
function transition_attrTween(name, value) {
  var key = "attr." + name;
  if (arguments.length < 2)
    return (key = this.tween(key)) && key._value;
  if (value == null)
    return this.tween(key, null);
  if (typeof value !== "function")
    throw new Error();
  var fullname = namespace(name);
  return this.tween(key, (fullname.local ? attrTweenNS : attrTween)(fullname, value));
}
function delayFunction(id2, value) {
  return function() {
    init(this, id2).delay = +value.apply(this, arguments);
  };
}
function delayConstant(id2, value) {
  return value = +value, function() {
    init(this, id2).delay = value;
  };
}
function transition_delay(value) {
  var id2 = this._id;
  return arguments.length ? this.each((typeof value === "function" ? delayFunction : delayConstant)(id2, value)) : get$1(this.node(), id2).delay;
}
function durationFunction(id2, value) {
  return function() {
    set(this, id2).duration = +value.apply(this, arguments);
  };
}
function durationConstant(id2, value) {
  return value = +value, function() {
    set(this, id2).duration = value;
  };
}
function transition_duration(value) {
  var id2 = this._id;
  return arguments.length ? this.each((typeof value === "function" ? durationFunction : durationConstant)(id2, value)) : get$1(this.node(), id2).duration;
}
function easeConstant(id2, value) {
  if (typeof value !== "function")
    throw new Error();
  return function() {
    set(this, id2).ease = value;
  };
}
function transition_ease(value) {
  var id2 = this._id;
  return arguments.length ? this.each(easeConstant(id2, value)) : get$1(this.node(), id2).ease;
}
function easeVarying(id2, value) {
  return function() {
    var v = value.apply(this, arguments);
    if (typeof v !== "function")
      throw new Error();
    set(this, id2).ease = v;
  };
}
function transition_easeVarying(value) {
  if (typeof value !== "function")
    throw new Error();
  return this.each(easeVarying(this._id, value));
}
function transition_filter(match) {
  if (typeof match !== "function")
    match = matcher(match);
  for (var groups = this._groups, m = groups.length, subgroups = new Array(m), j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, subgroup = subgroups[j] = [], node, i = 0; i < n; ++i) {
      if ((node = group[i]) && match.call(node, node.__data__, i, group)) {
        subgroup.push(node);
      }
    }
  }
  return new Transition(subgroups, this._parents, this._name, this._id);
}
function transition_merge(transition) {
  if (transition._id !== this._id)
    throw new Error();
  for (var groups0 = this._groups, groups1 = transition._groups, m0 = groups0.length, m1 = groups1.length, m = Math.min(m0, m1), merges = new Array(m0), j = 0; j < m; ++j) {
    for (var group0 = groups0[j], group1 = groups1[j], n = group0.length, merge = merges[j] = new Array(n), node, i = 0; i < n; ++i) {
      if (node = group0[i] || group1[i]) {
        merge[i] = node;
      }
    }
  }
  for (; j < m0; ++j) {
    merges[j] = groups0[j];
  }
  return new Transition(merges, this._parents, this._name, this._id);
}
function start(name) {
  return (name + "").trim().split(/^|\s+/).every(function(t2) {
    var i = t2.indexOf(".");
    if (i >= 0)
      t2 = t2.slice(0, i);
    return !t2 || t2 === "start";
  });
}
function onFunction(id2, name, listener) {
  var on0, on1, sit = start(name) ? init : set;
  return function() {
    var schedule2 = sit(this, id2), on = schedule2.on;
    if (on !== on0)
      (on1 = (on0 = on).copy()).on(name, listener);
    schedule2.on = on1;
  };
}
function transition_on(name, listener) {
  var id2 = this._id;
  return arguments.length < 2 ? get$1(this.node(), id2).on.on(name) : this.each(onFunction(id2, name, listener));
}
function removeFunction(id2) {
  return function() {
    var parent = this.parentNode;
    for (var i in this.__transition)
      if (+i !== id2)
        return;
    if (parent)
      parent.removeChild(this);
  };
}
function transition_remove() {
  return this.on("end.remove", removeFunction(this._id));
}
function transition_select(select2) {
  var name = this._name, id2 = this._id;
  if (typeof select2 !== "function")
    select2 = selector(select2);
  for (var groups = this._groups, m = groups.length, subgroups = new Array(m), j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, subgroup = subgroups[j] = new Array(n), node, subnode, i = 0; i < n; ++i) {
      if ((node = group[i]) && (subnode = select2.call(node, node.__data__, i, group))) {
        if ("__data__" in node)
          subnode.__data__ = node.__data__;
        subgroup[i] = subnode;
        schedule(subgroup[i], name, id2, i, subgroup, get$1(node, id2));
      }
    }
  }
  return new Transition(subgroups, this._parents, name, id2);
}
function transition_selectAll(select2) {
  var name = this._name, id2 = this._id;
  if (typeof select2 !== "function")
    select2 = selectorAll(select2);
  for (var groups = this._groups, m = groups.length, subgroups = [], parents = [], j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, node, i = 0; i < n; ++i) {
      if (node = group[i]) {
        for (var children2 = select2.call(node, node.__data__, i, group), child, inherit2 = get$1(node, id2), k = 0, l = children2.length; k < l; ++k) {
          if (child = children2[k]) {
            schedule(child, name, id2, k, children2, inherit2);
          }
        }
        subgroups.push(children2);
        parents.push(node);
      }
    }
  }
  return new Transition(subgroups, parents, name, id2);
}
var Selection = selection.prototype.constructor;
function transition_selection() {
  return new Selection(this._groups, this._parents);
}
function styleNull(name, interpolate2) {
  var string00, string10, interpolate0;
  return function() {
    var string0 = styleValue(this, name), string1 = (this.style.removeProperty(name), styleValue(this, name));
    return string0 === string1 ? null : string0 === string00 && string1 === string10 ? interpolate0 : interpolate0 = interpolate2(string00 = string0, string10 = string1);
  };
}
function styleRemove(name) {
  return function() {
    this.style.removeProperty(name);
  };
}
function styleConstant(name, interpolate2, value1) {
  var string00, string1 = value1 + "", interpolate0;
  return function() {
    var string0 = styleValue(this, name);
    return string0 === string1 ? null : string0 === string00 ? interpolate0 : interpolate0 = interpolate2(string00 = string0, value1);
  };
}
function styleFunction(name, interpolate2, value) {
  var string00, string10, interpolate0;
  return function() {
    var string0 = styleValue(this, name), value1 = value(this), string1 = value1 + "";
    if (value1 == null)
      string1 = value1 = (this.style.removeProperty(name), styleValue(this, name));
    return string0 === string1 ? null : string0 === string00 && string1 === string10 ? interpolate0 : (string10 = string1, interpolate0 = interpolate2(string00 = string0, value1));
  };
}
function styleMaybeRemove(id2, name) {
  var on0, on1, listener0, key = "style." + name, event = "end." + key, remove2;
  return function() {
    var schedule2 = set(this, id2), on = schedule2.on, listener = schedule2.value[key] == null ? remove2 || (remove2 = styleRemove(name)) : void 0;
    if (on !== on0 || listener0 !== listener)
      (on1 = (on0 = on).copy()).on(event, listener0 = listener);
    schedule2.on = on1;
  };
}
function transition_style(name, value, priority) {
  var i = (name += "") === "transform" ? interpolateTransformCss : interpolate;
  return value == null ? this.styleTween(name, styleNull(name, i)).on("end.style." + name, styleRemove(name)) : typeof value === "function" ? this.styleTween(name, styleFunction(name, i, tweenValue(this, "style." + name, value))).each(styleMaybeRemove(this._id, name)) : this.styleTween(name, styleConstant(name, i, value), priority).on("end.style." + name, null);
}
function styleInterpolate(name, i, priority) {
  return function(t2) {
    this.style.setProperty(name, i.call(this, t2), priority);
  };
}
function styleTween(name, value, priority) {
  var t2, i0;
  function tween() {
    var i = value.apply(this, arguments);
    if (i !== i0)
      t2 = (i0 = i) && styleInterpolate(name, i, priority);
    return t2;
  }
  tween._value = value;
  return tween;
}
function transition_styleTween(name, value, priority) {
  var key = "style." + (name += "");
  if (arguments.length < 2)
    return (key = this.tween(key)) && key._value;
  if (value == null)
    return this.tween(key, null);
  if (typeof value !== "function")
    throw new Error();
  return this.tween(key, styleTween(name, value, priority == null ? "" : priority));
}
function textConstant(value) {
  return function() {
    this.textContent = value;
  };
}
function textFunction(value) {
  return function() {
    var value1 = value(this);
    this.textContent = value1 == null ? "" : value1;
  };
}
function transition_text(value) {
  return this.tween("text", typeof value === "function" ? textFunction(tweenValue(this, "text", value)) : textConstant(value == null ? "" : value + ""));
}
function textInterpolate(i) {
  return function(t2) {
    this.textContent = i.call(this, t2);
  };
}
function textTween(value) {
  var t0, i0;
  function tween() {
    var i = value.apply(this, arguments);
    if (i !== i0)
      t0 = (i0 = i) && textInterpolate(i);
    return t0;
  }
  tween._value = value;
  return tween;
}
function transition_textTween(value) {
  var key = "text";
  if (arguments.length < 1)
    return (key = this.tween(key)) && key._value;
  if (value == null)
    return this.tween(key, null);
  if (typeof value !== "function")
    throw new Error();
  return this.tween(key, textTween(value));
}
function transition_transition() {
  var name = this._name, id0 = this._id, id1 = newId();
  for (var groups = this._groups, m = groups.length, j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, node, i = 0; i < n; ++i) {
      if (node = group[i]) {
        var inherit2 = get$1(node, id0);
        schedule(node, name, id1, i, group, {
          time: inherit2.time + inherit2.delay + inherit2.duration,
          delay: 0,
          duration: inherit2.duration,
          ease: inherit2.ease
        });
      }
    }
  }
  return new Transition(groups, this._parents, name, id1);
}
function transition_end() {
  var on0, on1, that = this, id2 = that._id, size = that.size();
  return new Promise(function(resolve, reject) {
    var cancel = { value: reject }, end = { value: function() {
      if (--size === 0)
        resolve();
    } };
    that.each(function() {
      var schedule2 = set(this, id2), on = schedule2.on;
      if (on !== on0) {
        on1 = (on0 = on).copy();
        on1._.cancel.push(cancel);
        on1._.interrupt.push(cancel);
        on1._.end.push(end);
      }
      schedule2.on = on1;
    });
    if (size === 0)
      resolve();
  });
}
var id$1 = 0;
function Transition(groups, parents, name, id2) {
  this._groups = groups;
  this._parents = parents;
  this._name = name;
  this._id = id2;
}
function newId() {
  return ++id$1;
}
var selection_prototype = selection.prototype;
Transition.prototype = {
  constructor: Transition,
  select: transition_select,
  selectAll: transition_selectAll,
  selectChild: selection_prototype.selectChild,
  selectChildren: selection_prototype.selectChildren,
  filter: transition_filter,
  merge: transition_merge,
  selection: transition_selection,
  transition: transition_transition,
  call: selection_prototype.call,
  nodes: selection_prototype.nodes,
  node: selection_prototype.node,
  size: selection_prototype.size,
  empty: selection_prototype.empty,
  each: selection_prototype.each,
  on: transition_on,
  attr: transition_attr,
  attrTween: transition_attrTween,
  style: transition_style,
  styleTween: transition_styleTween,
  text: transition_text,
  textTween: transition_textTween,
  remove: transition_remove,
  tween: transition_tween,
  delay: transition_delay,
  duration: transition_duration,
  ease: transition_ease,
  easeVarying: transition_easeVarying,
  end: transition_end,
  [Symbol.iterator]: selection_prototype[Symbol.iterator]
};
function cubicInOut(t2) {
  return ((t2 *= 2) <= 1 ? t2 * t2 * t2 : (t2 -= 2) * t2 * t2 + 2) / 2;
}
var defaultTiming = {
  time: null,
  delay: 0,
  duration: 250,
  ease: cubicInOut
};
function inherit(node, id2) {
  var timing;
  while (!(timing = node.__transition) || !(timing = timing[id2])) {
    if (!(node = node.parentNode)) {
      throw new Error(`transition ${id2} not found`);
    }
  }
  return timing;
}
function selection_transition(name) {
  var id2, timing;
  if (name instanceof Transition) {
    id2 = name._id, name = name._name;
  } else {
    id2 = newId(), (timing = defaultTiming).time = now(), name = name == null ? null : name + "";
  }
  for (var groups = this._groups, m = groups.length, j = 0; j < m; ++j) {
    for (var group = groups[j], n = group.length, node, i = 0; i < n; ++i) {
      if (node = group[i]) {
        schedule(node, name, id2, i, group, timing || inherit(node, id2));
      }
    }
  }
  return new Transition(groups, this._parents, name, id2);
}
selection.prototype.interrupt = selection_interrupt;
selection.prototype.transition = selection_transition;
var constant = (x) => () => x;
function ZoomEvent(type, {
  sourceEvent: sourceEvent2,
  target,
  transform,
  dispatch: dispatch2
}) {
  Object.defineProperties(this, {
    type: { value: type, enumerable: true, configurable: true },
    sourceEvent: { value: sourceEvent2, enumerable: true, configurable: true },
    target: { value: target, enumerable: true, configurable: true },
    transform: { value: transform, enumerable: true, configurable: true },
    _: { value: dispatch2 }
  });
}
function Transform(k, x, y) {
  this.k = k;
  this.x = x;
  this.y = y;
}
Transform.prototype = {
  constructor: Transform,
  scale: function(k) {
    return k === 1 ? this : new Transform(this.k * k, this.x, this.y);
  },
  translate: function(x, y) {
    return x === 0 & y === 0 ? this : new Transform(this.k, this.x + this.k * x, this.y + this.k * y);
  },
  apply: function(point) {
    return [point[0] * this.k + this.x, point[1] * this.k + this.y];
  },
  applyX: function(x) {
    return x * this.k + this.x;
  },
  applyY: function(y) {
    return y * this.k + this.y;
  },
  invert: function(location) {
    return [(location[0] - this.x) / this.k, (location[1] - this.y) / this.k];
  },
  invertX: function(x) {
    return (x - this.x) / this.k;
  },
  invertY: function(y) {
    return (y - this.y) / this.k;
  },
  rescaleX: function(x) {
    return x.copy().domain(x.range().map(this.invertX, this).map(x.invert, x));
  },
  rescaleY: function(y) {
    return y.copy().domain(y.range().map(this.invertY, this).map(y.invert, y));
  },
  toString: function() {
    return "translate(" + this.x + "," + this.y + ") scale(" + this.k + ")";
  }
};
var identity = new Transform(1, 0, 0);
function nopropagation(event) {
  event.stopImmediatePropagation();
}
function noevent(event) {
  event.preventDefault();
  event.stopImmediatePropagation();
}
function defaultFilter(event) {
  return (!event.ctrlKey || event.type === "wheel") && !event.button;
}
function defaultExtent() {
  var e = this;
  if (e instanceof SVGElement) {
    e = e.ownerSVGElement || e;
    if (e.hasAttribute("viewBox")) {
      e = e.viewBox.baseVal;
      return [[e.x, e.y], [e.x + e.width, e.y + e.height]];
    }
    return [[0, 0], [e.width.baseVal.value, e.height.baseVal.value]];
  }
  return [[0, 0], [e.clientWidth, e.clientHeight]];
}
function defaultTransform() {
  return this.__zoom || identity;
}
function defaultWheelDelta(event) {
  return -event.deltaY * (event.deltaMode === 1 ? 0.05 : event.deltaMode ? 1 : 2e-3) * (event.ctrlKey ? 10 : 1);
}
function defaultTouchable() {
  return navigator.maxTouchPoints || "ontouchstart" in this;
}
function defaultConstrain(transform, extent, translateExtent) {
  var dx0 = transform.invertX(extent[0][0]) - translateExtent[0][0], dx1 = transform.invertX(extent[1][0]) - translateExtent[1][0], dy0 = transform.invertY(extent[0][1]) - translateExtent[0][1], dy1 = transform.invertY(extent[1][1]) - translateExtent[1][1];
  return transform.translate(dx1 > dx0 ? (dx0 + dx1) / 2 : Math.min(0, dx0) || Math.max(0, dx1), dy1 > dy0 ? (dy0 + dy1) / 2 : Math.min(0, dy0) || Math.max(0, dy1));
}
function zoom() {
  var filter2 = defaultFilter, extent = defaultExtent, constrain = defaultConstrain, wheelDelta = defaultWheelDelta, touchable = defaultTouchable, scaleExtent = [0, Infinity], translateExtent = [[-Infinity, -Infinity], [Infinity, Infinity]], duration = 250, interpolate2 = interpolateZoom, listeners = dispatch("start", "zoom", "end"), touchstarting, touchfirst, touchending, touchDelay = 500, wheelDelay = 150, clickDistance2 = 0, tapDistance = 10;
  function zoom2(selection2) {
    selection2.property("__zoom", defaultTransform).on("wheel.zoom", wheeled, { passive: false }).on("mousedown.zoom", mousedowned).on("dblclick.zoom", dblclicked).filter(touchable).on("touchstart.zoom", touchstarted).on("touchmove.zoom", touchmoved).on("touchend.zoom touchcancel.zoom", touchended).style("-webkit-tap-highlight-color", "rgba(0,0,0,0)");
  }
  zoom2.transform = function(collection, transform, point, event) {
    var selection2 = collection.selection ? collection.selection() : collection;
    selection2.property("__zoom", defaultTransform);
    if (collection !== selection2) {
      schedule2(collection, transform, point, event);
    } else {
      selection2.interrupt().each(function() {
        gesture(this, arguments).event(event).start().zoom(null, typeof transform === "function" ? transform.apply(this, arguments) : transform).end();
      });
    }
  };
  zoom2.scaleBy = function(selection2, k, p, event) {
    zoom2.scaleTo(selection2, function() {
      var k0 = this.__zoom.k, k1 = typeof k === "function" ? k.apply(this, arguments) : k;
      return k0 * k1;
    }, p, event);
  };
  zoom2.scaleTo = function(selection2, k, p, event) {
    zoom2.transform(selection2, function() {
      var e = extent.apply(this, arguments), t0 = this.__zoom, p0 = p == null ? centroid(e) : typeof p === "function" ? p.apply(this, arguments) : p, p1 = t0.invert(p0), k1 = typeof k === "function" ? k.apply(this, arguments) : k;
      return constrain(translate(scale(t0, k1), p0, p1), e, translateExtent);
    }, p, event);
  };
  zoom2.translateBy = function(selection2, x, y, event) {
    zoom2.transform(selection2, function() {
      return constrain(this.__zoom.translate(typeof x === "function" ? x.apply(this, arguments) : x, typeof y === "function" ? y.apply(this, arguments) : y), extent.apply(this, arguments), translateExtent);
    }, null, event);
  };
  zoom2.translateTo = function(selection2, x, y, p, event) {
    zoom2.transform(selection2, function() {
      var e = extent.apply(this, arguments), t2 = this.__zoom, p0 = p == null ? centroid(e) : typeof p === "function" ? p.apply(this, arguments) : p;
      return constrain(identity.translate(p0[0], p0[1]).scale(t2.k).translate(typeof x === "function" ? -x.apply(this, arguments) : -x, typeof y === "function" ? -y.apply(this, arguments) : -y), e, translateExtent);
    }, p, event);
  };
  function scale(transform, k) {
    k = Math.max(scaleExtent[0], Math.min(scaleExtent[1], k));
    return k === transform.k ? transform : new Transform(k, transform.x, transform.y);
  }
  function translate(transform, p0, p1) {
    var x = p0[0] - p1[0] * transform.k, y = p0[1] - p1[1] * transform.k;
    return x === transform.x && y === transform.y ? transform : new Transform(transform.k, x, y);
  }
  function centroid(extent2) {
    return [(+extent2[0][0] + +extent2[1][0]) / 2, (+extent2[0][1] + +extent2[1][1]) / 2];
  }
  function schedule2(transition, transform, point, event) {
    transition.on("start.zoom", function() {
      gesture(this, arguments).event(event).start();
    }).on("interrupt.zoom end.zoom", function() {
      gesture(this, arguments).event(event).end();
    }).tween("zoom", function() {
      var that = this, args = arguments, g = gesture(that, args).event(event), e = extent.apply(that, args), p = point == null ? centroid(e) : typeof point === "function" ? point.apply(that, args) : point, w = Math.max(e[1][0] - e[0][0], e[1][1] - e[0][1]), a = that.__zoom, b = typeof transform === "function" ? transform.apply(that, args) : transform, i = interpolate2(a.invert(p).concat(w / a.k), b.invert(p).concat(w / b.k));
      return function(t2) {
        if (t2 === 1)
          t2 = b;
        else {
          var l = i(t2), k = w / l[2];
          t2 = new Transform(k, p[0] - l[0] * k, p[1] - l[1] * k);
        }
        g.zoom(null, t2);
      };
    });
  }
  function gesture(that, args, clean) {
    return !clean && that.__zooming || new Gesture(that, args);
  }
  function Gesture(that, args) {
    this.that = that;
    this.args = args;
    this.active = 0;
    this.sourceEvent = null;
    this.extent = extent.apply(that, args);
    this.taps = 0;
  }
  Gesture.prototype = {
    event: function(event) {
      if (event)
        this.sourceEvent = event;
      return this;
    },
    start: function() {
      if (++this.active === 1) {
        this.that.__zooming = this;
        this.emit("start");
      }
      return this;
    },
    zoom: function(key, transform) {
      if (this.mouse && key !== "mouse")
        this.mouse[1] = transform.invert(this.mouse[0]);
      if (this.touch0 && key !== "touch")
        this.touch0[1] = transform.invert(this.touch0[0]);
      if (this.touch1 && key !== "touch")
        this.touch1[1] = transform.invert(this.touch1[0]);
      this.that.__zoom = transform;
      this.emit("zoom");
      return this;
    },
    end: function() {
      if (--this.active === 0) {
        delete this.that.__zooming;
        this.emit("end");
      }
      return this;
    },
    emit: function(type) {
      var d = select(this.that).datum();
      listeners.call(type, this.that, new ZoomEvent(type, {
        sourceEvent: this.sourceEvent,
        target: zoom2,
        type,
        transform: this.that.__zoom,
        dispatch: listeners
      }), d);
    }
  };
  function wheeled(event, ...args) {
    if (!filter2.apply(this, arguments))
      return;
    var g = gesture(this, args).event(event), t2 = this.__zoom, k = Math.max(scaleExtent[0], Math.min(scaleExtent[1], t2.k * Math.pow(2, wheelDelta.apply(this, arguments)))), p = pointer(event);
    if (g.wheel) {
      if (g.mouse[0][0] !== p[0] || g.mouse[0][1] !== p[1]) {
        g.mouse[1] = t2.invert(g.mouse[0] = p);
      }
      clearTimeout(g.wheel);
    } else if (t2.k === k)
      return;
    else {
      g.mouse = [p, t2.invert(p)];
      interrupt(this);
      g.start();
    }
    noevent(event);
    g.wheel = setTimeout(wheelidled, wheelDelay);
    g.zoom("mouse", constrain(translate(scale(t2, k), g.mouse[0], g.mouse[1]), g.extent, translateExtent));
    function wheelidled() {
      g.wheel = null;
      g.end();
    }
  }
  function mousedowned(event, ...args) {
    if (touchending || !filter2.apply(this, arguments))
      return;
    var currentTarget = event.currentTarget, g = gesture(this, args, true).event(event), v = select(event.view).on("mousemove.zoom", mousemoved, true).on("mouseup.zoom", mouseupped, true), p = pointer(event, currentTarget), x0 = event.clientX, y0 = event.clientY;
    dragDisable(event.view);
    nopropagation(event);
    g.mouse = [p, this.__zoom.invert(p)];
    interrupt(this);
    g.start();
    function mousemoved(event2) {
      noevent(event2);
      if (!g.moved) {
        var dx = event2.clientX - x0, dy = event2.clientY - y0;
        g.moved = dx * dx + dy * dy > clickDistance2;
      }
      g.event(event2).zoom("mouse", constrain(translate(g.that.__zoom, g.mouse[0] = pointer(event2, currentTarget), g.mouse[1]), g.extent, translateExtent));
    }
    function mouseupped(event2) {
      v.on("mousemove.zoom mouseup.zoom", null);
      yesdrag(event2.view, g.moved);
      noevent(event2);
      g.event(event2).end();
    }
  }
  function dblclicked(event, ...args) {
    if (!filter2.apply(this, arguments))
      return;
    var t0 = this.__zoom, p0 = pointer(event.changedTouches ? event.changedTouches[0] : event, this), p1 = t0.invert(p0), k1 = t0.k * (event.shiftKey ? 0.5 : 2), t1 = constrain(translate(scale(t0, k1), p0, p1), extent.apply(this, args), translateExtent);
    noevent(event);
    if (duration > 0)
      select(this).transition().duration(duration).call(schedule2, t1, p0, event);
    else
      select(this).call(zoom2.transform, t1, p0, event);
  }
  function touchstarted(event, ...args) {
    if (!filter2.apply(this, arguments))
      return;
    var touches = event.touches, n = touches.length, g = gesture(this, args, event.changedTouches.length === n).event(event), started, i, t2, p;
    nopropagation(event);
    for (i = 0; i < n; ++i) {
      t2 = touches[i], p = pointer(t2, this);
      p = [p, this.__zoom.invert(p), t2.identifier];
      if (!g.touch0)
        g.touch0 = p, started = true, g.taps = 1 + !!touchstarting;
      else if (!g.touch1 && g.touch0[2] !== p[2])
        g.touch1 = p, g.taps = 0;
    }
    if (touchstarting)
      touchstarting = clearTimeout(touchstarting);
    if (started) {
      if (g.taps < 2)
        touchfirst = p[0], touchstarting = setTimeout(function() {
          touchstarting = null;
        }, touchDelay);
      interrupt(this);
      g.start();
    }
  }
  function touchmoved(event, ...args) {
    if (!this.__zooming)
      return;
    var g = gesture(this, args).event(event), touches = event.changedTouches, n = touches.length, i, t2, p, l;
    noevent(event);
    for (i = 0; i < n; ++i) {
      t2 = touches[i], p = pointer(t2, this);
      if (g.touch0 && g.touch0[2] === t2.identifier)
        g.touch0[0] = p;
      else if (g.touch1 && g.touch1[2] === t2.identifier)
        g.touch1[0] = p;
    }
    t2 = g.that.__zoom;
    if (g.touch1) {
      var p0 = g.touch0[0], l0 = g.touch0[1], p1 = g.touch1[0], l1 = g.touch1[1], dp = (dp = p1[0] - p0[0]) * dp + (dp = p1[1] - p0[1]) * dp, dl = (dl = l1[0] - l0[0]) * dl + (dl = l1[1] - l0[1]) * dl;
      t2 = scale(t2, Math.sqrt(dp / dl));
      p = [(p0[0] + p1[0]) / 2, (p0[1] + p1[1]) / 2];
      l = [(l0[0] + l1[0]) / 2, (l0[1] + l1[1]) / 2];
    } else if (g.touch0)
      p = g.touch0[0], l = g.touch0[1];
    else
      return;
    g.zoom("touch", constrain(translate(t2, p, l), g.extent, translateExtent));
  }
  function touchended(event, ...args) {
    if (!this.__zooming)
      return;
    var g = gesture(this, args).event(event), touches = event.changedTouches, n = touches.length, i, t2;
    nopropagation(event);
    if (touchending)
      clearTimeout(touchending);
    touchending = setTimeout(function() {
      touchending = null;
    }, touchDelay);
    for (i = 0; i < n; ++i) {
      t2 = touches[i];
      if (g.touch0 && g.touch0[2] === t2.identifier)
        delete g.touch0;
      else if (g.touch1 && g.touch1[2] === t2.identifier)
        delete g.touch1;
    }
    if (g.touch1 && !g.touch0)
      g.touch0 = g.touch1, delete g.touch1;
    if (g.touch0)
      g.touch0[1] = this.__zoom.invert(g.touch0[0]);
    else {
      g.end();
      if (g.taps === 2) {
        t2 = pointer(t2, this);
        if (Math.hypot(touchfirst[0] - t2[0], touchfirst[1] - t2[1]) < tapDistance) {
          var p = select(this).on("dblclick.zoom");
          if (p)
            p.apply(this, arguments);
        }
      }
    }
  }
  zoom2.wheelDelta = function(_) {
    return arguments.length ? (wheelDelta = typeof _ === "function" ? _ : constant(+_), zoom2) : wheelDelta;
  };
  zoom2.filter = function(_) {
    return arguments.length ? (filter2 = typeof _ === "function" ? _ : constant(!!_), zoom2) : filter2;
  };
  zoom2.touchable = function(_) {
    return arguments.length ? (touchable = typeof _ === "function" ? _ : constant(!!_), zoom2) : touchable;
  };
  zoom2.extent = function(_) {
    return arguments.length ? (extent = typeof _ === "function" ? _ : constant([[+_[0][0], +_[0][1]], [+_[1][0], +_[1][1]]]), zoom2) : extent;
  };
  zoom2.scaleExtent = function(_) {
    return arguments.length ? (scaleExtent[0] = +_[0], scaleExtent[1] = +_[1], zoom2) : [scaleExtent[0], scaleExtent[1]];
  };
  zoom2.translateExtent = function(_) {
    return arguments.length ? (translateExtent[0][0] = +_[0][0], translateExtent[1][0] = +_[1][0], translateExtent[0][1] = +_[0][1], translateExtent[1][1] = +_[1][1], zoom2) : [[translateExtent[0][0], translateExtent[0][1]], [translateExtent[1][0], translateExtent[1][1]]];
  };
  zoom2.constrain = function(_) {
    return arguments.length ? (constrain = _, zoom2) : constrain;
  };
  zoom2.duration = function(_) {
    return arguments.length ? (duration = +_, zoom2) : duration;
  };
  zoom2.interpolate = function(_) {
    return arguments.length ? (interpolate2 = _, zoom2) : interpolate2;
  };
  zoom2.on = function() {
    var value = listeners.on.apply(listeners, arguments);
    return value === listeners ? zoom2 : value;
  };
  zoom2.clickDistance = function(_) {
    return arguments.length ? (clickDistance2 = (_ = +_) * _, zoom2) : Math.sqrt(clickDistance2);
  };
  zoom2.tapDistance = function(_) {
    return arguments.length ? (tapDistance = +_, zoom2) : tapDistance;
  };
  return zoom2;
}
const Store = Symbol("store");
const Hooks = Symbol("hooks");
const NodeId = Symbol("nodeId");
const _hoisted_1$n = ["data-handleid", "data-nodeid", "data-handlepos"];
const _sfc_main$r = /* @__PURE__ */ defineComponent({
  props: {
    id: { default: "" },
    type: { default: "source" },
    position: { default: Position.Top },
    isValidConnection: null,
    connectable: { type: Boolean, default: true }
  },
  setup(__props) {
    const props = __props;
    useStore();
    const nodeId = inject(NodeId);
    const handler = useHandle();
    const onMouseDownHandler = (event) => {
      var _a2;
      return handler(event, props.id, nodeId, props.type === "target", (_a2 = props.isValidConnection) != null ? _a2 : () => true);
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        "data-handleid": props.id,
        "data-nodeid": unref(nodeId),
        "data-handlepos": props.position,
        class: normalizeClass([
          "vue-flow__handle",
          `vue-flow__handle-${props.position}`,
          "nodrag",
          {
            source: props.type !== "target",
            target: props.type === "target",
            connectable: props.connectable
          }
        ]),
        onMousedown: onMouseDownHandler
      }, [
        renderSlot(_ctx.$slots, "default", mergeProps({ nodeId: unref(nodeId) }, props))
      ], 42, _hoisted_1$n);
    };
  }
});
const _hoisted_1$m = ["innerHTML"];
function setup$6(__props) {
  const props = __props;
  return (_ctx, _cache) => {
    return openBlock(), createElementBlock(Fragment, null, [
      createVNode(_sfc_main$r, {
        type: "target",
        position: props.targetPosition,
        "is-connectable": props.connectable
      }, null, 8, ["position", "is-connectable"]),
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps(props)), () => {
        var _a2, _b, _c;
        return [
          typeof ((_a2 = props.data) == null ? void 0 : _a2.label) !== "string" ? (openBlock(), createBlock(resolveDynamicComponent((_b = props.data) == null ? void 0 : _b.label), { key: 0 })) : (openBlock(), createElementBlock("span", {
            key: 1,
            innerHTML: (_c = props.data) == null ? void 0 : _c.label
          }, null, 8, _hoisted_1$m))
        ];
      }),
      createVNode(_sfc_main$r, {
        type: "source",
        position: props.sourcePosition,
        "is-connectable": props.connectable
      }, null, 8, ["position", "is-connectable"])
    ], 64);
  };
}
const __default__$6 = {
  inheritAttrs: false
};
const _sfc_main$q = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__$6), {
  props: {
    data: { default: () => {
    } },
    connectable: { default: false },
    targetPosition: { default: Position.Top },
    sourcePosition: { default: Position.Bottom }
  },
  setup: setup$6
}));
const _hoisted_1$l = ["innerHTML"];
function setup$5(__props) {
  const props = __props;
  return (_ctx, _cache) => {
    return openBlock(), createElementBlock(Fragment, null, [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps(props)), () => {
        var _a2, _b, _c;
        return [
          typeof ((_a2 = props.data) == null ? void 0 : _a2.label) !== "string" ? (openBlock(), createBlock(resolveDynamicComponent((_b = props.data) == null ? void 0 : _b.label), { key: 0 })) : (openBlock(), createElementBlock("span", {
            key: 1,
            innerHTML: (_c = props.data) == null ? void 0 : _c.label
          }, null, 8, _hoisted_1$l))
        ];
      }),
      createVNode(_sfc_main$r, {
        type: "source",
        position: props.sourcePosition,
        connectable: props.connectable
      }, null, 8, ["position", "connectable"])
    ], 64);
  };
}
const __default__$5 = {
  inheritAttrs: false
};
const _sfc_main$p = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__$5), {
  props: {
    data: { default: () => {
    } },
    connectable: { default: false },
    sourcePosition: { default: Position.Bottom }
  },
  setup: setup$5
}));
const _hoisted_1$k = ["innerHTML"];
function setup$4(__props) {
  const props = __props;
  return (_ctx, _cache) => {
    return openBlock(), createElementBlock(Fragment, null, [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps(props)), () => {
        var _a2, _b, _c;
        return [
          typeof ((_a2 = props.data) == null ? void 0 : _a2.label) !== "string" ? (openBlock(), createBlock(resolveDynamicComponent((_b = props.data) == null ? void 0 : _b.label), { key: 0 })) : (openBlock(), createElementBlock("span", {
            key: 1,
            innerHTML: (_c = props.data) == null ? void 0 : _c.label
          }, null, 8, _hoisted_1$k))
        ];
      }),
      createVNode(_sfc_main$r, {
        type: "source",
        position: props.targetPosition,
        "is-connectable": props.connectable
      }, null, 8, ["position", "is-connectable"])
    ], 64);
  };
}
const __default__$4 = {
  inheritAttrs: false
};
const _sfc_main$o = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__$4), {
  props: {
    data: { default: () => {
    } },
    connectable: { default: false },
    targetPosition: { default: Position.Top }
  },
  setup: setup$4
}));
const getMarkerEnd = (arrowHeadType, markerEndId) => {
  if (typeof markerEndId !== "undefined" && markerEndId) {
    return `url(#${markerEndId})`;
  }
  return typeof arrowHeadType !== "undefined" ? `url(#vue-flow__${arrowHeadType})` : "none";
};
const LeftOrRight = [Position.Left, Position.Right];
const getCenter = ({
  sourceX,
  sourceY,
  targetX,
  targetY,
  sourcePosition = Position.Bottom,
  targetPosition = Position.Top
}) => {
  const sourceIsLeftOrRight = LeftOrRight.includes(sourcePosition);
  const targetIsLeftOrRight = LeftOrRight.includes(targetPosition);
  const mixedEdge = sourceIsLeftOrRight && !targetIsLeftOrRight || targetIsLeftOrRight && !sourceIsLeftOrRight;
  if (mixedEdge) {
    const xOffset2 = sourceIsLeftOrRight ? Math.abs(targetX - sourceX) : 0;
    const centerX2 = sourceX > targetX ? sourceX - xOffset2 : sourceX + xOffset2;
    const yOffset2 = sourceIsLeftOrRight ? 0 : Math.abs(targetY - sourceY);
    const centerY2 = sourceY < targetY ? sourceY + yOffset2 : sourceY - yOffset2;
    return [centerX2, centerY2, xOffset2, yOffset2];
  }
  const xOffset = Math.abs(targetX - sourceX) / 2;
  const centerX = targetX < sourceX ? targetX + xOffset : targetX - xOffset;
  const yOffset = Math.abs(targetY - sourceY) / 2;
  const centerY = targetY < sourceY ? targetY + yOffset : targetY - yOffset;
  return [centerX, centerY, xOffset, yOffset];
};
function getBezierPath({
  sourceX,
  sourceY,
  sourcePosition = Position.Bottom,
  targetX,
  targetY,
  targetPosition = Position.Top,
  centerX,
  centerY
}) {
  const [_centerX, _centerY] = getCenter({ sourceX, sourceY, targetX, targetY });
  const leftAndRight = [Position.Left, Position.Right];
  const cX = typeof centerX !== "undefined" ? centerX : _centerX;
  const cY = typeof centerY !== "undefined" ? centerY : _centerY;
  let path = `M${sourceX},${sourceY} C${sourceX},${cY} ${targetX},${cY} ${targetX},${targetY}`;
  if (leftAndRight.includes(sourcePosition) && leftAndRight.includes(targetPosition)) {
    path = `M${sourceX},${sourceY} C${cX},${sourceY} ${cX},${targetY} ${targetX},${targetY}`;
  } else if (leftAndRight.includes(targetPosition)) {
    path = `M${sourceX},${sourceY} C${sourceX},${targetY} ${sourceX},${targetY} ${targetX},${targetY}`;
  } else if (leftAndRight.includes(sourcePosition)) {
    path = `M${sourceX},${sourceY} C${targetX},${sourceY} ${targetX},${sourceY} ${targetX},${targetY}`;
  }
  return path;
}
const bottomLeftCorner = (x, y, size) => `L ${x},${y - size}Q ${x},${y} ${x + size},${y}`;
const leftBottomCorner = (x, y, size) => `L ${x + size},${y}Q ${x},${y} ${x},${y - size}`;
const bottomRightCorner = (x, y, size) => `L ${x},${y - size}Q ${x},${y} ${x - size},${y}`;
const rightBottomCorner = (x, y, size) => `L ${x - size},${y}Q ${x},${y} ${x},${y - size}`;
const leftTopCorner = (x, y, size) => `L ${x + size},${y}Q ${x},${y} ${x},${y + size}`;
const topLeftCorner = (x, y, size) => `L ${x},${y + size}Q ${x},${y} ${x + size},${y}`;
const topRightCorner = (x, y, size) => `L ${x},${y + size}Q ${x},${y} ${x - size},${y}`;
const rightTopCorner = (x, y, size) => `L ${x - size},${y}Q ${x},${y} ${x},${y + size}`;
function getSmoothStepPath({
  sourceX,
  sourceY,
  sourcePosition = Position.Bottom,
  targetX,
  targetY,
  targetPosition = Position.Top,
  borderRadius = 5,
  centerX,
  centerY
}) {
  const [_centerX, _centerY, offsetX, offsetY] = getCenter({ sourceX, sourceY, targetX, targetY });
  const cornerWidth = Math.min(borderRadius, Math.abs(targetX - sourceX));
  const cornerHeight = Math.min(borderRadius, Math.abs(targetY - sourceY));
  const cornerSize = Math.min(cornerWidth, cornerHeight, offsetX, offsetY);
  const leftAndRight = [Position.Left, Position.Right];
  const cX = typeof centerX !== "undefined" ? centerX : _centerX;
  const cY = typeof centerY !== "undefined" ? centerY : _centerY;
  let firstCornerPath;
  let secondCornerPath;
  if (sourceX <= targetX) {
    firstCornerPath = sourceY <= targetY ? bottomLeftCorner(sourceX, cY, cornerSize) : topLeftCorner(sourceX, cY, cornerSize);
    secondCornerPath = sourceY <= targetY ? rightTopCorner(targetX, cY, cornerSize) : rightBottomCorner(targetX, cY, cornerSize);
  } else {
    firstCornerPath = sourceY < targetY ? bottomRightCorner(sourceX, cY, cornerSize) : topRightCorner(sourceX, cY, cornerSize);
    secondCornerPath = sourceY < targetY ? leftTopCorner(targetX, cY, cornerSize) : leftBottomCorner(targetX, cY, cornerSize);
  }
  if (leftAndRight.includes(sourcePosition) && leftAndRight.includes(targetPosition)) {
    if (sourceX <= targetX) {
      firstCornerPath = sourceY <= targetY ? rightTopCorner(cX, sourceY, cornerSize) : rightBottomCorner(cX, sourceY, cornerSize);
      secondCornerPath = sourceY <= targetY ? bottomLeftCorner(cX, targetY, cornerSize) : topLeftCorner(cX, targetY, cornerSize);
    } else if (sourcePosition === Position.Right && targetPosition === Position.Left) {
      firstCornerPath = sourceY <= targetY ? leftTopCorner(cX, sourceY, cornerSize) : leftBottomCorner(cX, sourceY, cornerSize);
      secondCornerPath = sourceY <= targetY ? bottomRightCorner(cX, targetY, cornerSize) : topRightCorner(cX, targetY, cornerSize);
    }
  } else if (leftAndRight.includes(sourcePosition) && !leftAndRight.includes(targetPosition)) {
    if (sourceX <= targetX) {
      firstCornerPath = sourceY <= targetY ? rightTopCorner(targetX, sourceY, cornerSize) : rightBottomCorner(targetX, sourceY, cornerSize);
    } else {
      firstCornerPath = sourceY <= targetY ? leftTopCorner(targetX, sourceY, cornerSize) : leftBottomCorner(targetX, sourceY, cornerSize);
    }
    secondCornerPath = "";
  } else if (!leftAndRight.includes(sourcePosition) && leftAndRight.includes(targetPosition)) {
    if (sourceX <= targetX) {
      firstCornerPath = sourceY <= targetY ? bottomLeftCorner(sourceX, targetY, cornerSize) : topLeftCorner(sourceX, targetY, cornerSize);
    } else {
      firstCornerPath = sourceY <= targetY ? bottomRightCorner(sourceX, targetY, cornerSize) : topRightCorner(sourceX, targetY, cornerSize);
    }
    secondCornerPath = "";
  }
  return `M ${sourceX},${sourceY}${firstCornerPath}${secondCornerPath}L ${targetX},${targetY}`;
}
const _hoisted_1$j = ["transform"];
const _hoisted_2$a = ["width", "height", "x", "y", "rx", "ry"];
const _hoisted_3$6 = ["y"];
const _sfc_main$n = /* @__PURE__ */ defineComponent({
  props: {
    x: null,
    y: null,
    label: null,
    labelStyle: { default: () => ({}) },
    labelShowBg: { type: Boolean, default: true },
    labelBgStyle: { default: () => ({}) },
    labelBgPadding: { default: () => [2, 4] },
    labelBgBorderRadius: { default: 2 }
  },
  setup(__props) {
    const props = __props;
    const edgeRef = templateRef$1("edge-text", null);
    const { width, height, x, y } = useElementBounding(edgeRef);
    const transform = computed(() => `translate(${props.x - width.value / 2 || 0} ${props.y - height.value / 2 || 0})`);
    const bgPadding = computed(() => [props.labelBgPadding[0], props.labelBgPadding[1]]);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("g", {
        transform: unref(transform),
        class: "vue-flow__edge-textwrapper"
      }, [
        props.labelShowBg ? (openBlock(), createElementBlock("rect", {
          key: 0,
          width: unref(width) + 2 * unref(bgPadding)[0] + "px",
          height: unref(height) + 2 * unref(bgPadding)[1] + "px",
          x: -unref(bgPadding)[0],
          y: -unref(bgPadding)[1],
          class: "vue-flow__edge-textbg",
          style: normalizeStyle(props.labelBgStyle),
          rx: props.labelBgBorderRadius,
          ry: props.labelBgBorderRadius
        }, null, 12, _hoisted_2$a)) : createCommentVNode("", true),
        createElementVNode("text", {
          ref: (_value, _refs) => {
            _refs["edge-text"] = _value;
          },
          class: "vue-flow__edge-text",
          y: unref(height) / 2,
          dy: "0.3em",
          style: normalizeStyle(props.labelStyle)
        }, [
          renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps(props)), () => {
            var _a2, _b, _c;
            return [
              typeof props.label !== "string" && typeof ((_a2 = props.label) == null ? void 0 : _a2.component) !== "undefined" ? (openBlock(), createBlock(resolveDynamicComponent((_b = props.label) == null ? void 0 : _b.component), normalizeProps(mergeProps({ key: 0 }, __spreadProps(__spreadValues(__spreadValues({}, props), (_c = props.label) == null ? void 0 : _c.props), { width: unref(width), height: unref(height), x: unref(x), y: unref(y) }))), null, 16)) : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
                createTextVNode(toDisplayString(props.label), 1)
              ], 64))
            ];
          })
        ], 12, _hoisted_3$6)
      ], 8, _hoisted_1$j);
    };
  }
});
const _hoisted_1$i = ["d", "marker-end"];
function setup$3(__props) {
  const props = __props;
  const centered = computed(() => getCenter(__spreadValues({}, props)));
  const path = computed(() => {
    if (props.sourceX && props.sourceY)
      return getBezierPath(__spreadValues({}, props));
    else
      return "";
  });
  const markerEnd = computed(() => getMarkerEnd(props.arrowHeadType, props.markerEndId));
  return (_ctx, _cache) => {
    return openBlock(), createElementBlock(Fragment, null, [
      createElementVNode("path", {
        class: "vue-flow__edge-path",
        style: normalizeStyle(props.style),
        d: unref(path),
        "marker-end": unref(markerEnd)
      }, null, 12, _hoisted_1$i),
      renderSlot(_ctx.$slots, "default", {
        x: unref(centered)[0],
        y: unref(centered)[1],
        label: props.label,
        labelStyle: props.labelStyle,
        labelShowBg: props.labelShowBg,
        labelBgStyle: props.labelBgStyle,
        labelBgPadding: props.labelBgPadding,
        labelBgBorderRadius: props.labelBgBorderRadius
      }, () => [
        props.label ? (openBlock(), createBlock(_sfc_main$n, {
          key: 0,
          x: unref(centered)[0],
          y: unref(centered)[1],
          label: props.label,
          "label-style": props.labelStyle,
          "label-show-bg": props.labelShowBg,
          "label-bg-style": props.labelBgStyle,
          "label-bg-padding": props.labelBgPadding,
          "label-bg-border-radius": props.labelBgBorderRadius
        }, null, 8, ["x", "y", "label", "label-style", "label-show-bg", "label-bg-style", "label-bg-padding", "label-bg-border-radius"])) : createCommentVNode("", true)
      ])
    ], 64);
  };
}
const __default__$3 = {
  inheritAttrs: false
};
const _sfc_main$m = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__$3), {
  props: {
    id: null,
    source: null,
    target: null,
    sourceX: null,
    sourceY: null,
    targetX: null,
    targetY: null,
    selected: { type: Boolean, default: false },
    animated: { type: Boolean },
    sourcePosition: { default: Position.Bottom },
    targetPosition: { default: Position.Top },
    label: null,
    labelStyle: { default: () => ({}) },
    labelShowBg: { type: Boolean, default: true },
    labelBgStyle: { default: () => ({}) },
    labelBgPadding: null,
    labelBgBorderRadius: null,
    style: null,
    arrowHeadType: null,
    markerEndId: null,
    data: null,
    sourceHandleId: null,
    targetHandleId: null
  },
  setup: setup$3
}));
const _hoisted_1$h = ["d", "marker-end"];
function setup$2(__props) {
  const props = __props;
  const centered = computed(() => getCenter(__spreadValues({}, props)));
  const path = computed(() => {
    if (props.sourceX && props.sourceY)
      return getSmoothStepPath(__spreadValues({}, props));
    else
      return "";
  });
  const markerEnd = computed(() => getMarkerEnd(props.arrowHeadType, props.markerEndId));
  return (_ctx, _cache) => {
    return openBlock(), createElementBlock(Fragment, null, [
      createElementVNode("path", {
        class: "vue-flow__edge-path",
        style: normalizeStyle(props.style),
        d: unref(path),
        "marker-end": unref(markerEnd)
      }, null, 12, _hoisted_1$h),
      renderSlot(_ctx.$slots, "default", {
        x: unref(centered)[0],
        y: unref(centered)[1],
        label: props.label,
        labelStyle: props.labelStyle,
        labelShowBg: props.labelShowBg,
        labelBgStyle: props.labelBgStyle,
        labelBgPadding: props.labelBgPadding,
        labelBgBorderRadius: props.labelBgBorderRadius
      }, () => [
        props.label ? (openBlock(), createBlock(_sfc_main$n, {
          key: 0,
          x: unref(centered)[0],
          y: unref(centered)[1],
          label: props.label,
          "label-style": props.labelStyle,
          "label-show-bg": props.labelShowBg,
          "label-bg-style": props.labelBgStyle,
          "label-bg-padding": props.labelBgPadding,
          "label-bg-border-radius": props.labelBgBorderRadius
        }, null, 8, ["x", "y", "label", "label-style", "label-show-bg", "label-bg-style", "label-bg-padding", "label-bg-border-radius"])) : createCommentVNode("", true)
      ])
    ], 64);
  };
}
const __default__$2 = {
  inheritAttrs: false
};
const _sfc_main$l = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__$2), {
  props: {
    id: null,
    source: null,
    target: null,
    sourceX: null,
    sourceY: null,
    targetX: null,
    targetY: null,
    selected: { type: Boolean, default: false },
    animated: { type: Boolean },
    sourcePosition: { default: Position.Bottom },
    targetPosition: { default: Position.Top },
    label: { default: "" },
    labelStyle: { default: () => ({}) },
    labelShowBg: { type: Boolean, default: true },
    labelBgStyle: { default: () => ({}) },
    labelBgPadding: null,
    labelBgBorderRadius: null,
    style: null,
    arrowHeadType: null,
    markerEndId: null,
    data: null,
    borderRadius: null,
    sourceHandleId: null,
    targetHandleId: null
  },
  setup: setup$2
}));
const _sfc_main$k = /* @__PURE__ */ defineComponent({
  props: {
    id: null,
    source: null,
    target: null,
    sourceX: null,
    sourceY: null,
    targetX: null,
    targetY: null,
    selected: { type: Boolean, default: false },
    animated: { type: Boolean },
    sourcePosition: { default: Position.Bottom },
    targetPosition: { default: Position.Top },
    label: { default: "" },
    labelStyle: { default: () => ({}) },
    labelShowBg: { type: Boolean, default: true },
    labelBgStyle: { default: () => ({}) },
    labelBgPadding: null,
    labelBgBorderRadius: null,
    style: null,
    arrowHeadType: null,
    markerEndId: null,
    data: null,
    sourceHandleId: null,
    targetHandleId: null
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(_sfc_main$l, mergeProps(props, { "border-radius": 0 }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});
const _hoisted_1$g = ["d", "marker-end"];
function setup$1(__props) {
  const props = __props;
  const centerY = computed(() => {
    const yOffset = Math.abs(props.targetY - props.sourceY) / 2;
    return props.targetY < props.sourceY ? props.targetY + yOffset : props.targetY - yOffset;
  });
  const centerX = computed(() => {
    const xOffset = Math.abs(props.targetX - props.sourceX) / 2;
    return props.targetX < props.sourceX ? props.targetX + xOffset : props.targetX - xOffset;
  });
  const path = computed(() => {
    if (props.sourceX && props.sourceY)
      return getBezierPath(__spreadValues({}, props));
    else
      return "";
  });
  const markerEnd = computed(() => getMarkerEnd(props.arrowHeadType, props.markerEndId));
  return (_ctx, _cache) => {
    return openBlock(), createElementBlock(Fragment, null, [
      createElementVNode("path", {
        style: normalizeStyle(props.style),
        class: "vue-flow__edge-path",
        d: unref(path),
        "marker-end": unref(markerEnd)
      }, null, 12, _hoisted_1$g),
      renderSlot(_ctx.$slots, "default", {
        x: unref(centerX),
        y: unref(centerY),
        label: props.label,
        labelStyle: props.labelStyle,
        labelShowBg: props.labelShowBg,
        labelBgStyle: props.labelBgStyle,
        labelBgPadding: props.labelBgPadding,
        labelBgBorderRadius: props.labelBgBorderRadius
      }, () => [
        props.label ? (openBlock(), createBlock(_sfc_main$n, {
          key: 0,
          x: unref(centerX),
          y: unref(centerY),
          label: props.label,
          "label-style": props.labelStyle,
          "label-show-bg": props.labelShowBg,
          "label-bg-style": props.labelBgStyle,
          "label-bg-padding": props.labelBgPadding,
          "label-bg-border-radius": props.labelBgBorderRadius
        }, null, 8, ["x", "y", "label", "label-style", "label-show-bg", "label-bg-style", "label-bg-padding", "label-bg-border-radius"])) : createCommentVNode("", true)
      ])
    ], 64);
  };
}
const __default__$1 = {
  inheritAttrs: false
};
const _sfc_main$j = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__$1), {
  props: {
    id: null,
    source: null,
    target: null,
    sourceX: null,
    sourceY: null,
    targetX: null,
    targetY: null,
    selected: { type: Boolean, default: false },
    animated: { type: Boolean },
    sourcePosition: { default: Position.Bottom },
    targetPosition: { default: Position.Top },
    label: { default: "" },
    labelStyle: { default: () => ({}) },
    labelShowBg: { type: Boolean, default: true },
    labelBgStyle: { default: () => ({}) },
    labelBgPadding: null,
    labelBgBorderRadius: null,
    style: null,
    arrowHeadType: null,
    markerEndId: null,
    data: null,
    sourceHandleId: null,
    targetHandleId: null
  },
  setup: setup$1
}));
const _hoisted_1$f = ["cx", "cy", "r"];
const _sfc_main$i = /* @__PURE__ */ defineComponent({
  props: {
    position: { default: Position.Top },
    centerX: { default: 0 },
    centerY: { default: 0 },
    radius: { default: 10 }
  },
  setup(__props) {
    const props = __props;
    const shiftX = (x, shift, position) => {
      if (position === Position.Left)
        return x - shift;
      if (position === Position.Right)
        return x + shift;
      return x;
    };
    const shiftY = (y, shift, position) => {
      if (position === Position.Top)
        return y - shift;
      if (position === Position.Bottom)
        return y + shift;
      return y;
    };
    const cx = computed(() => {
      const val = shiftX(props.centerX, props.radius, props.position);
      if (isNaN(val))
        return 0;
      else
        return val;
    });
    const cy = computed(() => {
      const val = shiftY(props.centerY, props.radius, props.position);
      if (isNaN(val))
        return 0;
      else
        return val;
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("circle", {
        class: "vue-flow__edgeupdater",
        cx: unref(cx),
        cy: unref(cy),
        r: props.radius,
        stroke: "transparent",
        fill: "transparent"
      }, null, 8, _hoisted_1$f);
    };
  }
});
/*!
  * pinia v2.0.0-rc.10
  * (c) 2021 Eduardo San Martin Morote
  * @license MIT
  */
let activePinia;
const setActivePinia = (pinia2) => activePinia = pinia2;
const piniaSymbol = Symbol();
function isPlainObject(o) {
  return o && typeof o === "object" && Object.prototype.toString.call(o) === "[object Object]" && typeof o.toJSON !== "function";
}
var MutationType;
(function(MutationType2) {
  MutationType2["direct"] = "direct";
  MutationType2["patchObject"] = "patch object";
  MutationType2["patchFunction"] = "patch function";
})(MutationType || (MutationType = {}));
function createPinia() {
  const scope = effectScope(true);
  const state = scope.run(() => ref({}));
  let _p = [];
  const toBeInstalled = [];
  const pinia2 = markRaw({
    install(app) {
      setActivePinia(pinia2);
      {
        pinia2._a = app;
        app.provide(piniaSymbol, pinia2);
        app.config.globalProperties.$pinia = pinia2;
        toBeInstalled.forEach((plugin) => _p.push(plugin));
      }
    },
    use(plugin) {
      if (!this._a && !isVue2) {
        toBeInstalled.push(plugin);
      } else {
        _p.push(plugin);
      }
      return this;
    },
    _p,
    _a: null,
    _e: scope,
    _s: new Map(),
    state
  });
  return pinia2;
}
function addSubscription(subscriptions, callback, detached) {
  subscriptions.push(callback);
  const removeSubscription = () => {
    const idx = subscriptions.indexOf(callback);
    if (idx > -1) {
      subscriptions.splice(idx, 1);
    }
  };
  if (!detached && getCurrentInstance()) {
    onUnmounted(removeSubscription);
  }
  return removeSubscription;
}
function triggerSubscriptions(subscriptions, ...args) {
  subscriptions.forEach((callback) => {
    callback(...args);
  });
}
function innerPatch(target, patchToApply) {
  for (const key in patchToApply) {
    const subPatch = patchToApply[key];
    const targetValue = target[key];
    if (isPlainObject(targetValue) && isPlainObject(subPatch) && !isRef(subPatch) && !isReactive(subPatch)) {
      target[key] = innerPatch(targetValue, subPatch);
    } else {
      target[key] = subPatch;
    }
  }
  return target;
}
const { assign } = Object;
function isComputed(o) {
  return o && o.effect;
}
function createOptionsStore(id2, options, pinia2, hot) {
  const { state, actions, getters } = options;
  const initialState2 = pinia2.state.value[id2];
  let store;
  function setup4() {
    if (!initialState2 && true) {
      {
        pinia2.state.value[id2] = state ? state() : {};
      }
    }
    const localState = toRefs(pinia2.state.value[id2]);
    return assign(localState, actions, Object.keys(getters || {}).reduce((computedGetters, name) => {
      computedGetters[name] = markRaw(computed(() => {
        setActivePinia(pinia2);
        const store2 = pinia2._s.get(id2);
        return getters[name].call(store2, store2);
      }));
      return computedGetters;
    }, {}));
  }
  store = createSetupStore(id2, setup4, options, pinia2);
  store.$reset = function $reset() {
    const newState = state ? state() : {};
    this.$patch(($state) => {
      assign($state, newState);
    });
  };
  return store;
}
const noop$1 = () => {
};
function createSetupStore($id, setup4, options = {}, pinia2, hot) {
  let scope;
  const buildState = options.state;
  const optionsForPlugin = __spreadValues({
    actions: {}
  }, options);
  const $subscribeOptions = {
    deep: true
  };
  let isListening;
  let subscriptions = markRaw([]);
  let actionSubscriptions = markRaw([]);
  let debuggerEvents;
  const initialState2 = pinia2.state.value[$id];
  if (!initialState2 && true) {
    {
      pinia2.state.value[$id] = {};
    }
  }
  ref({});
  function $patch(partialStateOrMutator) {
    let subscriptionMutation;
    isListening = false;
    if (typeof partialStateOrMutator === "function") {
      partialStateOrMutator(pinia2.state.value[$id]);
      subscriptionMutation = {
        type: MutationType.patchFunction,
        storeId: $id,
        events: debuggerEvents
      };
    } else {
      innerPatch(pinia2.state.value[$id], partialStateOrMutator);
      subscriptionMutation = {
        type: MutationType.patchObject,
        payload: partialStateOrMutator,
        storeId: $id,
        events: debuggerEvents
      };
    }
    isListening = true;
    triggerSubscriptions(subscriptions, subscriptionMutation, pinia2.state.value[$id]);
  }
  const $reset = noop$1;
  function $dispose() {
    scope.stop();
    subscriptions = [];
    actionSubscriptions = [];
    pinia2._s.delete($id);
  }
  function wrapAction(name, action) {
    return function() {
      setActivePinia(pinia2);
      const args = Array.from(arguments);
      let afterCallback = noop$1;
      let onErrorCallback = noop$1;
      function after(callback) {
        afterCallback = callback;
      }
      function onError(callback) {
        onErrorCallback = callback;
      }
      triggerSubscriptions(actionSubscriptions, {
        args,
        name,
        store,
        after,
        onError
      });
      let ret;
      try {
        ret = action.apply(this && this.$id === $id ? this : store, args);
      } catch (error) {
        if (onErrorCallback(error) !== false) {
          throw error;
        }
      }
      if (ret instanceof Promise) {
        return ret.then((value) => {
          const newRet2 = afterCallback(value);
          return newRet2 === void 0 ? value : newRet2;
        }).catch((error) => {
          if (onErrorCallback(error) !== false) {
            return Promise.reject(error);
          }
        });
      }
      const newRet = afterCallback(ret);
      return newRet === void 0 ? ret : newRet;
    };
  }
  const partialStore = {
    _p: pinia2,
    $id,
    $onAction: addSubscription.bind(null, actionSubscriptions),
    $patch,
    $reset,
    $subscribe(callback, options2 = {}) {
      const _removeSubscription = addSubscription(subscriptions, callback, options2.detached);
      const stopWatcher = scope.run(() => watch(() => pinia2.state.value[$id], (state, oldState) => {
        if (isListening) {
          callback({
            storeId: $id,
            type: MutationType.direct,
            events: debuggerEvents
          }, state);
        }
      }, assign({}, $subscribeOptions, options2)));
      const removeSubscription = () => {
        stopWatcher();
        _removeSubscription();
      };
      return removeSubscription;
    },
    $dispose
  };
  const store = reactive(assign({}, partialStore));
  pinia2._s.set($id, store);
  const setupStore = pinia2._e.run(() => {
    scope = effectScope();
    return scope.run(() => setup4());
  });
  for (const key in setupStore) {
    const prop = setupStore[key];
    if (isRef(prop) && !isComputed(prop) || isReactive(prop)) {
      if (!buildState) {
        if (initialState2) {
          if (isRef(prop)) {
            prop.value = initialState2[key];
          } else {
            innerPatch(prop, initialState2[key]);
          }
        }
        {
          pinia2.state.value[$id][key] = prop;
        }
      }
    } else if (typeof prop === "function") {
      const actionValue = wrapAction(key, prop);
      {
        setupStore[key] = actionValue;
      }
      optionsForPlugin.actions[key] = prop;
    } else
      ;
  }
  {
    assign(store, setupStore);
  }
  Object.defineProperty(store, "$state", {
    get: () => pinia2.state.value[$id],
    set: (state) => {
      $patch(($state) => {
        assign($state, state);
      });
    }
  });
  pinia2._p.forEach((extender) => {
    {
      assign(store, scope.run(() => extender({
        store,
        app: pinia2._a,
        pinia: pinia2,
        options: optionsForPlugin
      })));
    }
  });
  if (initialState2 && buildState) {
    (options.hydrate || innerPatch)(store, initialState2);
  }
  isListening = true;
  return store;
}
function defineStore(idOrOptions, setup4, setupOptions) {
  let id2;
  let options;
  const isSetupStore = typeof setup4 === "function";
  if (typeof idOrOptions === "string") {
    id2 = idOrOptions;
    options = isSetupStore ? setupOptions : setup4;
  } else {
    options = idOrOptions;
    id2 = idOrOptions.id;
  }
  function useStore2(pinia2, hot) {
    const currentInstance = getCurrentInstance();
    pinia2 = pinia2 || currentInstance && inject(piniaSymbol);
    if (pinia2)
      setActivePinia(pinia2);
    pinia2 = activePinia;
    if (!pinia2._s.has(id2)) {
      if (isSetupStore) {
        createSetupStore(id2, setup4, options, pinia2);
      } else {
        createOptionsStore(id2, options, pinia2);
      }
    }
    const store = pinia2._s.get(id2);
    return store;
  }
  useStore2.$id = id2;
  return useStore2;
}
const isInputDOMNode = (e) => {
  const target = e.target;
  return ["INPUT", "SELECT", "TEXTAREA", "BUTTON"].includes(target.nodeName) || target.hasAttribute("contentEditable");
};
const getDimensions = (node) => ({
  width: node.offsetWidth,
  height: node.offsetHeight
});
const clamp = (val, min = 0, max = 1) => Math.min(Math.max(val, min), max);
const clampPosition = (position, extent) => ({
  x: clamp(position.x, extent[0][0], extent[1][0]),
  y: clamp(position.y, extent[0][1], extent[1][1])
});
const getHostForElement = (element) => {
  const doc = element.getRootNode();
  const window2 = useWindow();
  if ("getElementFromPoint" in doc)
    return doc;
  else
    return window2.document;
};
const isEdge = (element) => "id" in element && "source" in element && "target" in element;
const isNode = (element) => "id" in element && !("source" in element) && !("target" in element);
const getOutgoers = (node, elements) => {
  if (!isNode(node)) {
    return [];
  }
  const outgoerIds = elements.filter((e) => isEdge(e) && e.source === node.id).map((e) => e.target);
  return elements.filter((e) => outgoerIds.includes(e.id));
};
const getIncomers = (node, elements) => {
  if (!isNode(node)) {
    return [];
  }
  const incomersIds = elements.filter((e) => isEdge(e) && e.target === node.id).map((e) => e.source);
  return elements.filter((e) => incomersIds.includes(e.id));
};
const removeElements = (elementsToRemove, elements) => {
  const nodeIdsToRemove = elementsToRemove.map((n) => n.id);
  return elements.filter((element) => {
    const edgeElement = element;
    return !(nodeIdsToRemove.includes(element.id) || nodeIdsToRemove.includes(edgeElement.target) || nodeIdsToRemove.includes(edgeElement.source));
  });
};
const getEdgeId = ({ source, sourceHandle, target, targetHandle }) => `vueflow__edge-${source}${sourceHandle}-${target}${targetHandle}`;
const connectionExists = (edge, elements) => {
  return elements.some((el) => isEdge(el) && el.source === edge.source && el.target === edge.target && (el.sourceHandle === edge.sourceHandle || !el.sourceHandle && !edge.sourceHandle) && (el.targetHandle === edge.targetHandle || !el.targetHandle && !edge.targetHandle));
};
const addEdge = (edgeParams, elements) => {
  if (!edgeParams.source || !edgeParams.target) {
    console.log("Can't create edge. An edge needs a source and a target.");
    return elements;
  }
  let edge;
  if (isEdge(edgeParams)) {
    edge = __spreadValues({}, edgeParams);
  } else {
    edge = __spreadProps(__spreadValues({}, edgeParams), {
      id: getEdgeId(edgeParams)
    });
  }
  if (connectionExists(edge, elements)) {
    return elements;
  }
  return elements.concat(edge);
};
const updateEdge = (oldEdge, newConnection, elements) => {
  if (!newConnection.source || !newConnection.target) {
    console.warn("Can't create new edge. An edge needs a source and a target.");
    return elements;
  }
  const foundEdge = elements.find((e) => isEdge(e) && e.id === oldEdge.id);
  if (!foundEdge) {
    console.warn(`The old edge with id=${oldEdge.id} does not exist.`);
    return elements;
  }
  const edge = __spreadProps(__spreadValues({}, oldEdge), {
    id: getEdgeId(newConnection),
    source: newConnection.source,
    target: newConnection.target,
    sourceHandle: newConnection.sourceHandle,
    targetHandle: newConnection.targetHandle
  });
  return elements.filter((e) => e.id !== oldEdge.id).concat(edge);
};
const pointToRendererPoint = ({ x, y }, [tx, ty, tScale], snapToGrid2, [snapX, snapY]) => {
  const position = {
    x: (x - tx) / tScale,
    y: (y - ty) / tScale
  };
  if (snapToGrid2) {
    return {
      x: snapX * Math.round(position.x / snapX),
      y: snapY * Math.round(position.y / snapY)
    };
  }
  return position;
};
const onLoadProject = (currentStore) => (position) => pointToRendererPoint(position, currentStore.transform, currentStore.snapToGrid, currentStore.snapGrid);
const parseNode = (node, nodeExtent) => __spreadProps(__spreadValues({}, node), {
  id: node.id.toString(),
  type: node.type || "default",
  __rf: {
    position: clampPosition(node.position, nodeExtent),
    width: void 0,
    height: void 0,
    handleBounds: {},
    isDragging: false
  }
});
const parseEdge = (edge) => __spreadProps(__spreadValues({}, edge), {
  source: edge.source.toString(),
  target: edge.target.toString(),
  sourceHandle: edge.sourceHandle ? edge.sourceHandle.toString() : null,
  targetHandle: edge.targetHandle ? edge.targetHandle.toString() : null,
  id: edge.id.toString(),
  type: edge.type || "default"
});
const getBoundsOfBoxes = (box1, box2) => ({
  x: Math.min(box1.x, box2.x),
  y: Math.min(box1.y, box2.y),
  x2: Math.max(box1.x2, box2.x2),
  y2: Math.max(box1.y2, box2.y2)
});
const rectToBox = ({ x, y, width, height }) => ({
  x,
  y,
  x2: x + width,
  y2: y + height
});
const boxToRect = ({ x, y, x2, y2 }) => ({
  x,
  y,
  width: x2 - x,
  height: y2 - y
});
const getBoundsofRects = (rect1, rect2) => boxToRect(getBoundsOfBoxes(rectToBox(rect1), rectToBox(rect2)));
const getRectOfNodes = (nodes) => {
  const box = nodes.reduce((currBox, { __rf: { position, width, height } = {} }) => getBoundsOfBoxes(currBox, rectToBox(__spreadProps(__spreadValues({}, position), {
    width,
    height
  }))), { x: Infinity, y: Infinity, x2: -Infinity, y2: -Infinity });
  return boxToRect(box);
};
const graphPosToZoomedPos = ({ x, y }, [tx, ty, tScale]) => ({
  x: x * tScale + tx,
  y: y * tScale + ty
});
const getNodesInside = (nodes, rect, [tx, ty, tScale] = [0, 0, 1], partially = false) => {
  const rBox = rectToBox({
    x: (rect.x - tx) / tScale,
    y: (rect.y - ty) / tScale,
    width: rect.width / tScale,
    height: rect.height / tScale
  });
  return nodes.filter((node) => {
    if (!node.__rf)
      return false;
    const { position = { x: 0, y: 0 }, width = 0, height = 0, isDragging = false } = node.__rf;
    const nBox = rectToBox(__spreadProps(__spreadValues({}, position), { width, height }));
    const xOverlap = Math.max(0, Math.min(rBox.x2, nBox.x2) - Math.max(rBox.x, nBox.x));
    const yOverlap = Math.max(0, Math.min(rBox.y2, nBox.y2) - Math.max(rBox.y, nBox.y));
    const overlappingArea = Math.ceil(xOverlap * yOverlap);
    if (width === null || height === null || isDragging) {
      return true;
    }
    if (partially) {
      return overlappingArea > 0;
    }
    const area = width * height;
    return overlappingArea >= area;
  });
};
const getConnectedEdges = (nodes, edges) => {
  const nodeIds = nodes.map((node) => node.id);
  return edges.filter((edge) => nodeIds.includes(edge.source) || nodeIds.includes(edge.target));
};
const parseElements$1 = (nodes, edges) => [
  ...nodes.map((node) => {
    var _a2, _b;
    const n = __spreadValues({}, node);
    if ((_a2 = n.__rf) == null ? void 0 : _a2.position)
      n.position = (_b = n.__rf) == null ? void 0 : _b.position;
    return n;
  }),
  ...edges.map((e) => __spreadValues({}, e))
];
const onLoadGetElements = (currentStore) => () => parseElements$1(currentStore.nodes || [], currentStore.edges || []);
const onLoadToObject = (currentStore) => () => {
  return JSON.parse(JSON.stringify({
    elements: parseElements$1(currentStore.nodes || [], currentStore.edges || []),
    position: [currentStore.transform[0], currentStore.transform[1]],
    zoom: currentStore.transform[2]
  }));
};
const getTransformForBounds = (bounds, width, height, minZoom, maxZoom, padding = 0.1) => {
  const xZoom = width / (bounds.width * (1 + padding));
  const yZoom = height / (bounds.height * (1 + padding));
  const zoom2 = Math.min(xZoom, yZoom);
  const clampedZoom = clamp(zoom2, minZoom, maxZoom);
  const boundsCenterX = bounds.x + bounds.width / 2;
  const boundsCenterY = bounds.y + bounds.height / 2;
  const x = width / 2 - boundsCenterX * clampedZoom;
  const y = height / 2 - boundsCenterY * clampedZoom;
  return [x, y, clampedZoom];
};
const parseElements = (elements, nodes, edges, nodeExtent) => {
  const nextElements = {
    nextNodes: [],
    nextEdges: []
  };
  for (const element of elements) {
    if (isNode(element)) {
      const storeNode = nodes.find((node) => node.id === element.id);
      if (storeNode) {
        const updatedNode = __spreadValues(__spreadValues({}, storeNode), element);
        if (!updatedNode.__rf)
          updatedNode.__rf = {};
        if (storeNode.position.x !== element.position.x || storeNode.position.y !== element.position.y) {
          updatedNode.__rf.position = element.position;
        }
        if (typeof element.type !== "undefined" && element.type !== storeNode.type) {
          updatedNode.__rf.width = void 0;
        }
        nextElements.nextNodes.push(updatedNode);
      } else {
        nextElements.nextNodes.push(parseNode(element, nodeExtent));
      }
    } else if (isEdge(element)) {
      const storeEdge = edges.find((se) => se.id === element.id);
      if (storeEdge) {
        nextElements.nextEdges.push(__spreadValues(__spreadValues({}, storeEdge), element));
      } else {
        nextElements.nextEdges.push(parseEdge(element));
      }
    }
  }
  return nextElements;
};
const getHandleBoundsByHandleType = (selector2, nodeElement, parentBounds, k) => {
  const handles = nodeElement.querySelectorAll(selector2);
  if (!handles || !handles.length) {
    return null;
  }
  const handlesArray = Array.from(handles);
  return handlesArray.map((handle) => {
    const bounds = handle.getBoundingClientRect();
    const dimensions = getDimensions(handle);
    const handleId = handle.getAttribute("data-handleid");
    const handlePosition = handle.getAttribute("data-handlepos");
    return __spreadValues({
      id: handleId,
      position: handlePosition,
      x: (bounds.left - parentBounds.left) / k,
      y: (bounds.top - parentBounds.top) / k
    }, dimensions);
  });
};
const getHandleBounds = (nodeElement, scale) => {
  const bounds = nodeElement.getBoundingClientRect();
  return {
    source: getHandleBoundsByHandleType(".source", nodeElement, bounds, scale),
    target: getHandleBoundsByHandleType(".target", nodeElement, bounds, scale)
  };
};
const pinia = createPinia();
function flowStore(id2, preloadedState) {
  setActivePinia(pinia);
  const { nextEdges, nextNodes } = parseElements(preloadedState.elements, [], [], preloadedState.nodeExtent);
  preloadedState.nodes = nextNodes;
  preloadedState.edges = nextEdges;
  return defineStore({
    id: id2 != null ? id2 : "vue-flow",
    state: () => __spreadValues({}, preloadedState),
    getters: {
      getEdgeTypes() {
        return __spreadValues(__spreadValues({}, defaultEdgeTypes), this.edgeTypes);
      },
      getNodeTypes() {
        return __spreadValues(__spreadValues({}, defaultNodeTypes), this.nodeTypes);
      },
      getNodes() {
        const n = this.onlyRenderVisibleElements ? this.nodes && getNodesInside(this.nodes, {
          x: 0,
          y: 0,
          width: this.dimensions.width,
          height: this.dimensions.height
        }, this.transform, true) : this.nodes;
        return n.filter((node) => !node.isHidden);
      },
      getEdges() {
        return this.edges.filter((edge) => !edge.isHidden);
      }
    },
    actions: {
      setElements(elements) {
        const { nextNodes: nextNodes2, nextEdges: nextEdges2 } = parseElements(elements, this.nodes, this.edges, this.nodeExtent);
        this.elements = elements;
        this.nodes = nextNodes2;
        this.edges = nextEdges2;
      },
      updateNodeDimensions({ id: id22, nodeElement, forceUpdate }) {
        const i = this.nodes.map((x) => x.id).indexOf(id22);
        const node = this.nodes[i];
        const dimensions = getDimensions(nodeElement);
        if (!node.__rf)
          node.__rf = {};
        const doUpdate = dimensions.width && dimensions.height && (node.__rf.width !== dimensions.width || node.__rf.height !== dimensions.height || forceUpdate);
        if (doUpdate) {
          const handleBounds = getHandleBounds(nodeElement, this.transform[2]);
          this.nodes.splice(i, 1, __spreadProps(__spreadValues({}, node), {
            __rf: __spreadProps(__spreadValues(__spreadValues({}, node.__rf), dimensions), {
              handleBounds
            })
          }));
        }
      },
      updateNodePos({ id: id22, pos }) {
        const i = this.nodes.map((x) => x.id).indexOf(id22);
        const node = this.nodes[i];
        if (this.snapToGrid) {
          const [gridSizeX, gridSizeY] = this.snapGrid;
          pos = {
            x: gridSizeX * Math.round(pos.x / gridSizeX),
            y: gridSizeY * Math.round(pos.y / gridSizeY)
          };
        }
        this.nodes.splice(i, 1, __spreadProps(__spreadValues({}, node), {
          __rf: __spreadProps(__spreadValues({}, node.__rf), {
            position: pos
          })
        }));
      },
      updateNodePosDiff({ id: id22, diff: diff2, isDragging }) {
        const update = (node, i) => {
          var _a2, _b, _c, _d;
          const updatedNode = __spreadProps(__spreadValues({}, node), {
            __rf: __spreadProps(__spreadValues({}, node.__rf), {
              isDragging
            })
          });
          if (diff2) {
            updatedNode.__rf.position = {
              x: ((_b = (_a2 = node.__rf) == null ? void 0 : _a2.position) == null ? void 0 : _b.x) + diff2.x,
              y: ((_d = (_c = node.__rf) == null ? void 0 : _c.position) == null ? void 0 : _d.y) + diff2.y
            };
          }
          this.nodes.splice(i, 1, __spreadValues(__spreadValues({}, node), updatedNode));
        };
        if (!id22) {
          const selectedNodes = this.nodes.filter((x) => {
            var _a2;
            return (_a2 = this.selectedElements) == null ? void 0 : _a2.find((sNode) => (sNode == null ? void 0 : sNode.id) === x.id);
          });
          selectedNodes.forEach((node) => {
            const i = this.nodes.map((x) => x.id).indexOf(node.id);
            update(node, i);
          });
        } else {
          const i = this.nodes.map((x) => x.id).indexOf(id22);
          const node = this.nodes[i];
          update(node, i);
        }
      },
      setUserSelection(mousePos) {
        this.selectionActive = true;
        this.userSelectionRect = {
          width: 0,
          height: 0,
          startX: mousePos.x,
          startY: mousePos.y,
          x: mousePos.x,
          y: mousePos.y,
          draw: true
        };
      },
      updateUserSelection(mousePos) {
        const startX = this.userSelectionRect.startX || 0;
        const startY = this.userSelectionRect.startY || 0;
        const nextUserSelectRect = __spreadProps(__spreadValues({}, this.userSelectionRect), {
          x: mousePos.x < startX ? mousePos.x : this.userSelectionRect.x,
          y: mousePos.y < startY ? mousePos.y : this.userSelectionRect.y,
          width: Math.abs(mousePos.x - startX),
          height: Math.abs(mousePos.y - startY)
        });
        const selectedNodes = getNodesInside(this.nodes, nextUserSelectRect, this.transform);
        const selectedEdges = getConnectedEdges(selectedNodes, this.edges);
        const nextSelectedElements = [...selectedNodes, ...selectedEdges];
        this.userSelectionRect = nextUserSelectRect;
        this.selectedElements = nextSelectedElements;
      },
      unsetUserSelection() {
        var _a2;
        const selectedNodes = (_a2 = this.selectedElements) == null ? void 0 : _a2.filter((node) => node && isNode(node) && node.__rf);
        this.selectionActive = false;
        this.userSelectionRect.draw = false;
        if (!selectedNodes || selectedNodes.length === 0) {
          this.selectedElements = void 0;
          this.nodesSelectionActive = false;
        } else {
          this.selectedNodesBbox = getRectOfNodes(selectedNodes);
          this.nodesSelectionActive = true;
        }
      },
      addSelectedElements(elements) {
        var _a2;
        const selectedElementsArr = Array.isArray(elements) ? elements : [elements];
        const selectedElementsUpdated = diff(selectedElementsArr, (_a2 = this.selectedElements) != null ? _a2 : []).length;
        this.selectedElements = selectedElementsUpdated ? selectedElementsArr : this.selectedElements;
      },
      initD3Zoom({ d3ZoomHandler, d3Zoom, d3Selection }) {
        this.d3Zoom = d3Zoom;
        this.d3Selection = d3Selection;
        this.d3ZoomHandler = d3ZoomHandler;
      },
      setMinZoom(minZoom) {
        var _a2;
        (_a2 = this.d3Zoom) == null ? void 0 : _a2.scaleExtent([minZoom, this.maxZoom]);
        this.minZoom = minZoom;
      },
      setMaxZoom(maxZoom) {
        var _a2;
        (_a2 = this.d3Zoom) == null ? void 0 : _a2.scaleExtent([this.minZoom, maxZoom]);
        this.maxZoom = maxZoom;
      },
      setTranslateExtent(translateExtent) {
        var _a2;
        (_a2 = this.d3Zoom) == null ? void 0 : _a2.translateExtent(translateExtent);
        this.translateExtent = translateExtent;
      },
      setNodeExtent(nodeExtent) {
        this.nodeExtent = nodeExtent;
        this.nodes = this.nodes.map((node) => {
          var _a2;
          return __spreadProps(__spreadValues({}, node), {
            __rf: __spreadProps(__spreadValues({}, node.__rf), {
              position: ((_a2 = node.__rf) == null ? void 0 : _a2.position) && clampPosition(node.__rf.position, nodeExtent)
            })
          });
        });
      },
      resetSelectedElements() {
        this.selectedElements = void 0;
      },
      unsetNodesSelection() {
        this.nodesSelectionActive = false;
      },
      updateSize(size) {
        this.dimensions = size;
      },
      setConnectionNodeId({ connectionHandleId, connectionHandleType, connectionNodeId }) {
        this.connectionNodeId = connectionNodeId;
        this.connectionHandleId = connectionHandleId;
        this.connectionHandleType = connectionHandleType;
      },
      setInteractive(isInteractive) {
        this.nodesDraggable = isInteractive;
        this.nodesConnectable = isInteractive;
        this.elementsSelectable = isInteractive;
      },
      addElements(elements) {
        const { nextNodes: nextNodes2, nextEdges: nextEdges2 } = parseElements(elements, this.nodes, this.edges, this.nodeExtent);
        this.elements = [...this.elements, ...elements];
        this.nodes = [...this.nodes, ...nextNodes2];
        this.edges = [...this.edges, ...nextEdges2];
      }
    }
  });
}
const defaultNodeTypes = {
  input: _sfc_main$p,
  default: _sfc_main$q,
  output: _sfc_main$o
};
const defaultEdgeTypes = {
  default: _sfc_main$m,
  straight: _sfc_main$j,
  step: _sfc_main$k,
  smoothstep: _sfc_main$l
};
const initialState = () => ({
  dimensions: {
    width: 0,
    height: 0
  },
  transform: [0, 0, 1],
  nodeTypes: defaultNodeTypes,
  edgeTypes: defaultEdgeTypes,
  elements: [],
  nodes: [],
  edges: [],
  selectedElements: void 0,
  selectedNodesBbox: { x: 0, y: 0, width: 0, height: 0 },
  d3Zoom: void 0,
  d3Selection: void 0,
  d3ZoomHandler: void 0,
  minZoom: 0.5,
  maxZoom: 2,
  translateExtent: [
    [Number.NEGATIVE_INFINITY, Number.NEGATIVE_INFINITY],
    [Number.POSITIVE_INFINITY, Number.POSITIVE_INFINITY]
  ],
  nodeExtent: [
    [Number.NEGATIVE_INFINITY, Number.NEGATIVE_INFINITY],
    [Number.POSITIVE_INFINITY, Number.POSITIVE_INFINITY]
  ],
  nodesSelectionActive: false,
  selectionActive: false,
  userSelectionRect: {
    startX: 0,
    startY: 0,
    x: 0,
    y: 0,
    width: 0,
    height: 0,
    draw: false
  },
  connectionNodeId: void 0,
  connectionHandleId: void 0,
  connectionHandleType: "source",
  connectionPosition: { x: NaN, y: NaN },
  connectionMode: ConnectionMode.Loose,
  snapGrid: [15, 15],
  snapToGrid: false,
  nodesDraggable: true,
  nodesConnectable: true,
  elementsSelectable: true,
  multiSelectionActive: false,
  isReady: false,
  hooks: createHooks(),
  storageKey: void 0,
  instance: void 0,
  vueFlowVersion: "0.0.28"
});
let id = 0;
var useStore = (options) => {
  var _a2, _b, _c, _d;
  let store = inject(Store);
  if (!store) {
    const withStorage = (_a2 = options == null ? void 0 : options.storageKey) != null ? _a2 : false;
    let storedState = ref();
    const initial = initialState();
    const storageKey = typeof (options == null ? void 0 : options.storageKey) === "string" ? options.storageKey : (_b = options == null ? void 0 : options.id) != null ? _b : `vue-flow-${id++}`;
    const preloadedState = __spreadValues(__spreadValues({}, initial), options);
    if (withStorage) {
      storedState = useStorage(storageKey, {});
      if (storedState.value) {
        preloadedState.elements = (_d = (_c = storedState.value.elements) != null ? _c : options == null ? void 0 : options.elements) != null ? _d : [];
        if (storedState.value.position && storedState.value.zoom)
          preloadedState.transform = [storedState.value.position[0], storedState.value.position[1], storedState.value.zoom];
      }
    }
    store = flowStore(storageKey, preloadedState)();
    if (withStorage && storageKey === store.$id) {
      const toObject = onLoadToObject(store);
      store.$subscribe(() => {
        storedState.value = toObject();
      });
    }
    provide(Store, store);
  }
  return store;
};
const checkElementBelowIsValid = (event, connectionMode, isTarget, nodeId, handleId, isValidConnection, doc) => {
  const elementBelow = doc.elementFromPoint(event.clientX, event.clientY);
  const elementBelowIsTarget = (elementBelow == null ? void 0 : elementBelow.classList.contains("target")) || false;
  const elementBelowIsSource = (elementBelow == null ? void 0 : elementBelow.classList.contains("source")) || false;
  const result = {
    elementBelow,
    isValid: false,
    connection: { source: null, target: null, sourceHandle: null, targetHandle: null },
    isHoveringHandle: false
  };
  if (elementBelow && (elementBelowIsTarget || elementBelowIsSource)) {
    result.isHoveringHandle = true;
    const isValid = connectionMode === ConnectionMode.Strict ? isTarget && elementBelowIsSource || !isTarget && elementBelowIsTarget : true;
    if (isValid) {
      const elementBelowNodeId = elementBelow.getAttribute("data-nodeid");
      const elementBelowHandleId = elementBelow.getAttribute("data-handleid");
      const connection = isTarget ? {
        source: elementBelowNodeId,
        sourceHandle: elementBelowHandleId,
        target: nodeId,
        targetHandle: handleId
      } : {
        source: nodeId,
        sourceHandle: handleId,
        target: elementBelowNodeId,
        targetHandle: elementBelowHandleId
      };
      result.connection = connection;
      result.isValid = isValidConnection(connection);
    }
  }
  return result;
};
const resetRecentHandle = (hoveredHandle) => {
  hoveredHandle == null ? void 0 : hoveredHandle.classList.remove("vue-flow__handle-valid");
  hoveredHandle == null ? void 0 : hoveredHandle.classList.remove("vue-flow__handle-connecting");
};
var useHandle = () => {
  const store = useStore();
  return (event, handleId, nodeId, isTarget, isValidConnection = () => {
    return true;
  }, elementEdgeUpdaterType, onEdgeUpdate) => {
    const flowNode = event.target.closest(".vue-flow");
    const doc = getHostForElement(event.target);
    if (!doc)
      return;
    const elementBelow = doc.elementFromPoint(event.clientX, event.clientY);
    const elementBelowIsTarget = elementBelow == null ? void 0 : elementBelow.classList.contains("target");
    const elementBelowIsSource = elementBelow == null ? void 0 : elementBelow.classList.contains("source");
    if (!flowNode || !elementBelowIsTarget && !elementBelowIsSource && !elementEdgeUpdaterType)
      return;
    const handleType = elementEdgeUpdaterType || (elementBelowIsTarget ? "target" : "source");
    const containerBounds = flowNode.getBoundingClientRect();
    let recentHoveredHandle;
    store.connectionPosition.x = event.clientX - containerBounds.left;
    store.connectionPosition.y = event.clientY - containerBounds.top;
    store.setConnectionNodeId({
      connectionNodeId: nodeId,
      connectionHandleId: handleId,
      connectionHandleType: handleType
    });
    store.hooks.connectStart.trigger({ event, params: { nodeId, handleId, handleType } });
    function onMouseMove(event2) {
      store.connectionPosition.x = event2.clientX - containerBounds.left;
      store.connectionPosition.y = event2.clientY - containerBounds.top;
      const { connection, elementBelow: elementBelow2, isValid, isHoveringHandle } = checkElementBelowIsValid(event2, store.connectionMode, isTarget, nodeId, handleId, isValidConnection, doc);
      if (!isHoveringHandle) {
        return resetRecentHandle(recentHoveredHandle);
      }
      const isOwnHandle = connection.source === connection.target;
      if (!isOwnHandle && elementBelow2) {
        recentHoveredHandle = elementBelow2;
        elementBelow2.classList.add("vue-flow__handle-connecting");
        elementBelow2.classList.toggle("vue-flow__handle-valid", isValid);
      }
    }
    function onMouseUp(event2) {
      const { connection, isValid } = checkElementBelowIsValid(event2, store.connectionMode, isTarget, nodeId, handleId, isValidConnection, doc);
      store.hooks.connectStop.trigger(event2);
      if (isValid) {
        store.hooks.connect.trigger(connection);
        onEdgeUpdate == null ? void 0 : onEdgeUpdate(connection);
      }
      store.hooks.connectEnd.trigger(event2);
      if (elementEdgeUpdaterType)
        store.hooks.edgeUpdateEnd.trigger(event2);
      resetRecentHandle(recentHoveredHandle);
      store.setConnectionNodeId({ connectionNodeId: void 0, connectionHandleId: void 0, connectionHandleType: void 0 });
      store.connectionPosition = { x: NaN, y: NaN };
      doc.removeEventListener("mousemove", onMouseMove);
      doc.removeEventListener("mouseup", onMouseUp);
    }
    doc.addEventListener("mousemove", onMouseMove);
    doc.addEventListener("mouseup", onMouseUp);
  };
};
const createHooks = () => {
  return {
    elementClick: createEventHook$1(),
    elementsRemove: createEventHook$1(),
    nodeDoubleClick: createEventHook$1(),
    nodeClick: createEventHook$1(),
    nodeMouseEnter: createEventHook$1(),
    nodeMouseMove: createEventHook$1(),
    nodeMouseLeave: createEventHook$1(),
    nodeContextMenu: createEventHook$1(),
    nodeDragStart: createEventHook$1(),
    nodeDrag: createEventHook$1(),
    nodeDragStop: createEventHook$1(),
    connect: createEventHook$1(),
    connectStart: createEventHook$1(),
    connectStop: createEventHook$1(),
    connectEnd: createEventHook$1(),
    load: createEventHook$1(),
    move: createEventHook$1(),
    moveStart: createEventHook$1(),
    moveEnd: createEventHook$1(),
    selectionChange: createEventHook$1(),
    selectionDragStart: createEventHook$1(),
    selectionDrag: createEventHook$1(),
    selectionDragStop: createEventHook$1(),
    selectionContextMenu: createEventHook$1(),
    paneScroll: createEventHook$1(),
    paneClick: createEventHook$1(),
    paneContextMenu: createEventHook$1(),
    edgeUpdate: createEventHook$1(),
    edgeContextMenu: createEventHook$1(),
    edgeMouseEnter: createEventHook$1(),
    edgeMouseMove: createEventHook$1(),
    edgeMouseLeave: createEventHook$1(),
    edgeDoubleClick: createEventHook$1(),
    edgeClick: createEventHook$1(),
    edgeUpdateStart: createEventHook$1(),
    edgeUpdateEnd: createEventHook$1()
  };
};
const bind = (emit, hooks) => {
  for (const [key, value] of Object.entries(hooks)) {
    value.on((data) => {
      emit(key, data);
    });
  }
};
var useHooks = (store, emit) => {
  let hooks = inject(Hooks);
  if (!hooks) {
    hooks = store.hooks;
    if (typeof emit === "function")
      bind(emit, hooks);
    provide(Hooks, hooks);
  }
  return hooks;
};
var useWindow = () => {
  if (typeof window !== "undefined")
    return window;
  else
    return { chrome: false };
};
var useKeyPress = (keyCode, onChange) => {
  const window2 = useWindow();
  const isPressed = controlledRef(false, {
    onBeforeChange(val, oldVal) {
      if (val === oldVal)
        return false;
    },
    onChanged() {
      if (onChange && typeof onChange === "function")
        onChange(isPressed.value);
    }
  });
  onKeyPressed((e) => !isInputDOMNode(e) && (e.key === keyCode || e.keyCode === keyCode), (e) => {
    e.preventDefault();
    isPressed.value = true;
  });
  onKeyDown((e) => !isInputDOMNode(e) && (e.key === keyCode || e.keyCode === keyCode), (e) => {
    e.preventDefault();
    isPressed.value = true;
  });
  onKeyUp((e) => !isInputDOMNode(e) && (e.key === keyCode || e.keyCode === keyCode), (e) => {
    e.preventDefault();
    isPressed.value = false;
  });
  useEventListener$1(window2, "blur", () => {
    isPressed.value = false;
  });
  if (onChange && typeof onChange === "function")
    onChange(isPressed.value);
  return isPressed;
};
const DEFAULT_PADDING = 0.1;
var useZoomPanHelper = (store = useStore()) => {
  return {
    zoomIn: () => {
      var _a2;
      return store.d3Selection && ((_a2 = store.d3Zoom) == null ? void 0 : _a2.scaleBy(store.d3Selection, 1.2));
    },
    zoomOut: () => {
      var _a2;
      return store.d3Selection && ((_a2 = store.d3Zoom) == null ? void 0 : _a2.scaleBy(store.d3Selection, 1 / 1.2));
    },
    zoomTo: (zoomLevel) => {
      var _a2;
      return store.d3Selection && ((_a2 = store.d3Zoom) == null ? void 0 : _a2.scaleTo(store.d3Selection, zoomLevel));
    },
    transform: (transform) => {
      var _a2;
      const nextTransform = identity.translate(transform.x, transform.y).scale(transform.zoom);
      store.d3Selection && ((_a2 = store.d3Zoom) == null ? void 0 : _a2.transform(store.d3Selection, nextTransform));
    },
    fitView: (options = { padding: DEFAULT_PADDING, includeHiddenNodes: false }) => {
      var _a2, _b, _c, _d;
      if (!store.nodes.length)
        return;
      const bounds = getRectOfNodes(options.includeHiddenNodes ? store.nodes : store.nodes.filter((node) => !node.isHidden));
      const [x, y, zoom2] = getTransformForBounds(bounds, store.dimensions.width, store.dimensions.height, (_a2 = options.minZoom) != null ? _a2 : store.minZoom, (_b = options.maxZoom) != null ? _b : store.maxZoom, (_c = options.padding) != null ? _c : DEFAULT_PADDING);
      const transform = identity.translate(x, y).scale(zoom2);
      store.d3Selection && ((_d = store.d3Zoom) == null ? void 0 : _d.transform(store.d3Selection, transform));
    },
    setCenter: (x, y, zoom2) => {
      var _a2;
      const nextZoom = typeof zoom2 !== "undefined" ? zoom2 : store.maxZoom;
      const centerX = store.dimensions.width / 2 - x * nextZoom;
      const centerY = store.dimensions.height / 2 - y * nextZoom;
      const transform = identity.translate(centerX, centerY).scale(nextZoom);
      store.d3Selection && ((_a2 = store.d3Zoom) == null ? void 0 : _a2.transform(store.d3Selection, transform));
    },
    fitBounds: (bounds, padding = DEFAULT_PADDING) => {
      var _a2;
      const [x, y, zoom2] = getTransformForBounds(bounds, store.dimensions.width, store.dimensions.height, store.minZoom, store.maxZoom, padding);
      const transform = identity.translate(x, y).scale(zoom2);
      store.d3Selection && ((_a2 = store.d3Zoom) == null ? void 0 : _a2.transform(store.d3Selection, transform));
    },
    project: (position) => pointToRendererPoint(position, store.transform, store.snapToGrid, store.snapGrid)
  };
};
const initFlow = (emit, options) => {
  const store = useStore(options);
  const hooks = useHooks(store, emit);
  return {
    store,
    hooks
  };
};
var useVueFlow = (options) => useStore(options);
const _sfc_main$h = /* @__PURE__ */ defineComponent({
  props: {
    selectionKeyCode: { default: "Shift" },
    zoomActivationKeyCode: { default: "Meta" },
    paneMoveable: { type: Boolean, default: true },
    defaultZoom: { default: 1 },
    defaultPosition: { default: () => [0, 0] },
    zoomOnScroll: { type: Boolean, default: true },
    zoomOnPinch: { type: Boolean, default: true },
    panOnScroll: { type: Boolean, default: false },
    panOnScrollSpeed: { default: 0.5 },
    panOnScrollMode: { default: PanOnScrollMode.Free },
    zoomOnDoubleClick: { type: Boolean, default: true }
  },
  setup(__props) {
    const props = __props;
    const store = useStore();
    const zoomPaneEl = templateRef$1("zoomPane", null);
    const viewChanged = (prevTransform, eventTransform) => prevTransform.x !== eventTransform.x && !isNaN(eventTransform.x) || prevTransform.y !== eventTransform.y && !isNaN(eventTransform.y) || prevTransform.zoom !== eventTransform.k && !isNaN(eventTransform.k);
    const eventToFlowTransform = (eventTransform) => ({
      x: eventTransform.x,
      y: eventTransform.y,
      zoom: eventTransform.k
    });
    const clampedX = clamp(props.defaultPosition[0], store.translateExtent[0][0], store.translateExtent[1][0]);
    const clampedY = clamp(props.defaultPosition[1], store.translateExtent[0][1], store.translateExtent[1][1]);
    const clampedZoom = clamp(props.defaultZoom, store.minZoom, store.maxZoom);
    const transform = ref({ x: clampedX, y: clampedY, zoom: clampedZoom });
    const d3Zoom = ref(zoom().scaleExtent([store.minZoom, store.maxZoom]).translateExtent(store.translateExtent));
    const d3Selection = ref();
    const { zoomIn, zoomOut, zoomTo, transform: setTransform, fitView } = useZoomPanHelper();
    store.transform = [transform.value.x, transform.value.y, transform.value.zoom];
    invoke(async () => {
      await until(zoomPaneEl).toBeTruthy();
      const d3z = get$3(d3Zoom);
      d3Selection.value = select(zoomPaneEl.value).call(d3z);
      const d3s = get$3(d3Selection);
      const d3ZoomHandler = d3s.on("wheel.zoom");
      const updatedTransform = identity.translate(clampedX, clampedY).scale(clampedZoom);
      d3z.transform(d3s, updatedTransform);
      store.initD3Zoom({ d3Zoom: d3z, d3Selection: d3s, d3ZoomHandler });
      store.transform = [updatedTransform.x, updatedTransform.y, updatedTransform.k];
      d3z.on("start", (event) => {
        if (viewChanged(transform.value, event.transform)) {
          const flowTransform = eventToFlowTransform(event.transform);
          transform.value = flowTransform;
          store.hooks.moveStart.trigger(flowTransform);
        }
      });
      d3z.on("end", (event) => {
        if (viewChanged(transform.value, event.transform)) {
          const flowTransform = eventToFlowTransform(event.transform);
          transform.value = flowTransform;
          store.hooks.moveEnd.trigger(flowTransform);
        }
      });
      useKeyPress(props.selectionKeyCode, (keyPress2) => {
        if (keyPress2) {
          d3z.on("zoom", null);
        } else {
          d3z.on("zoom", (event) => {
            if (viewChanged(transform.value, event.transform)) {
              const flowTransform = eventToFlowTransform(event.transform);
              transform.value = flowTransform;
              store.hooks.move.trigger(flowTransform);
            }
          });
        }
      });
      useKeyPress(props.zoomActivationKeyCode, (keyPress2) => {
        if (props.panOnScroll && keyPress2) {
          d3s == null ? void 0 : d3s.on("wheel", (event) => {
            event.preventDefault();
            event.stopImmediatePropagation();
            const currentZoom = (d3s == null ? void 0 : d3s.property("__zoom").k) || 1;
            if (event.ctrlKey && props.zoomOnPinch) {
              const point = pointer(event);
              const pinchDelta = -event.deltaY * (event.deltaMode === 1 ? 0.05 : event.deltaMode ? 1 : 2e-3) * 10;
              const zoom2 = currentZoom * Math.pow(2, pinchDelta);
              if (d3s)
                d3z.scaleTo(d3s, zoom2, point);
              return;
            }
            const deltaNormalize = event.deltaMode === 1 ? 20 : 1;
            const deltaX = props.panOnScrollMode === PanOnScrollMode.Vertical ? 0 : event.deltaX * deltaNormalize;
            const deltaY = props.panOnScrollMode === PanOnScrollMode.Horizontal ? 0 : event.deltaY * deltaNormalize;
            if (d3s && props.panOnScrollSpeed)
              d3z == null ? void 0 : d3z.translateBy(d3s, -(deltaX / currentZoom) * props.panOnScrollSpeed, -(deltaY / currentZoom) * props.panOnScrollSpeed);
          }).on("wheel.zoom", null);
        } else if (typeof d3ZoomHandler !== "undefined") {
          d3s == null ? void 0 : d3s.on("wheel", null).on("wheel.zoom", d3ZoomHandler);
        }
      });
      const keyPress = useKeyPress(props.selectionKeyCode);
      d3z.filter((event) => {
        const pinchZoom = props.zoomOnPinch && event.ctrlKey;
        if (!props.paneMoveable && !props.zoomOnScroll && !props.panOnScroll && !props.zoomOnDoubleClick && !props.zoomOnPinch)
          return false;
        if (keyPress.value)
          return false;
        if (!props.zoomOnDoubleClick && event.type === "dblclick")
          return false;
        if (event.target.closest(".nowheel") && event.type === "wheel")
          return false;
        if ((event.target.closest(".vue-flow__node") || event.target.closest(".vue-flow__edge")) && event.type !== "wheel")
          return false;
        if (event.target.closest(".vue-flow__nodesselection") && event.type !== "wheel")
          return false;
        if (!props.zoomOnPinch && event.ctrlKey && event.type === "wheel")
          return false;
        if (!props.zoomOnScroll && !props.panOnScroll && !pinchZoom && event.type === "wheel")
          return false;
        if (!props.paneMoveable && (event.type === "mousedown" || event.type === "touchstart"))
          return false;
        return (!event.ctrlKey || event.type === "wheel") && !event.button;
      });
    });
    const { width, height } = useElementBounding(zoomPaneEl);
    store.dimensions = {
      width: width.value,
      height: height.value
    };
    invoke(async () => {
      await until(() => !isNaN(width.value) && width.value > 0 && !isNaN(height.value) && height.value > 0).toBeTruthy();
      const instance = {
        fitView: (params = { padding: 0.1 }) => fitView(params),
        zoomIn,
        zoomOut,
        zoomTo,
        setTransform,
        project: onLoadProject(store),
        getElements: onLoadGetElements(store),
        toObject: onLoadToObject(store)
      };
      store.hooks.load.trigger(instance);
      store.isReady = true;
      store.instance = instance;
    });
    watch([width, height], ([newWidth, newHeight]) => {
      store.dimensions.width = newWidth;
      store.dimensions.height = newHeight;
    }, { flush: "pre" });
    watch(transform, (val) => store.transform = [
      clamp(val.x, store.translateExtent[0][0], store.translateExtent[1][0]),
      clamp(val.y, store.translateExtent[0][0], store.translateExtent[1][0]),
      clamp(val.zoom, store.translateExtent[0][0], store.translateExtent[1][0])
    ], { flush: "pre" });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Suspense, null, {
        default: withCtx(() => [
          createElementVNode("div", {
            ref: (_value, _refs) => {
              _refs["zoomPane"] = _value;
            },
            class: "vue-flow__renderer vue-flow__zoompane"
          }, [
            renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
              transform: transform.value,
              dimensions: { width: unref(width), height: unref(height) },
              zoomIn: unref(zoomIn),
              zoomOut: unref(zoomOut),
              zoomTo: unref(zoomTo),
              setTransform: unref(setTransform),
              fitView: unref(fitView)
            })))
          ], 512)
        ]),
        _: 3
      });
    };
  }
});
function createEventHook() {
  const fns = [];
  const off = (fn) => {
    const index = fns.indexOf(fn);
    if (index !== -1)
      fns.splice(index, 1);
  };
  const on = (fn) => {
    fns.push(fn);
    return {
      off: () => off(fn)
    };
  };
  const trigger = (param) => {
    fns.forEach((fn) => fn(param));
  };
  return {
    on,
    off,
    trigger
  };
}
const isClient = typeof window !== "undefined";
const isString = (val) => typeof val === "string";
const noop = () => {
};
function get(obj, key) {
  if (key == null)
    return unref(obj);
  return unref(obj)[key];
}
function tryOnMounted(fn, sync = true) {
  if (getCurrentInstance())
    onMounted$1(fn);
  else if (sync)
    fn();
  else
    nextTick(fn);
}
function tryOnUnmounted(fn) {
  if (getCurrentInstance())
    onUnmounted(fn);
}
const defaultWindow = isClient ? window : void 0;
isClient ? window.document : void 0;
isClient ? window.navigator : void 0;
function unrefElement(elRef) {
  var _a2, _b;
  const plain = unref(elRef);
  return (_b = (_a2 = plain) === null || _a2 === void 0 ? void 0 : _a2.$el) !== null && _b !== void 0 ? _b : plain;
}
function useEventListener(...args) {
  let target;
  let event;
  let listener;
  let options;
  if (isString(args[0])) {
    [event, listener, options] = args;
    target = defaultWindow;
  } else {
    [target, event, listener, options] = args;
  }
  if (!target)
    return noop;
  let cleanup = noop;
  const stopWatch = watch(() => unref(target), (el) => {
    cleanup();
    if (!el)
      return;
    el.addEventListener(event, listener, options);
    cleanup = () => {
      el.removeEventListener(event, listener, options);
      cleanup = noop;
    };
  }, { immediate: true, flush: "post" });
  const stop = () => {
    stopWatch();
    cleanup();
  };
  tryOnUnmounted(stop);
  return stop;
}
function templateRef(key, initialValue = null) {
  const instance = getCurrentInstance();
  let _trigger = () => {
  };
  const element = customRef((track, trigger) => {
    _trigger = trigger;
    return {
      get() {
        var _a2, _b;
        track();
        return (_b = (_a2 = instance === null || instance === void 0 ? void 0 : instance.proxy) === null || _a2 === void 0 ? void 0 : _a2.$refs[key]) !== null && _b !== void 0 ? _b : initialValue;
      },
      set() {
      }
    };
  });
  onMounted$1(_trigger);
  onUpdated$1(_trigger);
  return element;
}
var SwipeDirection;
(function(SwipeDirection2) {
  SwipeDirection2["UP"] = "UP";
  SwipeDirection2["RIGHT"] = "RIGHT";
  SwipeDirection2["DOWN"] = "DOWN";
  SwipeDirection2["LEFT"] = "LEFT";
  SwipeDirection2["NONE"] = "NONE";
})(SwipeDirection || (SwipeDirection = {}));
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
var __assign = function() {
  __assign = Object.assign || function __assign2(t2) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p))
          t2[p] = s[p];
    }
    return t2;
  };
  return __assign.apply(this, arguments);
};
function findInArray(array2, callback) {
  for (var i = 0, length_1 = array2.length; i < length_1; i++) {
    if (callback.apply(callback, [array2[i], i, array2]))
      return array2[i];
  }
}
function isFunction(func) {
  return typeof func === "function" || Object.prototype.toString.call(func) === "[object Function]";
}
function isNum(num) {
  return !isNaN(num);
}
function _int(a) {
  return parseInt(a, 10);
}
var prefixes = ["Moz", "Webkit", "O", "ms"];
function getPrefix(prop) {
  var _a2, _b;
  if (prop === void 0) {
    prop = "transform";
  }
  if (typeof window === "undefined")
    return "";
  var style = (_b = (_a2 = window.document) === null || _a2 === void 0 ? void 0 : _a2.documentElement) === null || _b === void 0 ? void 0 : _b.style;
  if (!style)
    return "";
  if (prop in style)
    return "";
  for (var i = 0; i < prefixes.length; i++) {
    if (browserPrefixToKey(prop, prefixes[i]) in style)
      return prefixes[i];
  }
  return "";
}
function browserPrefixToKey(prop, prefix) {
  return prefix ? "" + prefix + kebabToTitleCase(prop) : prop;
}
function kebabToTitleCase(str) {
  var out = "";
  var shouldCapitalize = true;
  for (var i = 0; i < str.length; i++) {
    if (shouldCapitalize) {
      out += str[i].toUpperCase();
      shouldCapitalize = false;
    } else if (str[i] === "-") {
      shouldCapitalize = true;
    } else {
      out += str[i];
    }
  }
  return out;
}
var browserPrefix = getPrefix();
var matchesSelectorFunc = "";
function matchesSelector(el, selector2) {
  if (!matchesSelectorFunc) {
    matchesSelectorFunc = findInArray(["matches", "webkitMatchesSelector", "mozMatchesSelector", "msMatchesSelector", "oMatchesSelector"], function(method) {
      return isFunction(el[method]);
    });
  }
  if (!isFunction(el[matchesSelectorFunc]))
    return false;
  return el[matchesSelectorFunc](selector2);
}
function matchesSelectorAndParentsTo(el, selector2, baseNode) {
  var node = el;
  do {
    if (matchesSelector(node, selector2))
      return true;
    if (node === baseNode)
      return false;
    node = node.parentNode;
  } while (node);
  return false;
}
function addEvent(el, event, handler, inputOptions) {
  if (!el)
    return;
  var options = __assign({
    capture: true
  }, inputOptions);
  if (el.addEventListener) {
    el.addEventListener(event, handler, options);
  } else {
    el["on" + event] = handler;
  }
}
function removeEvent(el, event, handler, inputOptions) {
  if (!el)
    return;
  var options = __assign({
    capture: true
  }, inputOptions);
  if (el.removeEventListener) {
    el.removeEventListener(event, handler, options);
  } else {
    el["on" + event] = null;
  }
}
function outerHeight(node) {
  var _a2;
  var height = node.clientHeight;
  var computedStyle = (_a2 = node.ownerDocument.defaultView) === null || _a2 === void 0 ? void 0 : _a2.getComputedStyle(node);
  height += _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.borderTopWidth);
  height += _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.borderBottomWidth);
  return height;
}
function outerWidth(node) {
  var _a2;
  var width = node.clientWidth;
  var computedStyle = (_a2 = node.ownerDocument.defaultView) === null || _a2 === void 0 ? void 0 : _a2.getComputedStyle(node);
  width += _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.borderLeftWidth);
  width += _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.borderRightWidth);
  return width;
}
function getTouch(e, identifier) {
  return e.targetTouches && findInArray(e.targetTouches, function(t2) {
    return identifier === t2.identifier;
  }) || e.changedTouches && findInArray(e.changedTouches, function(t2) {
    return identifier === t2.identifier;
  });
}
function getTouchIdentifier(e) {
  if (e.targetTouches && e.targetTouches[0])
    return e.targetTouches[0].identifier;
  if (e.changedTouches && e.changedTouches[0])
    return e.changedTouches[0].identifier;
}
function innerHeight(node) {
  var _a2;
  var height = node.clientHeight;
  var computedStyle = (_a2 = node.ownerDocument.defaultView) === null || _a2 === void 0 ? void 0 : _a2.getComputedStyle(node);
  height -= _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.paddingTop);
  height -= _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.paddingBottom);
  return height;
}
function innerWidth(node) {
  var _a2;
  var width = node.clientWidth;
  var computedStyle = (_a2 = node.ownerDocument.defaultView) === null || _a2 === void 0 ? void 0 : _a2.getComputedStyle(node);
  width -= _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.paddingLeft);
  width -= _int(computedStyle === null || computedStyle === void 0 ? void 0 : computedStyle.paddingRight);
  return width;
}
function offsetXYFromParent(evt, offsetParent, scale) {
  var isBody = offsetParent === offsetParent.ownerDocument.body;
  var offsetParentRect = isBody ? {
    left: 0,
    top: 0
  } : offsetParent.getBoundingClientRect();
  var x = (evt.clientX + offsetParent.scrollLeft - offsetParentRect.left) / scale;
  var y = (evt.clientY + offsetParent.scrollTop - offsetParentRect.top) / scale;
  return {
    x,
    y
  };
}
function createCSSTransform(controlPos, positionOffset) {
  var _a2;
  var translation = getTranslation(controlPos, "px", positionOffset);
  return _a2 = {}, _a2[browserPrefixToKey("transform", browserPrefix)] = translation, _a2;
}
function createSVGTransform(controlPos, positionOffset) {
  return getTranslation(controlPos, "", positionOffset);
}
function getTranslation(_a2, unitSuffix, positionOffset) {
  var x = _a2.x, y = _a2.y;
  if (unitSuffix === void 0) {
    unitSuffix = "px";
  }
  var translation = "translate(" + Math.round(x) + unitSuffix + "," + Math.round(y) + unitSuffix + ")";
  if (positionOffset) {
    var defaultX = "" + (typeof positionOffset.x === "string" ? positionOffset.x : Math.round(positionOffset.x) + unitSuffix);
    var defaultY = "" + (typeof positionOffset.y === "string" ? positionOffset.y : Math.round(positionOffset.y) + unitSuffix);
    translation = "translate(" + defaultX + ", " + defaultY + ")" + translation;
  }
  return translation;
}
function addUserSelectStyles(doc) {
  if (!doc)
    return;
  var styleEl = doc.getElementById("revue-draggable-style-el");
  if (!styleEl) {
    var el = doc.createElement("style");
    el.type = "text/css";
    el.id = "revue-draggable-style-el";
    el.innerHTML = ".revue-draggable-transparent-selection *::-moz-selection {all: inherit;}\n";
    el.innerHTML += ".revue-draggable-transparent-selection *::selection {all: inherit;}\n";
    doc.getElementsByTagName("head")[0].appendChild(el);
  }
  if (doc.body)
    addClassName(doc.body, "revue-draggable-transparent-selection");
}
function removeUserSelectStyles(doc) {
  if (!doc)
    return;
  try {
    if (doc.body)
      removeClassName(doc.body, "revue-draggable-transparent-selection");
    var selection2 = (doc.defaultView || window).getSelection();
    if (selection2 && selection2.type !== "Caret") {
      selection2.removeAllRanges();
    }
  } catch (e) {
  }
}
function addClassName(el, className) {
  if (el.classList) {
    el.classList.add(className);
  } else {
    if (!el.className.match(new RegExp("(?:^|\\s)" + className + "(?!\\S)"))) {
      el.className += " " + className;
    }
  }
}
function removeClassName(el, className) {
  if (el.classList) {
    el.classList.remove(className);
  } else {
    el.className = el.className.replace(new RegExp("(?:^|\\s)" + className + "(?!\\S)", "g"), "");
  }
}
function getBoundPosition(_a2) {
  var bounds = _a2.bounds, x = _a2.x, y = _a2.y, node = _a2.node;
  if (!bounds)
    return [x, y];
  bounds = typeof bounds === "string" ? bounds : cloneBounds(bounds);
  if (typeof bounds === "string") {
    var ownerDocument = node.ownerDocument;
    var ownerWindow = ownerDocument.defaultView;
    var boundNode = bounds === "parent" ? node.parentNode : ownerDocument.querySelector(bounds);
    if (!(ownerWindow && boundNode instanceof ownerWindow.HTMLElement)) {
      throw new Error('Bounds selector "' + bounds + '" could not find an element.');
    }
    var nodeStyle = ownerWindow.getComputedStyle(node);
    var boundNodeStyle = ownerWindow.getComputedStyle(boundNode);
    bounds = {
      left: -(node.offsetLeft - boundNode.offsetLeft) + _int(boundNodeStyle.paddingLeft) + _int(nodeStyle.marginLeft),
      top: -(node.offsetTop - boundNode.offsetTop) + _int(boundNodeStyle.paddingTop) + _int(nodeStyle.marginTop),
      right: innerWidth(boundNode) - outerWidth(node) - node.offsetLeft + _int(boundNodeStyle.paddingRight) - _int(nodeStyle.marginRight),
      bottom: innerHeight(boundNode) - outerHeight(node) - node.offsetTop + _int(boundNodeStyle.paddingBottom) - _int(nodeStyle.marginBottom)
    };
  }
  if (isNum(bounds.right))
    x = Math.min(x, bounds.right);
  if (isNum(bounds.bottom))
    y = Math.min(y, bounds.bottom);
  if (isNum(bounds.left))
    x = Math.max(x, bounds.left);
  if (isNum(bounds.top))
    y = Math.max(y, bounds.top);
  return [x, y];
}
function snapToGrid(grid, pendingX, pendingY) {
  var x = Math.round(pendingX / grid[0]) * grid[0];
  var y = Math.round(pendingY / grid[1]) * grid[1];
  return [x, y];
}
function canDragX(axis) {
  return axis === "both" || axis === "x";
}
function canDragY(axis) {
  return axis === "both" || axis === "y";
}
function getControlPosition(_a2) {
  var e = _a2.e, touch = _a2.touch, node = _a2.node, offsetContainer = _a2.offsetContainer, scale = _a2.scale;
  var touchObj = typeof touch === "number" ? getTouch(e, touch) : null;
  if (typeof touch === "number" && !touchObj)
    return null;
  var offsetParent = offsetContainer || node.offsetParent || node.ownerDocument.body;
  return offsetXYFromParent(touchObj || e, offsetParent, scale);
}
function createCoreData(_a2) {
  var node = _a2.node, x = _a2.x, y = _a2.y, lastX = _a2.lastX, lastY = _a2.lastY;
  var isStart = isNaN(lastX);
  if (isStart) {
    return {
      node,
      deltaX: 0,
      deltaY: 0,
      lastX: x,
      lastY: y,
      x,
      y
    };
  } else {
    return {
      node,
      deltaX: x - lastX,
      deltaY: y - lastY,
      lastX,
      lastY,
      x,
      y
    };
  }
}
function createDraggableData(_a2) {
  var scale = _a2.scale, x = _a2.x, y = _a2.y, data = _a2.data;
  return {
    node: data.node,
    x: x + data.deltaX / scale,
    y: y + data.deltaY / scale,
    deltaX: data.deltaX / scale,
    deltaY: data.deltaY / scale,
    lastX: x,
    lastY: y
  };
}
function cloneBounds(bounds) {
  return {
    left: bounds.left,
    top: bounds.top,
    right: bounds.right,
    bottom: bounds.bottom
  };
}
function log() {
  var args = [];
  for (var _i = 0; _i < arguments.length; _i++) {
    args[_i] = arguments[_i];
  }
  if (typeof process !== "undefined" && {}.DRAGGABLE_DEBUG)
    console.log.apply(console, args);
}
var eventsFor = {
  touch: {
    start: "touchstart",
    move: "touchmove",
    stop: "touchend"
  },
  mouse: {
    start: "mousedown",
    move: "mousemove",
    stop: "mouseup"
  }
};
var dragEventFor = eventsFor.mouse;
var useDraggableCore = function useDraggableCore2(target, options) {
  var initState = function initState2(initialState2) {
    return Object.assign({
      enableUserSelectHack: true,
      allowAnyClick: true,
      disabled: false,
      offsetParent: void 0,
      grid: void 0,
      handle: "",
      cancel: "",
      dragged: false,
      update: true,
      scale: 1,
      dragging: false,
      touch: 0,
      start: function start2() {
      },
      move: function move() {
      },
      stop: function stop() {
      },
      mouseDown: function mouseDown() {
      },
      position: void 0
    }, initialState2);
  };
  var pos = ref([NaN, NaN]);
  var node = ref();
  var state = ref(initState(options));
  var onDragStartHook = createEventHook(), onDragHook = createEventHook(), onDragStopHook = createEventHook();
  tryOnMounted(function() {
    watch(function() {
      return get(state);
    }, function(val) {
      if (val.position && !val.dragging) {
        pos.value[0] = NaN;
        pos.value[1] = NaN;
      }
    });
  });
  var handleDragStart = function handleDragStart2(e) {
    var _a2, _b;
    if (!get(state).allowAnyClick && e.button !== 0)
      return false;
    if (!get(node) || !get(node).ownerDocument || !get(node).ownerDocument.body) {
      throw new Error("No ref element found on DragStart!");
    }
    var ownerDocument = get(node).ownerDocument;
    if (get(state).disabled || !(ownerDocument.defaultView && e.target instanceof ownerDocument.defaultView.Node) || get(state).handle && !matchesSelectorAndParentsTo(e.target, get(state).handle, get(node)) || get(state).cancel && matchesSelectorAndParentsTo(e.target, get(state).cancel, get(node))) {
      return;
    }
    var isTouch = e.type === "touchstart";
    if (isTouch)
      e.preventDefault();
    get(state).touch = getTouchIdentifier(e);
    var position = getControlPosition({
      e,
      touch: get(state).touch,
      node: get(node),
      offsetContainer: get(state).offsetParent,
      scale: get(state).scale
    });
    if (position == null)
      return;
    var x = position.x, y = position.y;
    var coreEvent = createCoreData({
      node: get(node),
      x,
      y,
      lastX: pos.value[0],
      lastY: pos.value[1]
    });
    log("DraggableCore: handleDragStart: %j", coreEvent);
    var shouldUpdate = (_b = (_a2 = get(state)).start) === null || _b === void 0 ? void 0 : _b.call(_a2, e, coreEvent);
    onDragStartHook.trigger({
      event: e,
      data: coreEvent
    });
    if ((shouldUpdate || get(state).update) === false)
      return false;
    if (get(state).enableUserSelectHack)
      addUserSelectStyles(ownerDocument);
    get(state).dragging = true;
    pos.value[0] = x;
    pos.value[1] = y;
    addEvent(ownerDocument, dragEventFor.move, handleDrag);
    addEvent(ownerDocument, dragEventFor.stop, handleDragStop);
  };
  var handleDrag = function handleDrag2(e) {
    var _a2;
    var _b, _c;
    if (get(node)) {
      var position = getControlPosition({
        e,
        touch: get(state).touch,
        node: get(node),
        offsetContainer: get(state).offsetParent,
        scale: get(state).scale
      });
      if (position == null)
        return;
      var x = position.x, y = position.y;
      if (Array.isArray(get(state).grid)) {
        var deltaX = x - pos.value[0], deltaY = y - pos.value[1];
        _a2 = snapToGrid(get(state).grid, deltaX, deltaY), deltaX = _a2[0], deltaY = _a2[1];
        if (!deltaX && !deltaY)
          return;
        x = pos.value[0] + deltaX;
        y = pos.value[1] + deltaY;
      }
      var coreEvent = createCoreData({
        node: get(node),
        x,
        y,
        lastX: pos.value[0],
        lastY: pos.value[1]
      });
      log("DraggableCore: handleDrag: %j", coreEvent);
      var shouldUpdate = (_c = (_b = get(state)).move) === null || _c === void 0 ? void 0 : _c.call(_b, e, coreEvent);
      onDragHook.trigger({
        event: e,
        data: coreEvent
      });
      if ((shouldUpdate || get(state).update) === false) {
        try {
          handleDragStop(new MouseEvent("mouseup"));
        } catch (err) {
          var event_1 = document.createEvent("MouseEvents");
          event_1.initMouseEvent("mouseup", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
          handleDragStop(event_1);
        }
        return;
      }
      pos.value[0] = x;
      pos.value[1] = y;
    }
  };
  var handleDragStop = function handleDragStop2(e) {
    var _a2, _b;
    if (!get(state).dragging)
      return;
    if (get(node)) {
      var position = getControlPosition({
        e,
        touch: get(state).touch,
        node: get(node),
        offsetContainer: get(state).offsetParent,
        scale: get(state).scale
      });
      if (position == null)
        return;
      var x = position.x, y = position.y;
      var coreEvent = createCoreData({
        node: get(node),
        x,
        y,
        lastX: pos.value[0],
        lastY: pos.value[1]
      });
      var shouldUpdate = (_b = (_a2 = get(state)).stop) === null || _b === void 0 ? void 0 : _b.call(_a2, e, coreEvent);
      onDragStopHook.trigger({
        event: e,
        data: coreEvent
      });
      if ((shouldUpdate || get(state).update) === false)
        return false;
      if (get(state).enableUserSelectHack)
        removeUserSelectStyles(get(node).ownerDocument);
      log("DraggableCore: handleDragStop: %j", coreEvent);
      get(state).dragging = false;
      log("DraggableCore: Removing handlers");
      removeEvent(get(node).ownerDocument, dragEventFor.move, handleDrag);
      removeEvent(get(node).ownerDocument, dragEventFor.stop, handleDragStop2);
    }
  };
  var onMouseDown = function onMouseDown2(e) {
    var _a2, _b;
    dragEventFor = eventsFor.mouse;
    (_b = (_a2 = get(state)).mouseDown) === null || _b === void 0 ? void 0 : _b.call(_a2, e);
    if (e.which == 3)
      return;
    return handleDragStart(e);
  };
  var onMouseUp = function onMouseUp2(e) {
    dragEventFor = eventsFor.mouse;
    return handleDragStop(e);
  };
  var onTouchStart = function onTouchStart2(e) {
    dragEventFor = eventsFor.touch;
    return handleDragStart(e);
  };
  var onTouchEnd = function onTouchEnd2(e) {
    dragEventFor = eventsFor.touch;
    return handleDragStop(e);
  };
  var initialized = ref(false);
  var init2 = function init3() {
    if (get(node) && !get(initialized)) {
      initialized.value = true;
      useEventListener(get(node), eventsFor.touch.start, onTouchStart, {
        passive: false
      });
      useEventListener(get(node), eventsFor.touch.stop, onTouchEnd);
      useEventListener(get(node), eventsFor.mouse.start, onMouseDown);
      useEventListener(get(node), eventsFor.mouse.stop, onMouseUp);
    }
  };
  tryOnMounted(function() {
    node = unrefElement(target);
    if (!node) {
      console.error("You are trying to use <DraggableCore> without passing a valid node reference. Canceling initialization.");
      return;
    }
    init2();
  });
  return {
    state,
    onDragStart: onDragStartHook.on,
    onDrag: onDragHook.on,
    onDragStop: onDragStopHook.on
  };
};
var useDraggable = function useDraggable2(target, options) {
  var initState = function initState2(initialState2) {
    return Object.assign({
      allowAnyClick: false,
      cancel: "",
      handle: "",
      disabled: false,
      enableUserSelectHack: true,
      enableTransformFix: false,
      offsetParent: void 0,
      grid: void 0,
      start: function start2() {
      },
      move: function move() {
      },
      stop: function stop() {
      },
      mouseDown: function mouseDown() {
      },
      position: void 0,
      positionOffset: void 0,
      scale: 1,
      axis: "both",
      defaultClassNameDragging: "revue-draggable-dragging",
      defaultClassNameDragged: "revue-draggable-dragged",
      defaultClassName: "revue-draggable",
      defaultPosition: {
        x: 0,
        y: 0
      },
      bounds: false,
      dragging: false,
      dragged: false,
      prevPropsPosition: {
        x: 0,
        y: 0
      },
      isElementSVG: false,
      update: true
    }, initialState2);
  };
  var node = ref();
  var xPos = ref(NaN);
  var yPos = ref(NaN);
  var state = ref(initState(options));
  var onDragStartHook = createEventHook(), onDragHook = createEventHook(), onDragStopHook = createEventHook(), onTransformedHook = createEventHook();
  var onDragStart = function onDragStart2(e, data) {
    var _a3, _b;
    log("Draggable: onDragStart: %j", data);
    var uiData = createDraggableData({
      data,
      x: xPos.value,
      y: yPos.value,
      scale: get(state).scale
    });
    var shouldUpdate = (_b = (_a3 = get(state)).start) === null || _b === void 0 ? void 0 : _b.call(_a3, e, uiData);
    onDragStartHook.trigger({
      event: e,
      data: uiData
    });
    if ((shouldUpdate || get(state).update) === false)
      return false;
    get(state).dragging = true;
    get(state).dragged = true;
  };
  var onDrag = function onDrag2(e, data) {
    var _a3, _b;
    if (!get(state).dragging)
      return false;
    log("Draggable: onDrag: %j", data);
    var uiData = createDraggableData({
      data,
      x: xPos.value,
      y: yPos.value,
      scale: get(state).scale
    });
    var newState = {
      x: uiData.x,
      y: uiData.y
    };
    if (get(state).bounds) {
      var _c = getBoundPosition({
        bounds: get(state).bounds,
        x: newState.x,
        y: newState.y,
        node: data.node
      }), boundX = _c[0], boundY = _c[1];
      newState.x = boundX;
      newState.y = boundY;
      uiData.x = newState.x;
      uiData.y = newState.y;
      uiData.deltaX = newState.x - xPos.value;
      uiData.deltaY = newState.y - yPos.value;
    }
    var shouldUpdate = (_b = (_a3 = get(state)).move) === null || _b === void 0 ? void 0 : _b.call(_a3, e, uiData);
    onDragHook.trigger({
      event: e,
      data: uiData
    });
    if ((shouldUpdate || get(state).update) === false)
      return false;
    xPos.value = newState.x;
    yPos.value = newState.y;
    transform();
  };
  var onDragStop = function onDragStop2(e, data) {
    var _a3, _b;
    if (!get(state).dragging)
      return false;
    var uiData = createDraggableData({
      scale: get(state).scale,
      x: xPos.value,
      y: yPos.value,
      data
    });
    var shouldUpdate = (_b = (_a3 = get(state)).stop) === null || _b === void 0 ? void 0 : _b.call(_a3, e, uiData);
    onDragStopHook.trigger({
      event: e,
      data: uiData
    });
    if ((shouldUpdate || get(state).update) === false)
      return false;
    log("Draggable: onDragStop: %j", data);
    if (get(state).enableTransformFix)
      applyTransformFix();
    get(state).dragging = false;
  };
  var applyTransformFix = function applyTransformFix2() {
    var _a3, _b;
    var target2 = get(node);
    if (!target2)
      return;
    target2.style.transform = "";
    target2.style.left = "";
    target2.style.top = "";
    target2.style.position = "relative";
    var _c = transformOpts.value, x = _c.x, y = _c.y;
    target2.style.left = Math.round(parseInt((_a3 = get(state).positionOffset) === null || _a3 === void 0 ? void 0 : _a3.x) || 0) + Math.round(Number(x)) + "px";
    target2.style.top = Math.round(parseInt((_b = get(state).positionOffset) === null || _b === void 0 ? void 0 : _b.y) || 0) + Math.round(Number(y)) + "px";
  };
  var removeTransformFix = function removeTransformFix2() {
    var target2 = get(node);
    if (!target2)
      return;
    target2.style.transform = "";
    target2.style.position = "";
    target2.style.left = "";
    target2.style.top = "";
  };
  var canDrag = computed(function() {
    return Boolean(get(state).position) || get(state).dragging;
  });
  var validPosition = computed(function() {
    return get(state).position || get(state).defaultPosition;
  });
  var transformOpts = computed(function() {
    return {
      x: canDragX(get(state).axis) && canDrag.value ? xPos.value : validPosition.value.x,
      y: canDragY(get(state).axis) && canDrag.value ? yPos.value : validPosition.value.y
    };
  });
  var transform = function transform2() {
    if (!get(node) || get(state).update === false)
      return;
    if (get(state).enableTransformFix)
      removeTransformFix();
    var offset = get(state).positionOffset;
    var isSvg = get(state).isElementSVG;
    var styles = !isSvg && createCSSTransform(transformOpts.value, offset) || false;
    var svgTransform = isSvg && createSVGTransform(transformOpts.value, offset) || false;
    if (typeof svgTransform === "string")
      get(node).setAttribute("transform", svgTransform);
    if (styles) {
      for (var _i = 0, _a3 = Object.keys(styles); _i < _a3.length; _i++) {
        var style = _a3[_i];
        if (style === "transform")
          styles[style] += ("" + get(node).style[style]).replace(/translate\((-?\d+?px,? ?)+\)+/gm, "").trim();
        get(node).style[style] = styles[style];
      }
    }
    var transformedData = {
      el: get(node),
      style: styles,
      transform: svgTransform,
      classes: classes.value
    };
    onTransformedHook.trigger(transformedData);
  };
  var classes = computed(function() {
    var _a3;
    return _a3 = {}, _a3[get(state).defaultClassName] = !get(state).disabled, _a3[get(state).defaultClassNameDragging] = get(state).dragging, _a3[get(state).defaultClassNameDragged] = get(state).dragged, _a3;
  });
  watch(classes, function() {
    return addClasses();
  });
  var addClasses = function addClasses2() {
    return Object.keys(classes.value).forEach(function(cl) {
      classes.value[cl] ? get(node).classList.toggle(cl, true) : get(node).classList.toggle(cl, false);
    });
  };
  var _a2 = useDraggableCore(target, options), coreStart = _a2.onDragStart, coreDrag = _a2.onDrag, coreStop = _a2.onDragStop, coreState = _a2.state;
  coreDrag(function(_a3) {
    var event = _a3.event, data = _a3.data;
    return onDrag(event, data);
  });
  coreStart(function(_a3) {
    var event = _a3.event, data = _a3.data;
    return onDragStart(event, data);
  });
  coreStop(function(_a3) {
    var event = _a3.event, data = _a3.data;
    return onDragStop(event, data);
  });
  var onUpdated3 = function onUpdated4() {
    var pos = get(state).position;
    log("Draggable: Updated %j", {
      position: get(state).prevPropsPosition,
      prevPropsPosition: get(state).prevPropsPosition
    });
    if (pos) {
      xPos.value = pos.x;
      yPos.value = pos.y;
      get(state).prevPropsPosition = __assign({}, pos);
    }
    if (get(state).enableTransformFix)
      applyTransformFix();
    else
      transform();
  };
  tryOnUnmounted(function() {
    get(state).dragging = false;
  });
  tryOnMounted(function() {
    node = unrefElement(target);
    if (!node) {
      console.error("You are trying to use <Draggable> without passing a valid target reference.");
      return;
    }
    var x = 0;
    var y = 0;
    var pos = get(state).position;
    var defaultPos = get(state).defaultPosition;
    var stylePos = get(node).style;
    if (pos && typeof pos.x !== "undefined")
      x = pos.x;
    else if (defaultPos && typeof defaultPos.x !== "undefined")
      x = defaultPos.x;
    else if (stylePos.top)
      x = parseInt(stylePos.top, 10);
    if (pos && typeof pos.y !== "undefined")
      y = pos.y;
    else if (defaultPos && typeof defaultPos.y !== "undefined")
      y = defaultPos.y;
    else if (stylePos.left)
      y = parseInt(stylePos.left, 10);
    xPos.value = x;
    yPos.value = y;
    addClasses();
    onUpdated3();
    watch(function() {
      return state;
    }, function(val) {
      coreState.value = __assign(__assign({}, coreState.value), val);
      onUpdated3();
    });
  });
  return {
    state,
    onDragStart: onDragStartHook.on,
    onDrag: onDragHook.on,
    onDragStop: onDragStopHook.on,
    onTransformed: onTransformedHook.on
  };
};
var _a;
var onMounted = function onMounted2(el, binding) {
  var _a2;
  var instance = getCurrentInstance();
  var emit = (_a2 = instance === null || instance === void 0 ? void 0 : instance.emit) !== null && _a2 !== void 0 ? _a2 : function(arg, data) {
    var event = new CustomEvent(arg, {
      detail: data
    });
    el.dispatchEvent(event);
  };
  if (binding.arg === "core") {
    var _b = useDraggableCore(el, binding.value), onDrag = _b.onDrag, onDragStop = _b.onDragStop, onDragStart = _b.onDragStart, state = _b.state;
    onDrag(function(dragEvent) {
      emit("move", dragEvent);
    });
    onDragStart(function(dragStartEvent) {
      emit("start", dragStartEvent);
    });
    onDragStop(function(dragStopEvent) {
      emit("stop", dragStopEvent);
    });
    el["revue-draggable"] = state;
  } else {
    var _c = useDraggable(el, binding.value), onDrag = _c.onDrag, onDragStop = _c.onDragStop, onDragStart = _c.onDragStart, onTransformed = _c.onTransformed, state = _c.state;
    onDrag(function(dragEvent) {
      emit("move", dragEvent);
    });
    onDragStart(function(dragStartEvent) {
      emit("start", dragStartEvent);
    });
    onDragStop(function(dragStopEvent) {
      emit("stop", dragStopEvent);
    });
    onTransformed(function(transformEvent) {
      emit("transformed", transformEvent);
    });
    el["revue-draggable"] = state;
  }
};
var onUpdated = function onUpdated2(el, binding) {
  var element = el;
  if (typeof element["revue-draggable"] !== "undefined" && binding.value) {
    if (JSON.stringify(binding.value) !== JSON.stringify(binding.oldValue)) {
      var state = element["revue-draggable"];
      state.value = __assign(__assign({}, state.value), binding.value);
    }
  }
};
_a = {}, _a["mounted"] = onMounted, _a["beforeUpdate"] = onUpdated, _a;
var Draggable = defineComponent({
  name: "Draggable",
  props: {
    axis: {
      type: String,
      "default": "both"
    },
    bounds: {
      type: [Object, String, Boolean],
      "default": false
    },
    defaultClassName: {
      type: String,
      "default": "revue-draggable"
    },
    defaultClassNameDragging: {
      type: String,
      "default": "revue-draggable-dragging"
    },
    defaultClassNameDragged: {
      type: String,
      "default": "revue-draggable-dragged"
    },
    defaultPosition: {
      type: Object,
      "default": function _default() {
        return {
          x: 0,
          y: 0
        };
      }
    },
    scale: {
      type: Number,
      "default": 1
    },
    position: {
      type: Object,
      "default": void 0
    },
    positionOffset: {
      type: Object,
      "default": void 0
    },
    allowAnyClick: {
      type: Boolean,
      "default": true
    },
    disabled: {
      type: Boolean,
      "default": false
    },
    enableUserSelectHack: {
      type: Boolean,
      "default": true
    },
    enableTransformFix: {
      type: [Boolean, Object],
      "default": false
    },
    cancel: {
      type: String,
      "default": void 0
    },
    offsetParent: {
      type: Object,
      "default": function _default2() {
      }
    },
    grid: {
      type: Array,
      "default": void 0
    },
    handle: {
      type: String,
      "default": void 0
    },
    update: {
      type: Boolean,
      "default": true
    },
    start: {
      type: Function,
      "default": function _default3() {
      }
    },
    move: {
      type: Function,
      "default": function _default4() {
      }
    },
    stop: {
      type: Function,
      "default": function _default5() {
      }
    },
    mouseDown: {
      type: Function,
      "default": function _default6() {
      }
    }
  },
  emits: ["move", "start", "stop", "transformed"],
  setup: function setup(props, _a2) {
    var slots = _a2.slots, emit = _a2.emit, attrs = _a2.attrs;
    var target = templateRef("target", null);
    var _b = useDraggable(target, props), onDrag = _b.onDrag, onDragStart = _b.onDragStart, onDragStop = _b.onDragStop, onTransformed = _b.onTransformed, state = _b.state;
    onDrag(function(dragEvent) {
      return emit("move", dragEvent);
    });
    onDragStart(function(dragStartEvent) {
      return emit("start", dragStartEvent);
    });
    onDragStop(function(dragStopEvent) {
      return emit("stop", dragStopEvent);
    });
    onTransformed(function(transformEvent) {
      return emit("transformed", transformEvent);
    });
    onUpdated$1(function() {
      return state.value = __assign(__assign({}, state.value), props);
    });
    {
      return function() {
        if (slots["default"]) {
          return h(slots["default"]({
            state
          })[0], __assign({
            ref: "target"
          }, attrs), {});
        }
      };
    }
  }
});
var DraggableCore = defineComponent({
  name: "DraggableCore",
  props: {
    scale: {
      type: Number,
      "default": 1
    },
    allowAnyClick: {
      type: Boolean,
      "default": true
    },
    disabled: {
      type: Boolean,
      "default": false
    },
    enableUserSelectHack: {
      type: Boolean,
      "default": true
    },
    cancel: {
      type: String,
      "default": void 0
    },
    offsetParent: {
      type: Object,
      "default": void 0
    },
    grid: {
      type: Array,
      "default": void 0
    },
    handle: {
      type: String,
      "default": void 0
    },
    onStart: {
      type: Function,
      "default": function _default7() {
      }
    },
    onMove: {
      type: Function,
      "default": function _default8() {
      }
    },
    onStop: {
      type: Function,
      "default": function _default9() {
      }
    },
    onMouseDown: {
      type: Function,
      "default": function _default10() {
      }
    }
  },
  emits: ["start", "move", "stop"],
  setup: function setup2(props, _a2) {
    var slots = _a2.slots, emit = _a2.emit, attrs = _a2.attrs;
    var target = templateRef("core-target", null);
    var _b = useDraggableCore(target, props), onDrag = _b.onDrag, onDragStart = _b.onDragStart, onDragStop = _b.onDragStop, state = _b.state;
    onDrag(function(dragEvent) {
      return emit("move", dragEvent);
    });
    onDragStart(function(dragStartEvent) {
      return emit("start", dragStartEvent);
    });
    onDragStop(function(dragStopEvent) {
      return emit("stop", dragStopEvent);
    });
    onUpdated$1(function() {
      return state.value = __assign(__assign({}, state.value), props);
    });
    {
      return function() {
        if (slots["default"]) {
          return h(slots["default"]()[0], __assign({
            ref: "core-target"
          }, attrs), {});
        }
      };
    }
  }
});
const _sfc_main$g = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const store = useStore();
    const selectedNodes = store.selectedElements ? store.selectedElements.filter(isNode).map((selectedNode) => {
      var _a2;
      const matchingNode = store.nodes.find((node) => node.id === selectedNode.id);
      return __spreadProps(__spreadValues({}, matchingNode), {
        position: (_a2 = matchingNode == null ? void 0 : matchingNode.__rf) == null ? void 0 : _a2.position
      });
    }) : [];
    const selectedNodesBBox = getRectOfNodes(selectedNodes);
    const innerStyle = {
      width: `${selectedNodesBBox.width}px`,
      height: `${selectedNodesBBox.height}px`,
      top: `${selectedNodesBBox.y}px`,
      left: `${selectedNodesBBox.x}px`
    };
    const onStart = ({ event }) => {
      const nodes = selectedNodes;
      store.hooks.selectionDragStart.trigger({ event, nodes });
    };
    const onDrag = ({ event, data }) => {
      const nodes = selectedNodes;
      store.hooks.selectionDrag.trigger({ event, nodes });
      store.updateNodePosDiff({
        diff: {
          x: data.deltaX,
          y: data.deltaY
        },
        isDragging: true
      });
    };
    const onStop = ({ event }) => {
      const nodes = selectedNodes;
      store.hooks.selectionDragStop.trigger({ event, nodes });
      store.updateNodePosDiff({
        isDragging: false
      });
    };
    const onContextMenu = (event) => {
      const nodes = selectedNodes;
      store.hooks.selectionContextMenu.trigger({ event, nodes });
    };
    const transform = computed(() => store.transform);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: "vue-flow__nodesselection",
        style: normalizeStyle({
          transform: `translate(${unref(transform)[0]}px,${unref(transform)[1]}px) scale(${unref(transform)[2]})`
        })
      }, [
        createVNode(unref(Draggable), {
          onStart,
          onMove: onDrag,
          onStop
        }, {
          default: withCtx(() => [
            createElementVNode("div", {
              class: "vue-flow__nodesselection-rect",
              style: innerStyle,
              onContextmenu: onContextMenu
            }, null, 32)
          ]),
          _: 1
        })
      ], 4);
    };
  }
});
const _sfc_main$f = /* @__PURE__ */ defineComponent({
  props: {
    width: null,
    height: null,
    x: null,
    y: null
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: "vue-flow__selection",
        style: normalizeStyle({
          width: `${props.width}px`,
          height: `${props.height}px`,
          transform: `translate(${props.x}px, ${props.y}px)`
        })
      }, null, 4);
    };
  }
});
function getMousePosition(event) {
  const flowNode = event.target.closest(".vue-flow");
  if (!flowNode)
    return;
  const containerBounds = flowNode.getBoundingClientRect();
  return {
    x: event.clientX - containerBounds.left,
    y: event.clientY - containerBounds.top
  };
}
const _sfc_main$e = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const store = useStore();
    const el = templateRef$1("user-selection", null);
    const onMouseDown = (event) => {
      const mousePos = getMousePosition(event);
      if (!mousePos)
        return;
      store.setUserSelection(mousePos);
    };
    const onMouseMove = (event) => {
      if (!store.selectionActive)
        return;
      const mousePos = getMousePosition(event);
      if (!mousePos)
        return;
      store.updateUserSelection(mousePos);
    };
    const onMouseUp = () => {
      store.unsetUserSelection();
    };
    const onMouseLeave = () => {
      store.unsetUserSelection();
      store.unsetNodesSelection();
    };
    const userSelectionRect = computed(() => store.userSelectionRect);
    useEventListener$1(el, "mousedown", onMouseDown);
    useEventListener$1(el, "mousemove", onMouseMove);
    useEventListener$1(el, "click", onMouseUp);
    useEventListener$1(el, "mouseup", onMouseUp);
    useEventListener$1(el, "mouseleave", onMouseLeave);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        ref: (_value, _refs) => {
          _refs["user-selection"] = _value;
        },
        class: "vue-flow__selectionpane"
      }, [
        unref(userSelectionRect).draw ? (openBlock(), createBlock(_sfc_main$f, {
          key: 0,
          width: unref(userSelectionRect).width,
          height: unref(userSelectionRect).height,
          x: unref(userSelectionRect).x,
          y: unref(userSelectionRect).y
        }, null, 8, ["width", "height", "x", "y"])) : createCommentVNode("", true)
      ], 512);
    };
  }
});
function setup3(__props) {
  const props = __props;
  const store = useStore();
  const onClick = (event) => {
    store.hooks.paneClick.trigger(event);
    store.unsetNodesSelection();
    store.resetSelectedElements();
  };
  const onContextMenu = (event) => store.hooks.paneContextMenu.trigger(event);
  const onWheel = (event) => store.hooks.paneScroll.trigger(event);
  const selectionKeyPresed = ref(false);
  onMounted$1(() => {
    useKeyPress(props.deleteKeyCode, (keyPressed) => {
      if (keyPressed && store.selectedElements) {
        const selectedNodes = store.selectedElements.filter(isNode);
        const connectedEdges = getConnectedEdges(selectedNodes, store.edges);
        const elementsToRemove = [...store.selectedElements, ...connectedEdges].reduce((res, item) => res.set(item.id, item), new Map());
        store.hooks.elementsRemove.trigger(Array.from(elementsToRemove.values()));
        store.unsetNodesSelection();
        store.resetSelectedElements();
      }
    });
    useKeyPress(props.multiSelectionKeyCode, (keyPressed) => store.multiSelectionActive = keyPressed);
    useKeyPress(props.selectionKeyCode, (keyPressed) => selectionKeyPresed.value = keyPressed);
  });
  const userSelection = computed(() => selectionKeyPresed.value && (store.selectionActive || store.elementsSelectable));
  const nodesSelectionActive = computed(() => store.nodesSelectionActive);
  return (_ctx, _cache) => {
    return openBlock(), createElementBlock(Fragment, null, [
      renderSlot(_ctx.$slots, "default"),
      unref(userSelection) ? (openBlock(), createBlock(_sfc_main$e, {
        key: 0,
        id: "user-selection"
      })) : createCommentVNode("", true),
      unref(nodesSelectionActive) ? (openBlock(), createBlock(_sfc_main$g, {
        key: 1,
        id: "nodes-selection"
      })) : createCommentVNode("", true),
      createElementVNode("div", {
        class: "vue-flow__pane",
        onClick,
        onContextmenu: onContextMenu,
        onWheel
      }, null, 32)
    ], 64);
  };
}
const __default__ = {
  inheritAttrs: false
};
const _sfc_main$d = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__), {
  props: {
    selectionKeyCode: { default: "Shift" },
    deleteKeyCode: { default: "Backspace" },
    multiSelectionKeyCode: { default: "Meta" }
  },
  setup: setup3
}));
const _hoisted_1$e = ["data-id"];
const _sfc_main$c = /* @__PURE__ */ defineComponent({
  props: {
    node: null,
    type: null,
    selected: { type: Boolean, default: false },
    selectNodesOnDrag: { type: Boolean, default: true },
    snapGrid: null
  },
  setup(__props) {
    const props = __props;
    const store = useStore();
    provide(NodeId, props.node.id);
    const nodeElement = templateRef$1("node-element", null);
    const selectable = computed(() => typeof props.node.selectable === "undefined" ? store.elementsSelectable : props.node.selectable);
    const draggable = computed(() => typeof props.node.draggable === "undefined" ? store.nodesDraggable : props.node.draggable);
    const connectable = computed(() => typeof props.node.connectable === "undefined" ? store.nodesConnectable : props.node.connectable);
    const scale = computed(() => store.transform[2]);
    const onMouseEnterHandler = () => {
      var _a2;
      return ((_a2 = props.node.__rf) == null ? void 0 : _a2.isDragging) && ((event) => store.hooks.nodeMouseEnter.trigger({ event, node: props.node }));
    };
    const onMouseMoveHandler = () => {
      var _a2;
      return ((_a2 = props.node.__rf) == null ? void 0 : _a2.isDragging) && ((event) => store.hooks.nodeMouseMove.trigger({ event, node: props.node }));
    };
    const onMouseLeaveHandler = () => {
      var _a2;
      return ((_a2 = props.node.__rf) == null ? void 0 : _a2.isDragging) && ((event) => store.hooks.nodeMouseLeave.trigger({ event, node: props.node }));
    };
    const onContextMenuHandler = () => (event) => store.hooks.nodeContextMenu.trigger({ event, node: props.node });
    const onSelectNodeHandler = (event) => {
      if (!draggable.value) {
        const n = props.node;
        if (selectable.value) {
          store.unsetNodesSelection();
          if (!props.selected)
            store.addSelectedElements([n]);
        }
        store.hooks.nodeClick.trigger({ event, node: n });
      }
    };
    const onDragStart = ({ event }) => {
      const n = props.node;
      store.hooks.nodeDragStart.trigger({ event, node: n });
      if (props.selectNodesOnDrag && selectable) {
        store.unsetNodesSelection();
        if (!props.selected)
          store.addSelectedElements([n]);
      } else if (!props.selectNodesOnDrag && !props.selected && selectable.value) {
        store.unsetNodesSelection();
        store.addSelectedElements([]);
      }
    };
    const onDrag = ({ event, data }) => {
      const n = props.node;
      n.position.x += data.deltaX;
      n.position.y += data.deltaY;
      store.hooks.nodeDrag.trigger({ event, node: n });
      store.updateNodePosDiff({
        id: props.node.id,
        diff: {
          x: data.deltaX,
          y: data.deltaY
        },
        isDragging: true
      });
    };
    const onDragStop = ({ event }) => {
      var _a2;
      const n = props.node;
      if (!((_a2 = props.node.__rf) == null ? void 0 : _a2.isDragging)) {
        if (selectable.value && !props.selectNodesOnDrag && !props.selected) {
          store.addSelectedElements([n]);
        }
        store.hooks.nodeClick.trigger({ event, node: n });
        return;
      }
      store.updateNodePosDiff({
        id: n.id,
        isDragging: false
      });
      store.hooks.nodeDragStop.trigger({ event, node: n });
    };
    onMounted$1(() => {
      store.updateNodeDimensions({
        id: props.node.id,
        nodeElement: nodeElement.value,
        forceUpdate: true
      });
      useResizeObserver(nodeElement, (entries) => entries.forEach((entry) => {
        store.updateNodeDimensions({
          id: entry.target.getAttribute("data-id"),
          nodeElement: entry.target
        });
      }));
      watch([() => props.node.type, () => props.node.sourcePosition, () => props.node.targetPosition], () => {
        nextTick(() => {
          store.updateNodeDimensions({
            id: props.node.id,
            nodeElement: nodeElement.value,
            forceUpdate: true
          });
        });
      });
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(DraggableCore), {
        cancel: ".nodrag",
        disabled: !unref(draggable),
        scale: unref(scale),
        grid: props.snapGrid,
        "enable-user-select-hack": false,
        onStart: onDragStart,
        onMove: onDrag,
        onStop: onDragStop
      }, {
        default: withCtx(() => [
          (openBlock(), createBlock(Suspense, null, {
            default: withCtx(() => {
              var _a2, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
              return [
                createElementVNode("div", {
                  ref: (_value, _refs) => {
                    _refs["node-element"] = _value;
                  },
                  class: normalizeClass([
                    "vue-flow__node",
                    `vue-flow__node-${props.node.type}`,
                    {
                      selected: props.selected,
                      selectable: unref(selectable)
                    },
                    props.node.class
                  ]),
                  style: normalizeStyle(__spreadValues({
                    zIndex: props.selected ? 10 : 3,
                    transform: `translate(${(_b = (_a2 = props.node.__rf) == null ? void 0 : _a2.position) == null ? void 0 : _b.x}px,${(_d = (_c = props.node.__rf) == null ? void 0 : _c.position) == null ? void 0 : _d.y}px)`,
                    pointerEvents: unref(selectable) || unref(draggable) ? "all" : "none",
                    opacity: ((_e = props.node.__rf) == null ? void 0 : _e.width) !== null && ((_f = props.node.__rf) == null ? void 0 : _f.height) !== null ? 1 : 0
                  }, props.node.style)),
                  "data-id": props.node.id,
                  onMouseenter: onMouseEnterHandler,
                  onMousemove: onMouseMoveHandler,
                  onMouseleave: onMouseLeaveHandler,
                  onContextmenu: onContextMenuHandler,
                  onClick: onSelectNodeHandler
                }, [
                  renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
                    id: props.node.id,
                    data: props.node.data,
                    type: props.node.type,
                    xPos: (_h = (_g = props.node.__rf) == null ? void 0 : _g.position) == null ? void 0 : _h.x,
                    yPos: (_j = (_i = props.node.__rf) == null ? void 0 : _i.position) == null ? void 0 : _j.y,
                    selected: props.selected,
                    connectable: unref(connectable),
                    sourcePosition: props.node.sourcePosition,
                    targetPosition: props.node.targetPosition,
                    dragging: (_k = props.node.__rf) == null ? void 0 : _k.isDragging
                  })), () => {
                    var _a3, _b2, _c2, _d2, _e2;
                    return [
                      (openBlock(), createBlock(resolveDynamicComponent(props.type), normalizeProps(guardReactiveProps({
                        id: props.node.id,
                        data: props.node.data,
                        type: props.node.type,
                        xPos: (_b2 = (_a3 = props.node.__rf) == null ? void 0 : _a3.position) == null ? void 0 : _b2.x,
                        yPos: (_d2 = (_c2 = props.node.__rf) == null ? void 0 : _c2.position) == null ? void 0 : _d2.y,
                        selected: props.selected,
                        connectable: unref(connectable),
                        sourcePosition: props.node.sourcePosition,
                        targetPosition: props.node.targetPosition,
                        dragging: (_e2 = props.node.__rf) == null ? void 0 : _e2.isDragging
                      })), null, 16))
                    ];
                  })
                ], 46, _hoisted_1$e)
              ];
            }),
            _: 3
          }))
        ]),
        _: 3
      }, 8, ["disabled", "scale", "grid"]);
    };
  }
});
const _sfc_main$b = /* @__PURE__ */ defineComponent({
  props: {
    selectNodesOnDrag: { type: Boolean, default: true }
  },
  setup(__props) {
    const props = __props;
    const store = useStore();
    const transform = computed(() => `translate(${store.transform[0]}px,${store.transform[1]}px) scale(${store.transform[2]})`);
    const snapGrid = computed(() => store.snapToGrid ? store.snapGrid : void 0);
    const type = (node) => {
      const nodeType = node.type || "default";
      const type2 = store.getNodeTypes[nodeType] || store.getNodeTypes.default;
      if (!store.getNodeTypes[nodeType]) {
        console.warn(`Node type "${nodeType}" not found. Using fallback type "default".`);
      }
      return type2;
    };
    const selected = (nodeId) => {
      var _a2;
      return (_a2 = store.selectedElements) == null ? void 0 : _a2.some(({ id: id2 }) => id2 === nodeId);
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: "vue-flow__nodes",
        style: normalizeStyle({ transform: unref(transform) })
      }, [
        (openBlock(), createBlock(Suspense, null, {
          default: withCtx(() => [
            (openBlock(true), createElementBlock(Fragment, null, renderList(unref(store).getNodes, (node) => {
              return openBlock(), createBlock(_sfc_main$c, {
                key: node.id,
                node,
                type: type(node),
                "snap-grid": unref(snapGrid),
                "select-nodes-on-drag": props.selectNodesOnDrag,
                selected: selected(node.id)
              }, {
                default: withCtx((nodeProps) => [
                  renderSlot(_ctx.$slots, `node-${node.type}`, normalizeProps(guardReactiveProps(nodeProps)))
                ]),
                _: 2
              }, 1032, ["node", "type", "snap-grid", "select-nodes-on-drag", "selected"]);
            }), 128))
          ]),
          _: 3
        }))
      ], 4);
    };
  }
});
function getHandlePosition(position, node, handle = null) {
  var _a2, _b, _c, _d, _e, _f;
  const x = ((handle == null ? void 0 : handle.x) || 0) + ((_b = (_a2 = node.__rf) == null ? void 0 : _a2.position) == null ? void 0 : _b.x);
  const y = ((handle == null ? void 0 : handle.y) || 0) + ((_d = (_c = node.__rf) == null ? void 0 : _c.position) == null ? void 0 : _d.y);
  const width = (handle == null ? void 0 : handle.width) || ((_e = node.__rf) == null ? void 0 : _e.width);
  const height = (handle == null ? void 0 : handle.height) || ((_f = node.__rf) == null ? void 0 : _f.height);
  switch (position) {
    case Position.Top:
      return {
        x: x + width / 2,
        y
      };
    case Position.Right:
      return {
        x: x + width,
        y: y + height / 2
      };
    case Position.Bottom:
      return {
        x: x + width / 2,
        y: y + height
      };
    case Position.Left:
      return {
        x,
        y: y + height / 2
      };
  }
}
function getHandle(bounds, handleId) {
  if (!bounds)
    return void 0;
  let handle;
  if (bounds.length === 1 || !handleId) {
    handle = bounds[0];
  } else if (handleId) {
    handle = bounds.find((d) => d.id === handleId);
  }
  return typeof handle === "undefined" ? void 0 : handle;
}
const getEdgePositions = (sourceNode, sourceHandle, sourcePosition, targetNode, targetHandle, targetPosition) => {
  const sourceHandlePos = getHandlePosition(sourcePosition, sourceNode, sourceHandle);
  const targetHandlePos = getHandlePosition(targetPosition, targetNode, targetHandle);
  return {
    sourceX: sourceHandlePos.x,
    sourceY: sourceHandlePos.y,
    targetX: targetHandlePos.x,
    targetY: targetHandlePos.y
  };
};
function isEdgeVisible({ sourcePos, targetPos, width, height, transform }) {
  const edgeBox = {
    x: Math.min(sourcePos.x, targetPos.x),
    y: Math.min(sourcePos.y, targetPos.y),
    x2: Math.max(sourcePos.x, targetPos.x),
    y2: Math.max(sourcePos.y, targetPos.y)
  };
  if (edgeBox.x === edgeBox.x2) {
    edgeBox.x2 += 1;
  }
  if (edgeBox.y === edgeBox.y2) {
    edgeBox.y2 += 1;
  }
  const viewBox = rectToBox({
    x: (0 - transform[0]) / transform[2],
    y: (0 - transform[1]) / transform[2],
    width: width / transform[2],
    height: height / transform[2]
  });
  const xOverlap = Math.max(0, Math.min(viewBox.x2, edgeBox.x2) - Math.max(viewBox.x, edgeBox.x));
  const yOverlap = Math.max(0, Math.min(viewBox.y2, edgeBox.y2) - Math.max(viewBox.y, edgeBox.y));
  const overlappingArea = Math.ceil(xOverlap * yOverlap);
  return overlappingArea > 0;
}
const getSourceTargetNodes = (edge, nodes) => {
  return nodes.reduce((res, node) => {
    if (node.id === edge.source) {
      res.sourceNode = node;
    }
    if (node.id === edge.target) {
      res.targetNode = node;
    }
    return res;
  }, { sourceNode: null, targetNode: null });
};
const _sfc_main$a = /* @__PURE__ */ defineComponent({
  props: {
    type: null,
    edge: null,
    markerEndId: null,
    edgeUpdaterRadius: null
  },
  setup(__props) {
    const props = __props;
    const store = useStore();
    const onEdgeClick = (event) => {
      if (store.elementsSelectable) {
        store.unsetNodesSelection();
        store.addSelectedElements([props.edge]);
      }
      store.hooks.edgeClick.trigger({ event, edge: props.edge });
    };
    const onEdgeContextMenu = (event) => store.hooks.edgeContextMenu.trigger({
      event,
      edge: props.edge
    });
    const onEdgeMouseEnter = (event) => store.hooks.edgeMouseEnter.trigger({ event, edge: props.edge });
    const onEdgeMouseMove = (event) => store.hooks.edgeMouseMove.trigger({ event, edge: props.edge });
    const onEdgeMouseLeave = (event) => store.hooks.edgeMouseLeave.trigger({ event, edge: props.edge });
    const handler = useHandle();
    const handleEdgeUpdater = (event, isSourceHandle) => {
      var _a2;
      const nodeId = isSourceHandle ? props.edge.target : props.edge.source;
      const handleId = (_a2 = isSourceHandle ? props.edge.targetHandle : props.edge.sourceHandle) != null ? _a2 : "";
      const isValidConnection = () => true;
      const isTarget = isSourceHandle;
      store.hooks.edgeUpdateStart.trigger({ event, edge: props.edge });
      handler(event, handleId, nodeId, isTarget, isValidConnection, isSourceHandle ? "target" : "source", (connection) => store.hooks.edgeUpdate.trigger({ edge: props.edge, connection }));
    };
    const onEdgeUpdaterSourceMouseDown = (event) => {
      handleEdgeUpdater(event, true);
    };
    const onEdgeUpdaterTargetMouseDown = (event) => {
      handleEdgeUpdater(event, false);
    };
    const updating = ref(false);
    const onEdgeUpdaterMouseEnter = () => updating.value = true;
    const onEdgeUpdaterMouseOut = () => updating.value = false;
    const isVisible = ({ sourceX, sourceY, targetX, targetY }) => {
      return store.onlyRenderVisibleElements ? isEdgeVisible({
        sourcePos: { x: sourceX, y: sourceY },
        targetPos: { x: targetX, y: targetY },
        width: store.dimensions.width,
        height: store.dimensions.height,
        transform: store.transform
      }) : true;
    };
    const nodes = computed(() => {
      const n = getSourceTargetNodes(props.edge, store.nodes);
      if (!n.sourceNode) {
        console.warn(`couldn't create edge for source id: ${props.edge.source}; edge id: ${props.edge.id}`);
      }
      if (!n.targetNode) {
        console.warn(`couldn't create edge for target id: ${props.edge.target}; edge id: ${props.edge.id}`);
      }
      return n;
    });
    const targetNodeHandles = computed(() => {
      var _a2, _b, _c, _d, _e, _f, _g;
      return store.connectionMode === ConnectionMode.Strict ? (_b = (_a2 = nodes.value.targetNode) == null ? void 0 : _a2.__rf) == null ? void 0 : _b.handleBounds.target : (_g = (_d = (_c = nodes.value.targetNode) == null ? void 0 : _c.__rf) == null ? void 0 : _d.handleBounds.target) != null ? _g : (_f = (_e = nodes.value.targetNode) == null ? void 0 : _e.__rf) == null ? void 0 : _f.handleBounds.source;
    });
    const sourceHandle = computed(() => {
      var _a2, _b;
      if (nodes.value.sourceNode)
        return getHandle((_a2 = nodes.value.sourceNode.__rf) == null ? void 0 : _a2.handleBounds.source, (_b = props.edge.sourceHandle) != null ? _b : null);
      else
        return null;
    });
    const targetHandle = computed(() => {
      var _a2;
      return getHandle(targetNodeHandles.value, (_a2 = props.edge.targetHandle) != null ? _a2 : null);
    });
    const sourcePosition = computed(() => sourceHandle.value ? sourceHandle.value.position : Position.Bottom);
    const targetPosition = computed(() => targetHandle.value ? targetHandle.value.position : Position.Top);
    const isSelected = computed(() => {
      var _a2, _b;
      return (_b = (_a2 = store.selectedElements) == null ? void 0 : _a2.some((elm) => isEdge(elm) && elm.id === props.edge.id)) != null ? _b : false;
    });
    const edgePos = computed(() => getEdgePositions(nodes.value.sourceNode, sourceHandle.value, sourcePosition.value, nodes.value.targetNode, targetHandle.value, targetPosition.value));
    const elementsSelectable = computed(() => store.elementsSelectable);
    return (_ctx, _cache) => {
      return withDirectives((openBlock(), createElementBlock("g", {
        class: normalizeClass([
          "vue-flow__edge",
          `vue-flow__edge-${props.edge.type || "default"}`,
          {
            selected: unref(isSelected),
            animated: props.edge.animated,
            inactive: !unref(elementsSelectable),
            updating: updating.value
          },
          props.edge.class
        ]),
        onClick: onEdgeClick,
        onContextmenu: onEdgeContextMenu,
        onMouseenter: onEdgeMouseEnter,
        onMousemove: onEdgeMouseMove,
        onMouseleave: onEdgeMouseLeave
      }, [
        unref(edgePos).sourceX && unref(edgePos).sourceY && unref(edgePos).targetX && unref(edgePos).targetY ? renderSlot(_ctx.$slots, "default", normalizeProps(mergeProps({ key: 0 }, {
          id: props.edge.id,
          source: props.edge.source,
          target: props.edge.target,
          selected: unref(isSelected),
          animated: props.edge.animated,
          label: props.edge.label,
          labelStyle: props.edge.labelStyle,
          labelShowBg: props.edge.labelShowBg,
          labelBgStyle: props.edge.labelBgStyle,
          labelBgPadding: props.edge.labelBgPadding,
          labelBgBorderRadius: props.edge.labelBgBorderRadius,
          data: props.edge.data,
          style: props.edge.style,
          arrowHeadType: props.edge.arrowHeadType,
          sourcePosition: unref(sourcePosition),
          targetPosition: unref(targetPosition),
          sourceX: unref(edgePos).sourceX,
          sourceY: unref(edgePos).sourceY,
          targetX: unref(edgePos).targetX,
          targetY: unref(edgePos).targetY,
          markerEndId: props.markerEndId,
          sourceHandleId: props.edge.sourceHandle,
          targetHandleId: props.edge.targetHandle
        })), () => [
          (openBlock(), createBlock(resolveDynamicComponent(props.type), normalizeProps(guardReactiveProps({
            id: props.edge.id,
            source: props.edge.source,
            target: props.edge.target,
            selected: unref(isSelected),
            animated: props.edge.animated,
            label: props.edge.label,
            labelStyle: props.edge.labelStyle,
            labelShowBg: props.edge.labelShowBg,
            labelBgStyle: props.edge.labelBgStyle,
            labelBgPadding: props.edge.labelBgPadding,
            labelBgBorderRadius: props.edge.labelBgBorderRadius,
            data: props.edge.data,
            style: props.edge.style,
            arrowHeadType: props.edge.arrowHeadType,
            sourcePosition: unref(sourcePosition),
            targetPosition: unref(targetPosition),
            sourceX: unref(edgePos).sourceX,
            sourceY: unref(edgePos).sourceY,
            targetX: unref(edgePos).targetX,
            targetY: unref(edgePos).targetY,
            markerEndId: props.markerEndId,
            sourceHandleId: props.edge.sourceHandle,
            targetHandleId: props.edge.targetHandle
          })), null, 16))
        ]) : createCommentVNode("", true),
        createElementVNode("g", {
          onMousedown: onEdgeUpdaterSourceMouseDown,
          onMouseenter: onEdgeUpdaterMouseEnter,
          onMouseout: onEdgeUpdaterMouseOut
        }, [
          createVNode(_sfc_main$i, {
            position: unref(sourcePosition),
            "center-x": unref(edgePos).sourceX,
            "center-y": unref(edgePos).sourceY,
            radius: props.edgeUpdaterRadius
          }, null, 8, ["position", "center-x", "center-y", "radius"])
        ], 32),
        createElementVNode("g", {
          onMousedown: onEdgeUpdaterTargetMouseDown,
          onMouseenter: onEdgeUpdaterMouseEnter,
          onMouseout: onEdgeUpdaterMouseOut
        }, [
          createVNode(_sfc_main$i, {
            position: unref(targetPosition),
            "center-x": unref(edgePos).targetX,
            "center-y": unref(edgePos).targetY,
            radius: props.edgeUpdaterRadius
          }, null, 8, ["position", "center-x", "center-y", "radius"])
        ], 32)
      ], 34)), [
        [vShow, !props.edge.isHidden && isVisible(unref(edgePos))]
      ]);
    };
  }
});
const _hoisted_1$d = { class: "vue-flow__connection" };
const _hoisted_2$9 = ["d"];
const _sfc_main$9 = /* @__PURE__ */ defineComponent({
  props: {
    sourceNode: null,
    connectionLineType: { default: ConnectionLineType.Bezier },
    connectionLineStyle: { default: () => ({}) }
  },
  setup(__props) {
    var _a2, _b, _c, _d, _e, _f, _g, _h;
    const props = __props;
    const store = useStore();
    const sourceHandle = store.connectionHandleId && store.connectionHandleType ? (_a2 = props.sourceNode.__rf) == null ? void 0 : _a2.handleBounds[store.connectionHandleType].find((d) => d.id === store.connectionHandleId) : store.connectionHandleType && ((_b = props.sourceNode.__rf) == null ? void 0 : _b.handleBounds[store.connectionHandleType][0]);
    const sourceHandleX = sourceHandle ? sourceHandle.x + sourceHandle.width / 2 : ((_c = props.sourceNode.__rf) == null ? void 0 : _c.width) / 2;
    const sourceHandleY = sourceHandle ? sourceHandle.y + sourceHandle.height / 2 : (_d = props.sourceNode.__rf) == null ? void 0 : _d.height;
    const sourceX = ((_f = (_e = props.sourceNode.__rf) == null ? void 0 : _e.position) == null ? void 0 : _f.x) + sourceHandleX;
    const sourceY = ((_h = (_g = props.sourceNode.__rf) == null ? void 0 : _g.position) == null ? void 0 : _h.y) + sourceHandleY;
    const isRightOrLeft = sourceHandle.position === Position.Left || sourceHandle.position === Position.Right;
    const targetPosition = isRightOrLeft ? Position.Left : Position.Top;
    const targetX = computed(() => (store.connectionPosition.x - store.transform[0]) / store.transform[2]);
    const targetY = computed(() => (store.connectionPosition.y - store.transform[1]) / store.transform[2]);
    const dAttr = computed(() => {
      let path = `M${sourceX.value},${sourceY.value} ${targetX.value},${targetY.value}`;
      switch (props.connectionLineType) {
        case ConnectionLineType.Bezier:
          path = getBezierPath({
            sourceX,
            sourceY,
            sourcePosition: sourceHandle.position,
            targetX: targetX.value,
            targetY: targetY.value,
            targetPosition
          });
          break;
        case ConnectionLineType.Step:
          path = getSmoothStepPath({
            sourceX,
            sourceY,
            sourcePosition: sourceHandle.position,
            targetX: targetX.value,
            targetY: targetY.value,
            targetPosition,
            borderRadius: 0
          });
          break;
        case ConnectionLineType.SmoothStep:
          path = getSmoothStepPath({
            sourceX,
            sourceY,
            sourcePosition: sourceHandle.position,
            targetX: targetX.value,
            targetY: targetY.value,
            targetPosition
          });
          break;
      }
      return path;
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("g", _hoisted_1$d, [
        renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
          sourceX,
          sourceY,
          sourcePosition: unref(sourceHandle).position,
          targetX: unref(targetX),
          targetY: unref(targetY),
          targetPosition: unref(targetPosition),
          connectionLineType: props.connectionLineType,
          connectionLineStyle: props.connectionLineStyle
        })), () => [
          createElementVNode("path", {
            d: unref(dAttr),
            class: "vue-flow__connection-path",
            style: normalizeStyle(props.connectionLineStyle)
          }, null, 12, _hoisted_2$9)
        ])
      ]);
    };
  }
});
const _hoisted_1$c = ["id"];
const _sfc_main$8 = /* @__PURE__ */ defineComponent({
  props: {
    id: null
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("marker", {
        id: props.id,
        class: "vue-flow__arrowhead",
        markerWidth: "12.5",
        markerHeight: "12.5",
        viewBox: "-10 -10 20 20",
        orient: "auto",
        refX: "0",
        refY: "0"
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 8, _hoisted_1$c);
    };
  }
});
const _hoisted_1$b = ["stroke", "fill"];
const _hoisted_2$8 = ["stroke"];
const _sfc_main$7 = /* @__PURE__ */ defineComponent({
  props: {
    color: { default: "" }
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("defs", null, [
        createVNode(_sfc_main$8, { id: "vue-flow__arrowclosed" }, {
          default: withCtx(() => [
            createElementVNode("polyline", {
              stroke: props.color,
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "1",
              fill: props.color,
              points: "-5,-4 0,0 -5,4 -5,-4"
            }, null, 8, _hoisted_1$b)
          ]),
          _: 1
        }),
        createVNode(_sfc_main$8, { id: "vue-flow__arrow" }, {
          default: withCtx(() => [
            createElementVNode("polyline", {
              stroke: props.color,
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "1.5",
              fill: "none",
              points: "-5,-4 0,0 -5,4"
            }, null, 8, _hoisted_2$8)
          ]),
          _: 1
        })
      ]);
    };
  }
});
const _hoisted_1$a = ["width", "height"];
const _hoisted_2$7 = ["transform"];
const _sfc_main$6 = /* @__PURE__ */ defineComponent({
  props: {
    connectionLineType: { default: ConnectionLineType.Bezier },
    connectionLineStyle: null,
    arrowHeadColor: { default: "#b1b1b7" },
    markerEndId: null,
    edgeUpdaterRadius: { default: 10 }
  },
  setup(__props) {
    const props = __props;
    const store = useStore();
    const sourceNode = computed(() => store.nodes.find((n) => n.id === store.connectionNodeId));
    const connectionLineVisible = computed(() => !!(store.nodesConnectable && sourceNode.value && store.connectionNodeId && store.connectionHandleType));
    const dimensions = computed(() => store.dimensions);
    const transform = computed(() => `translate(${store.transform[0]},${store.transform[1]}) scale(${store.transform[2]})`);
    const type = (edge) => {
      const edgeType = edge.type || "default";
      const type2 = store.getEdgeTypes[edgeType] || store.getEdgeTypes.default;
      if (!store.getEdgeTypes[edgeType]) {
        console.warn(`Edge type "${edgeType}" not found. Using fallback type "default".`);
      }
      return type2;
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("svg", {
        width: unref(dimensions).width,
        height: unref(dimensions).height,
        class: "vue-flow__edges"
      }, [
        createVNode(_sfc_main$7, {
          color: props.arrowHeadColor
        }, null, 8, ["color"]),
        createElementVNode("g", { transform: unref(transform) }, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(unref(store).getEdges, (edge) => {
            return openBlock(), createBlock(_sfc_main$a, {
              key: edge.id,
              edge,
              type: type(edge),
              "marker-end-id": props.markerEndId,
              "edge-updater-radius": props.edgeUpdaterRadius
            }, {
              default: withCtx((edgeProps) => [
                renderSlot(_ctx.$slots, `edge-${edge.type}`, normalizeProps(guardReactiveProps(edgeProps)))
              ]),
              _: 2
            }, 1032, ["edge", "type", "marker-end-id", "edge-updater-radius"]);
          }), 128)),
          unref(connectionLineVisible) && unref(sourceNode) ? (openBlock(), createBlock(_sfc_main$9, {
            key: 0,
            "source-node": unref(sourceNode),
            "connection-line-style": props.connectionLineStyle,
            "connection-line-type": props.connectionLineType
          }, {
            default: withCtx((customConnectionLineProps) => [
              renderSlot(_ctx.$slots, "custom-connection-line", normalizeProps(guardReactiveProps(customConnectionLineProps)))
            ]),
            _: 3
          }, 8, ["source-node", "connection-line-style", "connection-line-type"])) : createCommentVNode("", true)
        ], 8, _hoisted_2$7)
      ], 8, _hoisted_1$a);
    };
  }
});
var VueFlow_vue_vue_type_style_index_0_lang = "";
const _hoisted_1$9 = { class: "vue-flow" };
const _sfc_main$5 = /* @__PURE__ */ defineComponent({
  props: {
    modelValue: { default: () => [] },
    elements: { default: () => [] },
    nodeTypes: null,
    edgeTypes: null,
    connectionMode: { default: ConnectionMode.Loose },
    connectionLineType: { default: ConnectionLineType.Bezier },
    connectionLineStyle: null,
    deleteKeyCode: { default: "Backspace" },
    selectionKeyCode: { default: "Shift" },
    multiSelectionKeyCode: { default: "Meta" },
    zoomActivationKeyCode: { default: "Meta" },
    snapToGrid: { type: Boolean, default: false },
    snapGrid: { default: () => [15, 15] },
    onlyRenderVisibleElements: { type: Boolean, default: false },
    nodesDraggable: { type: Boolean, default: true },
    nodesConnectable: { type: Boolean, default: true },
    elementsSelectable: { type: Boolean, default: true },
    selectNodesOnDrag: { type: Boolean, default: true },
    paneMoveable: { type: Boolean, default: true },
    minZoom: { default: 0.5 },
    maxZoom: { default: 2 },
    defaultZoom: { default: 1 },
    defaultPosition: { default: () => [0, 0] },
    translateExtent: { default: () => [
      [Number.NEGATIVE_INFINITY, Number.NEGATIVE_INFINITY],
      [Number.POSITIVE_INFINITY, Number.POSITIVE_INFINITY]
    ] },
    nodeExtent: { default: () => [
      [Number.NEGATIVE_INFINITY, Number.NEGATIVE_INFINITY],
      [Number.POSITIVE_INFINITY, Number.POSITIVE_INFINITY]
    ] },
    arrowHeadColor: { default: "#b1b1b7" },
    markerEndId: null,
    zoomOnScroll: { type: Boolean, default: true },
    zoomOnPinch: { type: Boolean, default: true },
    panOnScroll: { type: Boolean, default: false },
    panOnScrollSpeed: { default: 0.5 },
    panOnScrollMode: { default: PanOnScrollMode.Free },
    zoomOnDoubleClick: { type: Boolean, default: true },
    edgeUpdaterRadius: { default: 10 },
    edgeTypesId: { default: "1" },
    nodeTypesId: { default: "1" },
    storageKey: null
  },
  emits: [...Object.keys(createHooks()), "update:elements", "update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const { store, hooks } = initFlow(emit, props);
    const elements = useVModel(props, props.elements.length ? "elements" : "modelValue", emit);
    if (store.elements.length)
      elements.value = store.elements;
    const init2 = (opts) => {
      for (const opt of Object.keys(opts)) {
        const val = opts[opt];
        if (val && typeof val !== "undefined") {
          if (typeof val === "object" && !Array.isArray(val)) {
            store.$state[opt] = __spreadValues(__spreadValues({}, store.$state[opt]), val);
          } else
            store.$state[opt] = val;
        }
      }
      store.setElements(elements.value);
      store.setMinZoom(opts.minZoom);
      store.setMaxZoom(opts.maxZoom);
      store.setTranslateExtent(opts.translateExtent);
      store.setNodeExtent(opts.nodeExtent);
    };
    onBeforeUnmount(() => store == null ? void 0 : store.$dispose());
    invoke(async () => {
      await until(elements.value).toMatch((y) => y.length > 0);
      init2(props);
    });
    watch(elements, (val) => {
      nextTick(() => {
        store.setElements(val);
      });
    }, { flush: "pre", deep: true });
    watch(() => store.elements, (val) => {
      nextTick(() => {
        elements.value = val;
      });
    }, { flush: "pre", deep: true });
    watch(() => props, (val, oldVal) => {
      const hasDiff = diff(val, oldVal);
      if (hasDiff.length > 0)
        init2(val);
    }, { flush: "pre", deep: true });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$9, [
        (openBlock(), createBlock(Suspense, null, {
          default: withCtx(() => [
            createVNode(_sfc_main$h, {
              "selection-key-code": props.selectionKeyCode,
              "zoom-activation-key-code": props.zoomActivationKeyCode,
              "default-zoom": props.defaultZoom,
              "default-position": props.defaultPosition,
              "zoom-on-scroll": props.zoomOnScroll,
              "zoom-on-pinch": props.zoomOnPinch,
              "zoom-on-double-click": props.zoomOnDoubleClick,
              "pan-on-scroll": props.panOnScroll,
              "pan-on-scroll-speed": props.panOnScrollSpeed,
              "pan-on-scroll-mode": props.panOnScrollMode,
              "pane-moveable": props.paneMoveable
            }, {
              default: withCtx((zoomPaneProps) => [
                createVNode(_sfc_main$d, {
                  "delete-key-code": props.deleteKeyCode,
                  "multi-selection-key-code": props.multiSelectionKeyCode,
                  "selection-key-code": props.selectionKeyCode
                }, {
                  default: withCtx(() => [
                    createVNode(_sfc_main$b, {
                      "select-nodes-on-drag": props.selectNodesOnDrag
                    }, createSlots({ _: 2 }, [
                      renderList(Object.keys(unref(store).getNodeTypes), (nodeName) => {
                        return {
                          name: `node-${nodeName}`,
                          fn: withCtx((nodeProps) => [
                            renderSlot(_ctx.$slots, `node-${nodeName}`, normalizeProps(guardReactiveProps(nodeProps)))
                          ])
                        };
                      })
                    ]), 1032, ["select-nodes-on-drag"]),
                    createVNode(_sfc_main$6, {
                      "connection-line-type": props.connectionLineType,
                      "connection-line-style": props.connectionLineStyle,
                      "arrow-head-color": props.arrowHeadColor,
                      "marker-end-id": props.markerEndId
                    }, createSlots({
                      "custom-connection-line": withCtx((customConnectionLineProps) => [
                        renderSlot(_ctx.$slots, "custom-connection-line", normalizeProps(guardReactiveProps(customConnectionLineProps)))
                      ]),
                      _: 2
                    }, [
                      renderList(Object.keys(unref(store).getEdgeTypes), (edgeName) => {
                        return {
                          name: `edge-${edgeName}`,
                          fn: withCtx((edgeProps) => [
                            renderSlot(_ctx.$slots, `edge-${edgeName}`, normalizeProps(guardReactiveProps(edgeProps)))
                          ])
                        };
                      })
                    ]), 1032, ["connection-line-type", "connection-line-style", "arrow-head-color", "marker-end-id"])
                  ]),
                  _: 3
                }, 8, ["delete-key-code", "multi-selection-key-code", "selection-key-code"]),
                renderSlot(_ctx.$slots, "zoom-pane", normalizeProps(guardReactiveProps(zoomPaneProps)))
              ]),
              _: 3
            }, 8, ["selection-key-code", "zoom-activation-key-code", "default-zoom", "default-position", "zoom-on-scroll", "zoom-on-pinch", "zoom-on-double-click", "pan-on-scroll", "pan-on-scroll-speed", "pan-on-scroll-mode", "pane-moveable"])
          ]),
          _: 3
        })),
        renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps(__spreadProps(__spreadValues({}, props), { store: unref(store), hooks: unref(hooks) }))))
      ]);
    };
  }
});
const _hoisted_1$8 = ["x", "y", "rx", "ry", "width", "height", "fill", "stroke", "stroke-width", "shape-rendering"];
const _sfc_main$4 = /* @__PURE__ */ defineComponent({
  props: {
    x: null,
    y: null,
    width: null,
    height: null,
    borderRadius: null,
    color: null,
    shapeRendering: { default: "geometricPrecision" },
    strokeColor: null,
    strokeWidth: null
  },
  setup(__props) {
    var _a2;
    const props = __props;
    const attrs = useAttrs();
    const styles = (_a2 = attrs.style) != null ? _a2 : {};
    const fill = computed(() => props.color || styles.background || styles.backgroundColor);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("rect", {
        class: "vue-flow__minimap-node",
        x: props.x,
        y: props.y,
        rx: props.borderRadius,
        ry: props.borderRadius,
        width: props.width,
        height: props.height,
        fill: unref(fill),
        stroke: props.strokeColor,
        "stroke-width": props.strokeWidth,
        "shape-rendering": props.shapeRendering
      }, null, 8, _hoisted_1$8);
    };
  }
});
const _hoisted_1$7 = ["width", "height", "viewBox"];
const _hoisted_2$6 = ["d", "fill"];
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  props: {
    nodeColor: { type: [String, Function], default: "#fff" },
    nodeStrokeColor: { type: [String, Function], default: "#555" },
    nodeClassName: { type: [String, Function], default: "" },
    nodeBorderRadius: { default: 5 },
    nodeStrokeWidth: { default: 2 },
    maskColor: { default: "rgb(240, 242, 243, 0.7)" }
  },
  setup(__props) {
    var _a2, _b, _c, _d;
    const props = __props;
    const attrs = useAttrs();
    const window2 = useWindow();
    const defaultWidth = 200;
    const defaultHeight = 150;
    const store = useStore();
    const elementWidth = (_b = (_a2 = attrs.style) == null ? void 0 : _a2.width) != null ? _b : defaultWidth;
    const elementHeight = (_d = (_c = attrs.style) == null ? void 0 : _c.height) != null ? _d : defaultHeight;
    const nodeColorFunc = props.nodeColor instanceof Function ? props.nodeColor : () => props.nodeColor;
    const nodeStrokeColorFunc = props.nodeStrokeColor instanceof Function ? props.nodeStrokeColor : () => props.nodeStrokeColor;
    const nodeClassNameFunc = props.nodeClassName instanceof Function ? props.nodeClassName : () => props.nodeClassName;
    const shapeRendering = typeof window2 === "undefined" || !!window2.chrome ? "crispEdges" : "geometricPrecision";
    const nodes = computed(() => store.nodes.filter((node) => !node.isHidden));
    const bb = computed(() => getRectOfNodes(nodes.value));
    const viewBB = computed(() => ({
      x: -store.transform[0] / store.transform[2],
      y: -store.transform[1] / store.transform[2],
      width: store.dimensions.width / store.transform[2],
      height: store.dimensions.height / store.transform[2]
    }));
    const viewBox = computed(() => {
      const boundingRect = store.nodes && store.nodes.length ? getBoundsofRects(bb.value, viewBB.value) : viewBB.value;
      const scaledWidth = boundingRect.width / elementWidth;
      const scaledHeight = boundingRect.height / elementHeight;
      const viewScale = Math.max(scaledWidth, scaledHeight);
      const viewWidth = viewScale * elementWidth;
      const viewHeight = viewScale * elementHeight;
      const offset = 5 * viewScale;
      return {
        offset,
        x: boundingRect.x - (viewWidth - boundingRect.width) / 2 - offset,
        y: boundingRect.y - (viewHeight - boundingRect.height) / 2 - offset,
        width: viewWidth + offset * 2,
        height: viewHeight + offset * 2
      };
    });
    const d = computed(() => {
      if (viewBox.value.x && viewBox.value.y)
        return `
    M${viewBox.value.x - viewBox.value.offset},${viewBox.value.y - viewBox.value.offset}
    h${viewBox.value.width + viewBox.value.offset * 2}
    v${viewBox.value.height + viewBox.value.offset * 2}
    h${-viewBox.value.width - viewBox.value.offset * 2}z
    M${viewBB.value.x},${viewBB.value.y}
    h${viewBB.value.width}
    v${viewBB.value.height}
    h${-viewBB.value.width}z`;
      else
        return "";
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("svg", {
        width: unref(elementWidth),
        height: unref(elementHeight),
        viewBox: `${unref(viewBox).x || 0} ${unref(viewBox).y || 0} ${unref(viewBox).width || 0} ${unref(viewBox).height || 0}`,
        class: "vue-flow__minimap"
      }, [
        (openBlock(true), createElementBlock(Fragment, null, renderList(unref(nodes), (node) => {
          return renderSlot(_ctx.$slots, "default", {
            key: `mini-map-node-${node.id}`,
            x: node.__rf.position.x,
            y: node.__rf.position.y,
            width: node.__rf.width,
            height: node.__rf.height,
            style: normalizeStyle(node.style),
            class: normalizeClass(unref(nodeClassNameFunc)(node)),
            color: unref(nodeColorFunc)(node),
            borderRadius: props.nodeBorderRadius,
            strokeColor: unref(nodeStrokeColorFunc)(node),
            strokeWidth: props.nodeStrokeWidth,
            shapeRendering: unref(shapeRendering)
          }, () => [
            createVNode(_sfc_main$4, {
              x: node.__rf.position.x,
              y: node.__rf.position.y,
              width: node.__rf.width,
              height: node.__rf.height,
              style: normalizeStyle(node.style),
              class: normalizeClass(unref(nodeClassNameFunc)(node)),
              color: unref(nodeColorFunc)(node),
              "border-radius": props.nodeBorderRadius,
              "stroke-color": unref(nodeStrokeColorFunc)(node),
              "stroke-width": props.nodeStrokeWidth,
              "shape-rendering": unref(shapeRendering)
            }, null, 8, ["x", "y", "width", "height", "style", "class", "color", "border-radius", "stroke-color", "stroke-width", "shape-rendering"])
          ]);
        }), 128)),
        createElementVNode("path", {
          class: "vue-flow__minimap-mask",
          d: unref(d),
          fill: props.maskColor,
          "fill-rule": "evenodd"
        }, null, 8, _hoisted_2$6)
      ], 8, _hoisted_1$7);
    };
  }
});
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("button", mergeProps({ class: "vue-flow__controls-button" }, props), [
        renderSlot(_ctx.$slots, "default")
      ], 16);
    };
  }
});
const _hoisted_1$6 = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 32 32"
};
const _hoisted_2$5 = /* @__PURE__ */ createElementVNode("path", { d: "M32 18.133H18.133V32h-4.266V18.133H0v-4.266h13.867V0h4.266v13.867H32z" }, null, -1);
const _hoisted_3$5 = [
  _hoisted_2$5
];
function render$4(_ctx, _cache) {
  return openBlock(), createElementBlock("svg", _hoisted_1$6, _hoisted_3$5);
}
const _hoisted_1$5 = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 32 5"
};
const _hoisted_2$4 = /* @__PURE__ */ createElementVNode("path", { d: "M0 0h32v4.2H0z" }, null, -1);
const _hoisted_3$4 = [
  _hoisted_2$4
];
function render$3(_ctx, _cache) {
  return openBlock(), createElementBlock("svg", _hoisted_1$5, _hoisted_3$4);
}
const _hoisted_1$4 = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 32 30"
};
const _hoisted_2$3 = /* @__PURE__ */ createElementVNode("path", { d: "M3.692 4.63c0-.53.4-.938.939-.938h5.215V0H4.708C2.13 0 0 2.054 0 4.63v5.216h3.692V4.631zM27.354 0h-5.2v3.692h5.17c.53 0 .984.4.984.939v5.215H32V4.631A4.624 4.624 0 0 0 27.354 0zm.954 24.83c0 .532-.4.94-.939.94h-5.215v3.768h5.215c2.577 0 4.631-2.13 4.631-4.707v-5.139h-3.692v5.139zm-23.677.94a.919.919 0 0 1-.939-.94v-5.138H0v5.139c0 2.577 2.13 4.707 4.708 4.707h5.138V25.77H4.631z" }, null, -1);
const _hoisted_3$3 = [
  _hoisted_2$3
];
function render$2(_ctx, _cache) {
  return openBlock(), createElementBlock("svg", _hoisted_1$4, _hoisted_3$3);
}
const _hoisted_1$3 = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 25 32"
};
const _hoisted_2$2 = /* @__PURE__ */ createElementVNode("path", { d: "M21.333 10.667H19.81V7.619C19.81 3.429 16.38 0 12.19 0 8 0 4.571 3.429 4.571 7.619v3.048H3.048A3.056 3.056 0 0 0 0 13.714v15.238A3.056 3.056 0 0 0 3.048 32h18.285a3.056 3.056 0 0 0 3.048-3.048V13.714a3.056 3.056 0 0 0-3.048-3.047zM12.19 24.533a3.056 3.056 0 0 1-3.047-3.047 3.056 3.056 0 0 1 3.047-3.048 3.056 3.056 0 0 1 3.048 3.048 3.056 3.056 0 0 1-3.048 3.047zm4.724-13.866H7.467V7.619c0-2.59 2.133-4.724 4.723-4.724 2.591 0 4.724 2.133 4.724 4.724v3.048z" }, null, -1);
const _hoisted_3$2 = [
  _hoisted_2$2
];
function render$1(_ctx, _cache) {
  return openBlock(), createElementBlock("svg", _hoisted_1$3, _hoisted_3$2);
}
const _hoisted_1$2 = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 25 32"
};
const _hoisted_2$1 = /* @__PURE__ */ createElementVNode("path", { d: "M21.333 10.667H19.81V7.619C19.81 3.429 16.38 0 12.19 0c-4.114 1.828-1.37 2.133.305 2.438 1.676.305 4.42 2.59 4.42 5.181v3.048H3.047A3.056 3.056 0 0 0 0 13.714v15.238A3.056 3.056 0 0 0 3.048 32h18.285a3.056 3.056 0 0 0 3.048-3.048V13.714a3.056 3.056 0 0 0-3.048-3.047zM12.19 24.533a3.056 3.056 0 0 1-3.047-3.047 3.056 3.056 0 0 1 3.047-3.048 3.056 3.056 0 0 1 3.048 3.048 3.056 3.056 0 0 1-3.048 3.047z" }, null, -1);
const _hoisted_3$1 = [
  _hoisted_2$1
];
function render(_ctx, _cache) {
  return openBlock(), createElementBlock("svg", _hoisted_1$2, _hoisted_3$1);
}
const _hoisted_1$1 = { class: "vue-flow__controls" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  props: {
    showZoom: { type: Boolean, default: true },
    showFitView: { type: Boolean, default: true },
    showInteractive: { type: Boolean, default: true },
    fitViewParams: null
  },
  emits: ["zoom-in", "zoom-out", "fit-view", "interaction-change"],
  setup(__props, { emit }) {
    const props = __props;
    const store = useStore();
    const { zoomIn, zoomOut, fitView } = useZoomPanHelper();
    const isInteractive = computed(() => store.nodesDraggable && store.nodesConnectable && store.elementsSelectable);
    const onZoomInHandler = () => {
      zoomIn();
      emit("zoom-in");
    };
    const onZoomOutHandler = () => {
      zoomOut();
      emit("zoom-out");
    };
    const onFitViewHandler = () => {
      fitView(props.fitViewParams);
      emit("fit-view");
    };
    const onInteractiveChangeHandler = () => {
      store.setInteractive(!isInteractive.value);
      emit("interaction-change", !isInteractive.value);
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$1, [
        props.showZoom ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
          renderSlot(_ctx.$slots, "control-zoom-in", {}, () => [
            createVNode(_sfc_main$2, {
              class: "vue-flow__controls-zoomin",
              onClick: onZoomInHandler
            }, {
              default: withCtx(() => [
                renderSlot(_ctx.$slots, "icon-zoom-in", {}, () => [
                  createVNode(unref(render$4))
                ])
              ]),
              _: 3
            })
          ]),
          renderSlot(_ctx.$slots, "control-zoom-out", {}, () => [
            createVNode(_sfc_main$2, {
              class: "vue-flow__controls-zoomout",
              onClick: onZoomOutHandler
            }, {
              default: withCtx(() => [
                renderSlot(_ctx.$slots, "icon-zoom-out", {}, () => [
                  createVNode(unref(render$3))
                ])
              ]),
              _: 3
            })
          ])
        ], 64)) : createCommentVNode("", true),
        renderSlot(_ctx.$slots, "control-fitview", {}, () => [
          props.showFitView ? (openBlock(), createBlock(_sfc_main$2, {
            key: 0,
            class: "vue-flow__controls-fitview",
            onClick: onFitViewHandler
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "icon-fitview", {}, () => [
                createVNode(unref(render$2))
              ])
            ]),
            _: 3
          })) : createCommentVNode("", true)
        ]),
        renderSlot(_ctx.$slots, "control-interactive", {}, () => [
          props.showInteractive ? (openBlock(), createBlock(_sfc_main$2, {
            key: 0,
            class: "vue-flow__controls-interactive",
            onClick: onInteractiveChangeHandler
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "icon-unlock", {}, () => [
                unref(isInteractive) ? (openBlock(), createBlock(unref(render), { key: 0 })) : createCommentVNode("", true)
              ]),
              renderSlot(_ctx.$slots, "icon-lock", {}, () => [
                !unref(isInteractive) ? (openBlock(), createBlock(unref(render$1), { key: 0 })) : createCommentVNode("", true)
              ])
            ]),
            _: 3
          })) : createCommentVNode("", true)
        ]),
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});
const _hoisted_1 = {
  class: "vue-flow__background",
  style: { "width": "100%", "height": "100%" }
};
const _hoisted_2 = ["x", "y", "width", "height"];
const _hoisted_3 = ["stroke", "stroke-width", "d"];
const _hoisted_4 = ["cx", "cy", "r", "fill"];
const _hoisted_5 = ["fill"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  props: {
    variant: { default: BackgroundVariant.Dots },
    gap: { default: 10 },
    color: null,
    size: { default: 0.4 }
  },
  setup(__props) {
    const props = __props;
    const defaultColors = {
      [BackgroundVariant.Dots]: "#81818a",
      [BackgroundVariant.Lines]: "#eee"
    };
    const store = useStore();
    const background = computed(() => {
      const scaledGap = props.gap && props.gap * store.transform[2];
      const xOffset = scaledGap && store.transform[0] % scaledGap;
      const yOffset = scaledGap && store.transform[1] % scaledGap;
      const size = props.size || 0.4 * store.transform[2];
      return {
        scaledGap,
        xOffset,
        yOffset,
        size
      };
    });
    const patternId = `pattern-${Math.floor(Math.random() * 1e5)}`;
    const bgColor = computed(() => props.color ? props.color : defaultColors[props.variant || BackgroundVariant.Dots]);
    const d = computed(() => `M${background.value.scaledGap / 2} 0 V${background.value.scaledGap} M0 ${background.value.scaledGap / 2} H${background.value.scaledGap}`);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("svg", _hoisted_1, [
        createElementVNode("pattern", {
          id: patternId,
          x: unref(background).xOffset,
          y: unref(background).yOffset,
          width: unref(background).scaledGap,
          height: unref(background).scaledGap,
          patternUnits: "userSpaceOnUse"
        }, [
          props.variant === unref(BackgroundVariant).Lines ? (openBlock(), createElementBlock("path", {
            key: 0,
            stroke: unref(bgColor),
            "stroke-width": props.size,
            d: unref(d)
          }, null, 8, _hoisted_3)) : (openBlock(), createElementBlock("circle", {
            key: 1,
            cx: unref(background).size,
            cy: unref(background).size,
            r: unref(background).size,
            fill: unref(bgColor)
          }, null, 8, _hoisted_4))
        ], 8, _hoisted_2),
        createElementVNode("rect", {
          x: "0",
          y: "0",
          width: "100%",
          height: "100%",
          fill: `url(#${patternId})`
        }, null, 8, _hoisted_5),
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});
export { ArrowHeadType, _sfc_main as Background, BackgroundVariant, _sfc_main$m as BezierEdge, ConnectionLineType, ConnectionMode, _sfc_main$1 as Controls, _sfc_main$q as DefaultNode, _sfc_main$i as EdgeAnchor, _sfc_main$n as EdgeText, _sfc_main$r as Handle, Hooks, _sfc_main$p as InputNode, _sfc_main$3 as MiniMap, NodeId, _sfc_main$o as OutputNode, PanOnScrollMode, Position, _sfc_main$l as SmoothStepEdge, _sfc_main$k as StepEdge, Store, _sfc_main$j as StraightEdge, _sfc_main$5 as VueFlow, addEdge, defaultEdgeTypes, defaultNodeTypes, getBezierPath, getConnectedEdges, getCenter as getEdgeCenter, getIncomers, getMarkerEnd, getOutgoers, getRectOfNodes, getSmoothStepPath, getTransformForBounds, graphPosToZoomedPos, isEdge, isInputDOMNode, isNode, removeElements, updateEdge, useHandle, useKeyPress, useVueFlow, useZoomPanHelper };
